/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs"),require("worker_threads"),require("perf_hooks")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs","worker_threads","perf_hooks"],t):t(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs,e.worker_threads,e.perf_hooks)}(this,(function(e,t,n,a,r,s){"use strict";var u,i;let o;n=n&&n.hasOwnProperty("default")?n.default:n,a=a&&a.hasOwnProperty("default")?a.default:a,r=r&&r.hasOwnProperty("default")?r.default:r,s=s&&s.hasOwnProperty("default")?s.default:s,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(u||(u={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu"}(i||(i={}));const l={kernelName:t._FusedMatMul,backendName:"wasm",setupFunc:function(e){o=e.wasm.cwrap(t._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{a:r,b:s,bias:u,preluActivationWeights:l}=t;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:d,transposeB:c,activation:p,leakyreluAlpha:m}=a,f=n.dataIdMap.get(r.dataId).id,h=n.dataIdMap.get(s.dataId).id;let b=0;if(null!=u){const e=n.dataIdMap.get(u.dataId);if(1!==e.shape.length)throw new Error(`_FusedMatMul only supports rank-1 bias but got rank ${e.shape.length}.`);b=e.id}const _=null==l?0:n.dataIdMap.get(l.dataId).id,y=i[p];if(null==y)throw new Error(p+" activation not yet supported for FusedConv2D in the wasm backend.");const g=d?r.shape[2]:r.shape[1],w=c?s.shape[1]:s.shape[2],k=r.shape[0],I=n.makeOutput([k,g,w],r.dtype),v=n.dataIdMap.get(I.dataId).id,S=new Uint8Array(new Int32Array(r.shape).buffer),E=new Uint8Array(new Int32Array(s.shape).buffer);return o(f,S,r.shape.length,h,E,s.shape.length,d,c,y,b,_,m||0,v),I}};function d(e){let n;return{kernelName:e,backendName:"wasm",setupFunc:function(t){n=t.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:a,inputs:{x:r}}=e,s=a.dataIdMap.get(r.dataId).id,u=a.makeOutput(r.shape,r.dtype),i=a.dataIdMap.get(u.dataId).id;return 0===t.util.sizeFromShape(u.shape)||n(s,i),u}}}const c=d(t.Abs);function p(e,n,a){let r;return{kernelName:e,backendName:"wasm",setupFunc:function(t){r=t.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(s){const{backend:i,inputs:o}=s,{a:l,b:d}=o,c=i.dataIdMap.get(l.dataId).id,p=i.dataIdMap.get(d.dataId).id,m=null!=a?a:l.dtype,f=t.backend_util.assertAndGetBroadcastShape(l.shape,d.shape),h=i.makeOutput(f,m);if(0===t.util.sizeFromShape(f))return h;const b=new Uint8Array(new Int32Array(l.shape).buffer),_=new Uint8Array(new Int32Array(d.shape).buffer),y=i.dataIdMap.get(h.dataId).id,g=()=>r(c,b,l.shape.length,p,_,d.shape.length,u[l.dtype],y);if(n&&"float32"===l.dtype)return g(),h;const w=t.backend_util.getBroadcastDims(l.shape,f),k=t.backend_util.getBroadcastDims(d.shape,f),I=w.every((e,t)=>e===t),v=k.every((e,t)=>e===t);if(I&&v)return g(),h;throw new Error(`Broadcasting along outer dims is not yet supported for ${l.dtype} ${e}.`)}}}const m=p(t.Add,!0);let f;const h={kernelName:t.AddN,backendName:"wasm",setupFunc:function(e){f=e.wasm.cwrap(t.AddN,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a}=e,r=a.makeOutput(n[0].shape,n[0].dtype);if(0===t.util.sizeFromShape(r.shape))return r;const s=n.map(e=>a.dataIdMap.get(e.dataId).id),i=new Uint8Array(new Int32Array(s).buffer),o=a.dataIdMap.get(r.dataId).id;return f(i,s.length,u[r.dtype],o),r}};function b(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype),r=n.typedArrayFromHeap(t);return n.typedArrayFromHeap(a).set(r),a}const _={kernelName:t.Identity,backendName:"wasm",kernelFunc:b};let y;function g(e){const{inputs:t,backend:n,attrs:a}=e,[r,s]=function(e,t){const n=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&n.push(e[r]),1!==e[t[r]]&&a.push(t[r]);for(let e=0;e<a.length;++e){let t=-1;for(let n=0;n<a.length;++n)a[n]>=e&&(-1===t||a[t]>a[n])&&(t=n);a[t]=e}return[n,a]}(t.x.shape,a.perm);let i=!0;for(let e=0;e<s.length;e++)s[e]!==e&&(i=!1);const o=function(e,t){const n=new Array(e.length);for(let a=0;a<n.length;a++)n[a]=e[t[a]];return n}(t.x.shape,a.perm),l={dataId:t.x.dataId,shape:r,dtype:t.x.dtype};if(i){const e=b({inputs:t,backend:n});return e.shape=o,e}const d=n.makeOutput(o,l.dtype),c=n.dataIdMap.get(l.dataId).id,p=n.dataIdMap.get(d.dataId).id,m=new Uint8Array(new Int32Array(s).buffer),f=new Uint8Array(new Int32Array(l.shape).buffer);return y(c,f,l.shape.length,u[l.dtype],p,m,s.length),d}const w={kernelName:t.Transpose,backendName:"wasm",kernelFunc:g,setupFunc:function(e){y=e.wasm.cwrap(t.Transpose,null,["number","array","number","number","number","array","number"])}};function k(e,n,a){const r=e.shape,s=e.shape.length,u=t.util.parseAxisParam(n,r);let i=u;const o=t.backend_util.getAxesPermutation(i,s);let l=null,d=!1;if(null!=o){const n=new Array(s);for(let e=0;e<n.length;e++)n[e]=r[o[e]];i=t.backend_util.getInnerMostAxes(i.length,s),l=g({inputs:{x:e},attrs:{perm:o},backend:a});const u=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(l.dataId).id!==u&&(d=!0)}return{transposed:l,originalAxes:u,axes:i,inputWasTransposed:d}}let I;const v={kernelName:t.ArgMax,backendName:"wasm",kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,inputWasTransposed:m}=k(i,s,n);if(m){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e)}const f=d.shape.slice(0,-1),h=n.makeOutput(f,"int32"),b=n.dataIdMap.get(h.dataId).id,_=t.util.sizeFromShape(h.shape),y=d.shape[p[0]];return I(l,u[d.dtype],_,y,b),m&&n.disposeData(c.dataId),h},setupFunc:function(e){I=e.wasm.cwrap(t.ArgMax,null,["number","number","number","number","number"])}};let S;const E={kernelName:t.AvgPool,backendName:"wasm",setupFunc:function(e){S=e.wasm.cwrap(t.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:i,strides:o,pad:l,dimRoundingMode:d}=a,c=t.backend_util.computePool2DInfo(s.shape,i,o,1,l,d),p=c.filterHeight,m=c.filterWidth,f=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,_=c.padInfo.left,y=c.strideHeight,g=c.strideWidth,w=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error(`was backend only supports average pooling with dilation = [1, 1], got [${c.dilationHeight}, ${c.dilationWidth}].`);const k=r.makeOutput(c.outShape,"float32"),I=r.dataIdMap.get(k.dataId).id;return S(u,s.shape[0],s.shape[1],s.shape[2],p,m,f,h,b,_,y,g,w,I),k}};function A(e){const{inputs:n,attrs:a}=e,{x:r}=n,{shape:s}=a,u=t.util.sizeFromShape(r.shape),i=t.util.inferFromImplicitShape(s,u);return t.util.assert(u===t.util.sizeFromShape(i),()=>`new shape: ${i}, old shape: ${r.shape}. New shape and old shape must have the same number of elements.`),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:i,dtype:r.dtype}}const M={kernelName:t.Reshape,backendName:"wasm",kernelFunc:A};let x;const N={kernelName:t.BatchMatMul,backendName:"wasm",setupFunc:function(e){x=e.wasm.cwrap(t.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{a:s,b:u}=n,{transposeA:i,transposeB:o}=r;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const l=s.shape.length,d=u.shape.length,c=i?s.shape[l-2]:s.shape[l-1],p=o?u.shape[d-1]:u.shape[d-2],m=i?s.shape[l-1]:s.shape[l-2],f=o?u.shape[d-2]:u.shape[d-1],h=s.shape.slice(0,-2),b=u.shape.slice(0,-2),_=t.util.sizeFromShape(h),y=t.util.sizeFromShape(b),g=_===y||1===_||1===y;t.util.assert(l>=2&&d>=2&&g,()=>`Error in matMul: the input batch dimensions must either be the same or at least one input batch dimension must be 1. Got input batch dimensions of (${h}) and (${b}).`);const w=(_>y?s.shape.slice(0,-2):u.shape.slice(0,-2)).concat([m,f]);t.util.assert(c===p,()=>`Error in matMul: inner shapes (${c}) and (${p}) of Tensors with shapes ${s.shape} and ${u.shape} and transposeA=${i} and transposeB=${o} must match.`);const k=o?[y,f,p]:[y,p,f],I=A({inputs:{x:s},backend:a,attrs:{shape:i?[_,c,m]:[_,m,c]}}),v=A({inputs:{x:u},backend:a,attrs:{shape:k}}),S=a.dataIdMap.get(I.dataId).id,E=a.dataIdMap.get(v.dataId).id,M=i?I.shape[2]:I.shape[1],N=o?v.shape[1]:v.shape[2],F=Math.max(_,y),T=a.makeOutput([F,M,N],I.dtype),O=a.dataIdMap.get(T.dataId).id,C=new Uint8Array(new Int32Array(I.shape).buffer),R=new Uint8Array(new Int32Array(v.shape).buffer);return x(S,C,I.shape.length,E,R,v.shape.length,i,o,O),a.disposeData(I.dataId),a.disposeData(v.dataId),T.shape=w,T}};function F(e){const{inputs:{x:t},attrs:{dtype:n},backend:a}=e,r=a.makeOutput(t.shape,n),s=a.typedArrayFromHeap(t);return a.typedArrayFromHeap(r).set(s),r}const T={kernelName:t.Cast,backendName:"wasm",kernelFunc:F},O=d(t.Ceil);let C;const R={kernelName:t.ClipByValue,backendName:"wasm",setupFunc:function(e){C=e.wasm.cwrap(t.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{x:r}=t,{clipValueMin:s,clipValueMax:u}=a,i=n.dataIdMap.get(r.dataId).id,o=n.makeOutput(r.shape,r.dtype),l=n.dataIdMap.get(o.dataId).id;return C(i,s,u,l),o}};function D(e,n,a,r,s){const u=t.slice_util.isSliceContinous(r,n,a),i=t.util.sizeFromShape(a),o=t.util.computeStrides(r);if(u){const a=t.slice_util.computeFlatOffset(n,o);return"string"===s?e.slice(a,a+i):e.subarray(a,a+i)}const l="string"===s?t.backend_util.fromUint8ToStringArray(e):e,d=t.buffer(r,s,l),c=t.buffer(a,s);for(let e=0;e<c.size;++e){const t=c.indexToLoc(e),a=t.map((e,t)=>e+n[t]);c.set(d.get(...a),...t)}return"string"===s?t.backend_util.fromStringArrayToUint8(c.values):c.values}function P(e){const{inputs:n,backend:a}=e,r=t.util.parseAxisParam(e.attrs.axis,n[0].shape)[0];let s=t.backend_util.computeOutShape(n.map(e=>e.shape),r);const u=n.filter(e=>t.util.sizeFromShape(e.shape)>0);if(1===u.length)return b({inputs:{x:u[0]},backend:a});const i=a.makeOutput(s,n[0].dtype);if(0===t.util.sizeFromShape(s))return i;const o=u.map(e=>e.shape);if(t.backend_util.assertParamsConsistent(o,r),"string"===u[0].dtype){const e=u.map(e=>{const n=t.util.sizeFromShape(e.shape.slice(r));return A({inputs:{x:e},backend:a,attrs:{shape:[-1,n]}})}),o=e.map(e=>({vals:a.readSync(e.dataId),shape:e.shape}));s=t.backend_util.computeOutShape(e.map(e=>e.shape),1);const l=1===e[0].shape[0],d=function(e,n,a,r){const s=t.util.getArrayFromDType(a,t.util.sizeFromShape(n));if(r&&"string"!==a){let n=0;e.forEach(e=>{const a=t.util.sizeFromShape(e.shape);s.set(e.vals,n),n+=a})}else{let r=0;e.forEach(e=>{const u="string"===a?t.backend_util.fromUint8ToStringArray(e.vals):e.vals;let i=0;for(let t=0;t<e.shape[0];++t){const a=t*n[1]+r;for(let t=0;t<e.shape[1];++t)s[a+t]=u[i++]}r+=e.shape[1]})}return s}(o,s,n[0].dtype,l),c=t.backend_util.computeOutShape(u.map(e=>e.shape),r);i.shape=c;return a.dataIdMap.get(i.dataId).stringBytes=t.backend_util.fromStringArrayToUint8(d),i}const l=t.util.sizeFromShape(u[0].shape.slice(0,r));let d=0;const c=u.map(e=>{const n=t.util.sizeFromShape(e.shape.slice(r));return d+=n,n}),p=u.map(e=>a.typedArrayFromHeap(e)),m=a.typedArrayFromHeap(i);for(let e=0;e<l;e++){let t=e*d;for(let n=0;n<p.length;n++){const a=c[n],r=e*a,s=p[n].subarray(r,r+a);m.set(s,t),t+=a}}return i}const W={kernelName:t.Concat,backendName:"wasm",kernelFunc:P};let B;const L={kernelName:t.Conv2D,backendName:"wasm",setupFunc:function(e){B=e.wasm.cwrap(t.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u}=n,i=r.dataIdMap.get(s.dataId).id,o=r.dataIdMap.get(u.dataId).id,{strides:l,dilations:d,pad:c,dimRoundingMode:p,dataFormat:m}=a,f=t.backend_util.convertConv2DDataFormat(m),h=t.backend_util.computeConv2DInfo(s.shape,u.shape,l,d,c,p,!1,f),b=h.filterHeight,_=h.filterWidth,y=h.padInfo.top,g=h.padInfo.right,w=h.padInfo.bottom,k=h.padInfo.left,I=h.dilationHeight,v=h.dilationWidth,S=h.strideHeight,E=h.strideWidth,A=h.inChannels,M=h.outChannels,x="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");const N=r.makeOutput(h.outShape,"float32"),F=r.dataIdMap.get(N.dataId).id;return B(i,s.shape[0],s.shape[1],s.shape[2],o,b,_,y,g,w,k,x,I,v,S,E,A,M,F),N}};let H;const U={kernelName:t.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){H=e.wasm.cwrap(t.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{dy:s,filter:u}=a,{strides:i,pad:o,dataFormat:l,dimRoundingMode:d,inputShape:c}=r,p=t.backend_util.convertConv2DDataFormat(l),m=t.backend_util.computeConv2DInfo(c,u.shape,i,1,o,d,!1,p),{batchSize:f,filterHeight:h,filterWidth:b,inChannels:_,inHeight:y,inWidth:g,outChannels:w,outHeight:k,outWidth:I,strideHeight:v,strideWidth:S}=m,E=h-1-m.padInfo.top,A=b-1-m.padInfo.left,M="channelsLast"===m.dataFormat,x=t.util.computeStrides(m.inShape),N=t.util.computeStrides(s.shape),[F,T,O]=t.util.computeStrides(u.shape),C=x[0],R=M?x[1]:x[2],D=M?x[2]:1,P=M?1:x[1],W=N[0],B=M?N[1]:N[2],L=M?N[2]:1,U=M?1:N[1],z=n.makeOutput(m.inShape,"float32"),q=n.dataIdMap.get(z.dataId).id,j=n.dataIdMap.get(s.dataId).id,V=n.dataIdMap.get(u.dataId).id;return H(j,V,f,h,b,y,g,_,k,I,w,v,S,E,A,F,T,O,C,R,D,P,W,B,L,U,q),z}},z=d(t.Cos);var q;let j;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(q||(q={}));const V={kernelName:t.CropAndResize,backendName:"wasm",setupFunc:function(e){j=e.wasm.cwrap(t.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{method:r,extrapolationValue:s,cropSize:u}=a,{image:i,boxes:o,boxInd:l}=n,d=o.shape[0],[c,p]=u,m=[d,c,p,i.shape[3]];let f,h=t.dataIdMap.get(i.dataId);"float32"!==i.dtype&&(f=F({backend:t,inputs:{x:i},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(f.dataId));const b=h.id,_=t.dataIdMap.get(o.dataId).id,y=t.dataIdMap.get(l.dataId).id,g=t.makeOutput(m,"float32"),w=t.dataIdMap.get(g.dataId).id,k=new Uint8Array(new Int32Array(i.shape).buffer);return j(b,_,y,d,k,c,p,q[r],s,w),null!=f&&t.disposeData(f.dataId),g}};let G;const K={kernelName:t.Cumsum,backendName:"wasm",setupFunc:function(e){G=e.wasm.cwrap(t.Cumsum,null,["number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{axis:i,exclusive:o,reverse:l}=r,d=s.shape.length;t.util.assert("float32"===s.dtype||"int32"===s.dtype,()=>`cumsum does not support ${s.dtype} tensors in the WASM backend`);const c=t.backend_util.getAxesPermutation([i],d);let p=s;null!==c&&(p=g({inputs:{x:s},attrs:{perm:c},backend:a}));const m=t.backend_util.getInnerMostAxes(1,d)[0];t.backend_util.assertAxesAreInnerMostDims("cumsum",[m],d);const f=a.makeOutput(p.shape,p.dtype),h=p.shape[m],b=a.dataIdMap.get(p.dataId).id,_=a.dataIdMap.get(f.dataId).id;G(b,o?1:0,l?1:0,h,_,u[s.dtype]);let y=f;if(null!==c){y=g({inputs:{x:f},attrs:{perm:t.backend_util.getUndoAxesPermutation(c)},backend:a}),a.disposeData(p.dataId),a.disposeData(f.dataId)}return y}};let X;const $={kernelName:t.DepthToSpace,backendName:"wasm",setupFunc:function(e){X=e.wasm.cwrap(t.DepthToSpace,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a,{blockSize:u,dataFormat:i}=r;t.util.assert(u>1,()=>"blockSize should be > 1 for depthToSpace, but was: "+u);const o=s.shape[0],l="NHWC"===i?s.shape[1]:s.shape[2],d="NHWC"===i?s.shape[2]:s.shape[3],c="NHWC"===i?s.shape[3]:s.shape[1],p=l*u,m=d*u,f=c/(u*u),h="NHWC"===i?[o,p,m,f]:[o,f,p,m],b=n.makeOutput(h,"float32"),_=n.dataIdMap.get(s.dataId).id,y=new Uint8Array(new Int32Array(t.util.computeStrides(s.shape)).buffer),g=new Uint8Array(new Int32Array(h).buffer),w=new Uint8Array(new Int32Array(t.util.computeStrides(h)).buffer),k=n.dataIdMap.get(b.dataId).id;return X(_,u,"NHWC"===i?1:0,y,s.shape.length-1,g,w,h.length,k),b}};let Y;const Q={kernelName:t.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){Y=e.wasm.cwrap(t.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u}=n,i=r.dataIdMap.get(s.dataId).id,o=r.dataIdMap.get(u.dataId).id,{strides:l,dilations:d,pad:c,dimRoundingMode:p}=a,m=null==d?[1,1]:d,f=t.backend_util.computeConv2DInfo(s.shape,u.shape,l,m,c,p,!0),h=f.filterHeight,b=f.filterWidth,_=f.padInfo.top,y=f.padInfo.right,g=f.padInfo.bottom,w=f.padInfo.left,k=f.dilationHeight,I=f.dilationWidth,v=f.strideHeight,S=f.strideWidth,E=f.inChannels,A=f.outChannels,M="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+f.dataFormat+"'. Please use 'channelsLast'.");const x=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(x.dataId).id;return Y(i,s.shape[0],s.shape[1],s.shape[2],o,h,b,_,y,g,w,M,k,I,v,S,E,A,N),x}},Z=p(t.Equal,!1,"bool"),J=d(t.Exp);function ee(e){const{inputs:n,attrs:a,backend:r}=e,{input:s}=n,{dim:u}=a,i=s.shape.length,o=s.shape.slice();let l=u;return u<0&&(t.util.assert(-(i+1)<=u,()=>`Axis must be in the interval [${-(i+1)}, ${i}]`),l=i+u+1),o.splice(l,0,1),A({inputs:{x:s},backend:r,attrs:{shape:o}})}const te={kernelName:t.ExpandDims,backendName:"wasm",kernelFunc:ee};const ne={kernelName:t.Fill,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:t,value:n,dtype:a},backend:r}=e,s=r.makeOutput(t,a);return r.typedArrayFromHeap(s).fill(n),s}};let ae;const re={kernelName:t.FlipLeftRight,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:n}=e,{image:a}=t,r=n.makeOutput(a.shape,a.dtype),s=n.dataIdMap.get(a.dataId).id,u=n.dataIdMap.get(r.dataId).id,[i,o,l,d]=a.shape;return ae(s,i,o,l,d,u),r},setupFunc:function(e){ae=e.wasm.cwrap(t.FlipLeftRight,null,["number","number","number","number","number","number"])}},se=d(t.Floor),ue=p(t.FloorDiv,!1);let ie;const oe={kernelName:t.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){ie=e.wasm.cwrap(t.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{varianceEpsilon:s}=r,{x:u,mean:i,variance:o,offset:l,scale:d}=a,c=n.dataIdMap.get(u.dataId).id,p=n.dataIdMap.get(i.dataId).id,m=n.dataIdMap.get(o.dataId).id,f=null!=l?n.dataIdMap.get(l.dataId).id:0,h=null!=d?n.dataIdMap.get(d.dataId).id:0,b=n.makeOutput(u.shape,u.dtype);if(0===t.util.sizeFromShape(u.shape))return b;const _=n.dataIdMap.get(b.dataId).id;return ie(c,p,m,f,h,s,_),b}};let le;const de={kernelName:t.FusedConv2D,backendName:"wasm",setupFunc:function(e){le=e.wasm.cwrap(t.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u,bias:o,preluActivationWeights:l}=n,{strides:d,pad:c,dilations:p,dataFormat:m,dimRoundingMode:f,activation:h,leakyreluAlpha:b}=a,_=t.backend_util.computeConv2DInfo(s.shape,u.shape,d,p,c,f),y=i[h];if(null==y)throw new Error(h+" activation not yet supported for FusedConv2D in the wasm backend.");const g=r.dataIdMap.get(s.dataId).id,w=r.dataIdMap.get(u.dataId).id,k=_.outChannels;let I=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error(`FusedConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==k)throw new Error(`FusedConv2D bias shape (${e.shape}) does not match the number of output channels (${k})`);I=e.id}const v=_.filterHeight,S=_.filterWidth,E=_.padInfo.top,A=_.padInfo.right,M=_.padInfo.bottom,x=_.padInfo.left,N=_.dilationHeight,F=_.dilationWidth,T=_.strideHeight,O=_.strideWidth,C=_.inChannels,R="SAME"===_.padInfo.type?1:0,D=_.batchSize,P=_.inHeight,W=_.inWidth;if("NHWC"!==m)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+m+"'. Please use 'NHWC'.");const B=r.makeOutput(_.outShape,"float32"),L=r.dataIdMap.get(B.dataId).id,H=null==l?0:r.dataIdMap.get(l.dataId).id;return le(g,D,P,W,w,v,S,I,E,A,M,x,R,N,F,T,O,C,k,y,H,b||0,L),B}};let ce;const pe={kernelName:t.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){ce=e.wasm.cwrap(t.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u,bias:o,preluActivationWeights:l}=n,{strides:d,pad:c,dilations:p,dataFormat:m,dimRoundingMode:f,activation:h,leakyreluAlpha:b}=a,_=t.backend_util.computeConv2DInfo(s.shape,u.shape,d,p,c,f,!0),y=i[h];if(null==y)throw new Error(h+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");const g=r.dataIdMap.get(s.dataId).id,w=r.dataIdMap.get(u.dataId).id,k=_.outChannels;let I=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error(`FusedDepthwiseConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==k)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not match the number of output channels (${k})`);I=e.id}const v=_.filterHeight,S=_.filterWidth,E=_.padInfo.top,A=_.padInfo.right,M=_.padInfo.bottom,x=_.padInfo.left,N=_.dilationHeight,F=_.dilationWidth,T=_.strideHeight,O=_.strideWidth,C=_.inChannels,R="SAME"===_.padInfo.type?1:0,D=_.batchSize,P=_.inHeight,W=_.inWidth;if("NHWC"!==m)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+m+"'. Please use 'NHWC'.");const B=r.makeOutput(_.outShape,"float32"),L=r.dataIdMap.get(B.dataId).id,H=null==l?0:r.dataIdMap.get(l.dataId).id;return ce(g,D,P,W,w,v,S,I,E,A,M,x,R,N,F,T,O,C,k,y,H,b||0,L),B}};let me;const fe={kernelName:t.GatherNd,backendName:"wasm",setupFunc:function(e){me=e.wasm.cwrap(t.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a}=e,{params:r,indices:s}=a,[i,o,l,d]=t.gather_util.prepareAndValidate(r,s),c=n.makeOutput(i,r.dtype);if(0===o)return c;const p=s.shape,m=p[p.length-1],f=n.dataIdMap.get(r.dataId).id,h=n.dataIdMap.get(s.dataId).id,b=new Uint8Array(new Int32Array(d).buffer),_=n.dataIdMap.get(c.dataId).id;return me(f,u[r.dtype],h,o,m,l,b,_),c}};let he;const be={kernelName:t.GatherV2,backendName:"wasm",setupFunc:function(e){he=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s,indices:i}=a,{axis:o,batchDims:l}=r,d=t.util.parseAxisParam(o,s.shape)[0],c=t.backend_util.segment_util.collectGatherOpShapeInfo(s,i,d,l),p=A({inputs:{x:s},attrs:{shape:[c.batchSize,c.outerSize,c.dimSize,c.sliceSize]},backend:n}),m=t.util.sizeFromShape(i.shape),f=A({inputs:{x:i},attrs:{shape:[c.batchSize,m/c.batchSize]},backend:n}),h=[c.batchSize,c.outerSize,m/c.batchSize,c.sliceSize],b=n.makeOutput(h,s.dtype);if(0===t.util.sizeFromShape(s.shape))return b;const _=p.shape.length-1,y=n.dataIdMap.get(p.dataId).id,g=n.dataIdMap.get(f.dataId).id,w=n.dataIdMap.get(b.dataId).id,k=new Uint8Array(new Int32Array(t.util.computeStrides(p.shape)).buffer),I=new Uint8Array(new Int32Array(t.util.computeStrides(h)).buffer);return he(y,u[s.dtype],k,_,g,c.batchSize,I,w),n.disposeData(p.dataId),n.disposeData(f.dataId),b.shape=c.outputShape,b}},_e=p(t.Greater,!1,"bool"),ye=p(t.GreaterEqual,!1,"bool");let ge;const we={kernelName:t.LeakyRelu,backendName:"wasm",setupFunc:function(e){ge=e.wasm.cwrap(t.LeakyRelu,null,["number","number","number"])},kernelFunc:function(e){const{inputs:{x:n},attrs:{alpha:a},backend:r}=e,s=r.dataIdMap.get(n.dataId).id,u=r.makeOutput(n.shape,n.dtype);if(0!==t.util.sizeFromShape(n.shape)){const e=r.dataIdMap.get(u.dataId).id;ge(s,a,e)}return u}},ke=p(t.Less,!1,"bool"),Ie=p(t.LessEqual,!1,"bool"),ve=d(t.Log),Se=p(t.LogicalAnd,!1,"bool");let Ee;const Ae={kernelName:t.Max,backendName:"wasm",setupFunc:function(e){Ee=e.wasm.cwrap(t.Max,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{reductionIndices:s,keepDims:u}=r,{x:i}=a;let o=n.dataIdMap.get(i.dataId).id,l=i;const{transposed:d,axes:c,originalAxes:p,inputWasTransposed:m}=k(i,s,n);if(m){l=d,o=n.dataIdMap.get(d.dataId).id}const f=l.shape.length;t.backend_util.assertAxesAreInnerMostDims("max",c,f);const[h,b]=t.backend_util.computeOutAndReduceShapes(l.shape,c),_=t.util.sizeFromShape(b),y=n.makeOutput(h,i.dtype);if(0!==t.util.sizeFromShape(l.shape)){const e=n.dataIdMap.get(y.dataId).id;Ee(o,_,e)}if(m&&n.disposeData(d.dataId),u){const e=t.backend_util.expandShapeToKeepDim(y.shape,p);y.shape=e}return y}},Me=p(t.Maximum,!1);let xe;const Ne={kernelName:t.MaxPool,backendName:"wasm",setupFunc:function(e){xe=e.wasm.cwrap(t.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:i,strides:o,pad:l,dimRoundingMode:d}=a,c=t.backend_util.computePool2DInfo(s.shape,i,o,1,l,d),p=c.filterHeight,m=c.filterWidth,f=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,_=c.padInfo.left,y=c.dilationHeight,g=c.dilationWidth,w=c.strideHeight,k=c.strideWidth,I=c.inChannels,v=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");const S=r.makeOutput(c.outShape,"float32"),E=r.dataIdMap.get(S.dataId).id;return xe(u,s.shape[0],s.shape[1],s.shape[2],p,m,f,h,b,_,y,g,w,k,I,v,E),S}};let Fe;const Te={kernelName:t.Mean,backendName:"wasm",setupFunc:function(e){Fe=e.wasm.cwrap(t.Mean,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,originalAxes:m,inputWasTransposed:f}=k(i,s,n);let h=p;if(f){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e,h=t.backend_util.getInnerMostAxes(h.length,d.shape.length))}t.backend_util.assertAxesAreInnerMostDims("mean",h,d.shape.length);const[b,_]=t.backend_util.computeOutAndReduceShapes(d.shape,h),y=t.util.sizeFromShape(_);let g=d;"float32"!==d.dtype&&(g=F({backend:n,inputs:{x:d},attrs:{dtype:"float32"}}),l=n.dataIdMap.get(g.dataId).id);const w=n.makeOutput(b,"float32");if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(w.dataId).id;Fe(l,y,e)}if(f&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,m);w.shape=e}return"float32"!==d.dtype&&n.disposeData(g.dataId),w}};let Oe;const Ce={kernelName:t.Min,backendName:"wasm",setupFunc:function(e){Oe=e.wasm.cwrap(t.Min,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,originalAxes:m,inputWasTransposed:f}=k(i,s,n);if(f){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e)}const h=d.shape.length;t.backend_util.assertAxesAreInnerMostDims("min",p,h);const[b,_]=t.backend_util.computeOutAndReduceShapes(d.shape,p),y=t.util.sizeFromShape(_),g=n.makeOutput(b,d.dtype);if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(g.dataId).id;Oe(l,y,e)}if(f&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}},Re=p(t.Minimum,!1),De=p(t.Multiply,!0),Pe=d(t.Neg);function We(e,t){const n=new Int32Array(e.wasm.HEAPU8.buffer,t,4),a=n[0],r=n[1],s=n[2],u=n[3];return e.wasm._free(t),{pSelectedIndices:a,selectedSize:r,pSelectedScores:s,pValidOutputs:u}}let Be;const Le={kernelName:t.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){Be=e.wasm.cwrap(t.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u}=a,{boxes:i,scores:o}=n,l=t.dataIdMap.get(i.dataId).id,d=t.dataIdMap.get(o.dataId).id,c=Be(l,d,s,r,u),{pSelectedIndices:p,selectedSize:m,pSelectedScores:f,pValidOutputs:h}=We(t,c);return t.wasm._free(f),t.wasm._free(h),t.makeOutput([m],"int32",p)}};let He;const Ue={kernelName:t.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){He=e.wasm.cwrap(t.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,padToMaxOutputSize:i}=a,{boxes:o,scores:l}=n,d=t.dataIdMap.get(o.dataId).id,c=t.dataIdMap.get(l.dataId).id,p=He(d,c,s,r,u,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=We(t,p);return t.wasm._free(h),[t.makeOutput([f],"int32",m),t.makeOutput([],"int32",b)]}};let ze;const qe={kernelName:t.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){ze=e.wasm.cwrap(t.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,softNmsSigma:i}=a,{boxes:o,scores:l}=n,d=t.dataIdMap.get(o.dataId).id,c=t.dataIdMap.get(l.dataId).id,p=ze(d,c,s,r,u,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=We(t,p);return t.wasm._free(b),[t.makeOutput([f],"int32",m),t.makeOutput([f],"float32",h)]}},je=p(t.NotEqual,!1,"bool");let Ve;const Ge={kernelName:t.OneHot,backendName:"wasm",setupFunc:function(e){Ve=e.wasm.cwrap(t.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{indices:r}=t,{depth:s,onValue:u,offValue:i}=a,o=n.makeOutput([...r.shape,s],"int32"),l=n.dataIdMap.get(o.dataId).id,d=n.dataIdMap.get(r.dataId).id;return Ve(d,s,u,i,l),o}};const Ke={kernelName:t.OnesLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype);return n.typedArrayFromHeap(a).fill(1),a}};const Xe={kernelName:t.Pack,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{axis:s}=r;if(1===n.length)return ee({inputs:{input:n[0]},backend:a,attrs:{dim:s}});const u=n[0].shape,i=n[0].dtype;return n.forEach(e=>{t.util.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),t.util.assert(i===e.dtype,()=>"All tensors passed to stack must have matching dtypes")}),P({inputs:n.map(e=>ee({inputs:{input:e},backend:a,attrs:{dim:s}})),backend:a,attrs:{axis:s}})}};let $e;const Ye={kernelName:t.PadV2,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n,attrs:{paddings:a,constantValue:r}}=e,s=a.map((e,n)=>e[0]+t.shape[n]+e[1]),i=n.dataIdMap.get(t.dataId).id,o=n.makeOutput(s,t.dtype),l=n.dataIdMap.get(o.dataId).id,d=new Uint8Array(new Int32Array(t.shape).buffer),c=a.map(e=>e[0]),p=a.map(e=>e[1]),m=new Uint8Array(new Int32Array(c).buffer),f=new Uint8Array(new Int32Array(p).buffer);return $e(i,d,t.shape.length,u[t.dtype],m,f,r,l),o},setupFunc:function(e){$e=e.wasm.cwrap(t.PadV2,null,["number","array","number","number","array","array","number","number"])}},Qe=p(t.Pow,!1);let Ze;const Je={kernelName:t.Prelu,backendName:"wasm",setupFunc:function(e){Ze=e.wasm.cwrap(t.Prelu,null,["number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n}=e,{x:a,alpha:r}=t,s=n.dataIdMap.get(a.dataId).id,u=n.dataIdMap.get(r.dataId).id,i=n.makeOutput(a.shape,"float32"),o=n.dataIdMap.get(i.dataId).id;return Ze(s,u,o),i}};let et;const tt={kernelName:t.Prod,backendName:"wasm",setupFunc:function(e){et=e.wasm.cwrap(t.Prod,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:i}=r,{x:o}=a,l=n.dataIdMap.get(o.dataId).id;let d=l,c=o;const{transposed:p,axes:m,originalAxes:f,inputWasTransposed:h}=k(o,s,n);let b=m;if(h){const e=n.dataIdMap.get(p.dataId).id;e!==l&&(c=p,d=e,b=t.backend_util.getInnerMostAxes(b.length,c.shape.length))}t.backend_util.assertAxesAreInnerMostDims("prod",b,c.shape.length);const[_,y]=t.backend_util.computeOutAndReduceShapes(c.shape,b),g=t.util.sizeFromShape(y),w=n.makeOutput(_,c.dtype);if(0!==t.util.sizeFromShape(c.shape)){const e=n.dataIdMap.get(w.dataId).id;et(d,g,u[w.dtype],e)}if(h&&n.disposeData(p.dataId),i){const e=t.backend_util.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},nt={kernelName:t.Range,backendName:"wasm",kernelFunc:e=>{const{backend:n,attrs:a}=e,{start:r,stop:s,step:u,dtype:i}=a,o=function(e,n,a,r){if(e===n||e<n&&a<0||n<e&&a>1)return t.util.makeZerosTypedArray(0,r);const s=Math.abs(Math.ceil((n-e)/a)),u=t.util.makeZerosTypedArray(s,r);n<e&&1===a&&(a=-1),u[0]=e;for(let e=1;e<u.length;e++)u[e]=u[e-1]+a;return u}(r,s,u,i),l=n.makeOutput([o.length],i);return n.typedArrayFromHeap(l).set(o),l}},at=p(t.RealDiv,!0),rt=d(t.Relu),st=d(t.Relu6);let ut;const it={kernelName:t.ResizeBilinear,backendName:"wasm",setupFunc:function(e){ut=e.wasm.cwrap(t.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{images:s}=a,{alignCorners:u,halfPixelCenters:i,size:o}=r,[l,d]=o,[c,p,m,f]=s.shape,h=[c,l,d,f];let b,_=n.dataIdMap.get(s.dataId);"float32"!==_.dtype&&(b=F({backend:n,inputs:{x:s},attrs:{dtype:"float32"}}),_=n.dataIdMap.get(b.dataId));const y=_.id,g=n.makeOutput(h,"float32");if(0===t.util.sizeFromShape(s.shape))return g;const w=n.dataIdMap.get(g.dataId).id;return ut(y,c,p,m,f,l,d,u?1:0,i?1:0,w),null!=b&&n.disposeData(b.dataId),g}};let ot;const lt={kernelName:t.Reverse,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{dims:u}=r,i=t.util.parseAxisParam(u,s.shape);if(0===s.shape.length)return b({inputs:{x:s},backend:a});const o=a.makeOutput(s.shape,s.dtype),l=a.dataIdMap.get(s.dataId).id,d=a.dataIdMap.get(o.dataId).id,c=new Uint8Array(new Int32Array(i).buffer),p=new Uint8Array(new Int32Array(s.shape).buffer);ot(l,c,i.length,p,s.shape.length,d);const m=A({inputs:{x:o},attrs:{shape:s.shape},backend:a});return a.disposeData(o.dataId),m},setupFunc:function(e){ot=e.wasm.cwrap(t.Reverse,null,["number","array","number","array","number","number"])}};let dt;const ct={kernelName:t.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{image:s}=n,{radians:u,fillValue:i,center:o}=r,l=a.makeOutput(s.shape,s.dtype),d=a.dataIdMap.get(s.dataId).id,c=a.dataIdMap.get(l.dataId).id,[p,m,f,h]=s.shape,[b,_]=t.backend_util.getImageCenter(o,m,f),y="number"==typeof i?[i,i,i,0===i?0:255]:[...i,255],g=new Uint8Array(new Int32Array(y).buffer);return dt(d,p,m,f,h,u,b,_,g,y.length,c),l},setupFunc:function(e){dt=e.wasm.cwrap(t.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},pt=d(t.Round);let mt;let ft;let ht;function bt(e){const{inputs:{x:n},attrs:{begin:a,size:r},backend:s}=e,[u,i]=t.slice_util.parseSliceParams(n,a,r),o=t.slice_util.isSliceContinous(n.shape,u,i),l=s.readSync(n.dataId),d=s.makeOutput(i,n.dtype),c=t.util.computeStrides(n.shape),p=s.dataIdMap.get(d.dataId);if(o){const e=t.slice_util.computeFlatOffset(u,c);if("string"===n.dtype)p.stringBytes=l.slice(e,e+t.util.sizeFromShape(i));else{s.typedArrayFromHeap(d).set(l.subarray(e,e+t.util.sizeFromShape(i)))}return d}if("string"===n.dtype){const e=D(l,u,i,n.shape,n.dtype);return p.stringBytes=e,d}const m=s.typedArrayFromHeap(d),f=n.shape.length;if(2===f)!function(e,t,n,a,r){let s=0;const u=a[0],i=a[1],o=u+r[0];for(let a=u;a<o;a++){const u=a*t+i;n.set(e.subarray(u,u+r[1]),s),s+=r[1]}}(l,c[0],m,u,i);else if(3===f)!function(e,t,n,a,r,s){let u=0;const i=r[0],o=r[1],l=r[2],d=i+s[0],c=o+s[1];for(let r=i;r<d;r++)for(let i=o;i<c;i++){const o=r*t+i*n+l;a.set(e.subarray(o,o+s[2]),u),u+=s[2]}}(l,c[0],c[1],m,u,i);else if(4===f)!function(e,t,n,a,r,s,u){let i=0;const o=s[0],l=s[1],d=s[2],c=o+u[0],p=l+u[1],m=d+u[2],f=s[3];for(let s=o;s<c;s++)for(let o=l;o<p;o++)for(let l=d;l<m;l++){const d=s*t+o*n+l*a+f;r.set(e.subarray(d,d+u[3]),i),i+=u[3]}}(l,c[0],c[1],c[2],m,u,i);else{const e=D(l,u,i,n.shape,n.dtype);m.set(e)}return d}let _t;let yt;let gt;let wt;let kt;let It;const vt=[c,m,h,v,E,N,T,O,R,W,L,U,z,V,K,$,Q,Z,J,te,ne,re,se,ue,l,oe,de,pe,fe,be,_e,ye,_,we,ke,Ie,ve,Se,Ae,Me,Ne,Te,Ce,Re,De,Pe,Le,Ue,qe,je,Ge,Ke,Xe,Ye,Qe,Je,tt,nt,at,rt,st,M,it,lt,ct,d(t.Rsqrt),pt,{kernelName:t.ScatterNd,backendName:"wasm",setupFunc:function(e){mt=e.wasm.cwrap(t.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{indices:s,updates:i}=a,{shape:o}=r,l=n.makeOutput(o,i.dtype);if(0===t.util.sizeFromShape(o))return l;const{sliceRank:d,numUpdates:c,sliceSize:p,strides:m,outputSize:f}=t.scatter_util.calculateShapes(i,s,o),h=n.dataIdMap.get(s.dataId).id,b=n.dataIdMap.get(i.dataId).id,_=new Uint8Array(new Int32Array(m).buffer),y=n.dataIdMap.get(l.dataId).id;return mt(h,b,u[i.dtype],d,c,p,_,f,y),l}},{kernelName:t.Select,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a}=e,{condition:r,t:s,e:u}=n,i=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(s.dataId).id,l=a.dataIdMap.get(u.dataId).id,d=a.makeOutput(s.shape,s.dtype),c=a.dataIdMap.get(d.dataId).id,p=r.shape.length,m=s.shape.length,f=0===p||p>1||1===m?1:t.util.sizeFromShape(s.shape.slice(1));return ft(i,o,l,f,c),d},setupFunc:function(e){ft=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){ht=e.wasm.cwrap(t.Sigmoid,null,["number","number"])},kernelFunc:function(e){const{backend:n,inputs:{x:a}}=e,r=n.dataIdMap.get(a.dataId).id,s=n.makeOutput(a.shape,a.dtype),u=n.dataIdMap.get(s.dataId).id;return 0===t.util.sizeFromShape(s.shape)||ht(r,u),s}},d(t.Sin),{kernelName:t.Slice,backendName:"wasm",kernelFunc:bt},{kernelName:t.Softmax,backendName:"wasm",setupFunc:function(e){_t=e.wasm.cwrap(t.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:{logits:a},attrs:{dim:r}}=e,s=n.dataIdMap.get(a.dataId).id,u=n.makeOutput(a.shape,a.dtype),i=n.dataIdMap.get(u.dataId).id,o=a.shape[r],l=t.util.sizeFromShape(a.shape)/o;return 0===t.util.sizeFromShape(u.shape)||_t(s,i,o,l),u}},{kernelName:t.SplitV,backendName:"wasm",kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s}=n,{numOrSizeSplits:u,axis:i}=a,o=t.util.parseAxisParam(i,s.shape)[0],l=t.backend_util.prepareSplitSize(s,u,o),d=new Array(s.shape.length).fill(0),c=s.shape.slice();return l.map(e=>{const t=[...c];t[o]=e;const n=bt({inputs:{x:s},attrs:{begin:d,size:t},backend:r});return d[o]+=e,n})}},d(t.Sqrt),d(t.Square),p(t.SquaredDifference,!0),{kernelName:t.Step,backendName:"wasm",setupFunc:function(e){yt=e.wasm.cwrap(t.Step,null,["number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{alpha:r}=a,{x:s}=n,u=t.dataIdMap.get(s.dataId).id,i=t.makeOutput(s.shape,s.dtype),o=t.dataIdMap.get(i.dataId).id;return yt(u,r,o),i}},{kernelName:t.StridedSlice,backendName:"wasm",setupFunc:function(e){gt=e.wasm.cwrap(t.StridedSlice,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a;let{begin:u,end:i,strides:o}=r;null==o&&(o=new Array(u.length));const{beginMask:l,endMask:d,ellipsisMask:c,newAxisMask:p,shrinkAxisMask:m}=r,f=t.backend_util.slice_util.maskToAxes(c);if(f.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==c&&0!==p)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==c&&0!==m)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");const h=s.shape.length-u.length,b=t.backend_util.slice_util.maskToAxes(p),_=s.shape.slice();b.forEach(e=>{u[e]=0,i[e]=1,_.splice(e,0,1)});const y=A({inputs:{x:s},attrs:{shape:_},backend:n}),{begin:g,end:w,strides:k}=t.backend_util.slice_util.getNormalizedAxes(y.shape,f,h,u,i,o,l,d,c);u=g,i=w,o=k;const I=t.backend_util.slice_util.maskToAxes(m);I.forEach(e=>{i[e]=u[e]+1,o[e]=1});const v=t.backend_util.slice_util.computeOutShape(u,i,o),S=v.filter((e,t)=>-1===I.indexOf(t));if(o.every(e=>1===e)){const e=bt({inputs:{x:s},attrs:{begin:u,size:v},backend:n});n.disposeData(y.dataId);const t=A({inputs:{x:e},attrs:{shape:S},backend:n});return n.disposeData(e.dataId),t}const E=n.makeOutput(S,"float32");if(!S.some(e=>0===e)){const e=n.dataIdMap.get(y.dataId).id,a=new Uint8Array(new Int32Array(t.util.computeStrides(y.shape)).buffer),r=new Uint8Array(new Int32Array(u).buffer),s=new Uint8Array(new Int32Array(i).buffer),l=new Uint8Array(new Int32Array(o).buffer),d=new Uint8Array(new Int32Array(S).buffer),c=new Uint8Array(new Int32Array(t.util.computeStrides(S)).buffer),p=n.dataIdMap.get(E.dataId).id;gt(e,a,y.shape.length,r,s,l,d,c,S.length,p)}n.disposeData(y.dataId);const M=A({inputs:{x:E},attrs:{shape:S},backend:n});return n.disposeData(E.dataId),M}},p(t.Sub,!0),{kernelName:t.Sum,backendName:"wasm",setupFunc:function(e){wt=e.wasm.cwrap(t.Sum,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let l=o,d=i;const{transposed:c,axes:p,originalAxes:m,inputWasTransposed:f}=k(i,s,n);let h=p;if(f){const e=n.dataIdMap.get(c.dataId).id;e!==o&&(d=c,l=e,h=t.backend_util.getInnerMostAxes(h.length,d.shape.length))}t.backend_util.assertAxesAreInnerMostDims("sum",h,d.shape.length);const[b,_]=t.backend_util.computeOutAndReduceShapes(d.shape,h),y=t.util.sizeFromShape(_),g=n.makeOutput(b,d.dtype);if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(g.dataId).id;wt(l,y,e)}if(f&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}},d(t.Tanh),{kernelName:t.Tile,backendName:"wasm",setupFunc:function(e){kt=e.wasm.cwrap(t.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{x:r}=t,s=n.dataIdMap.get(r.dataId).id,{reps:i}=a,o=new Array(r.shape.length);for(let e=0;e<o.length;e++)o[e]=r.shape[e]*i[e];const l=new Uint8Array(new Int32Array(r.shape).buffer),d=new Uint8Array(new Int32Array(o).buffer),c=n.makeOutput(o,r.dtype),p=n.dataIdMap.get(c.dataId).id;return kt(s,l,r.shape.length,d,o.length,u[c.dtype],p),c}},{kernelName:t.TopK,backendName:"wasm",setupFunc:function(e){It=e.wasm.cwrap(t.TopK,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:({inputs:e,backend:t,attrs:n})=>{const{x:a}=e,{k:r,sorted:s}=n,i=t.dataIdMap.get(a.dataId).id,o=new Uint8Array(new Int32Array(a.shape).buffer),l=a.shape.slice();l[l.length-1]=r;const d=t.makeOutput(l,a.dtype),c=t.dataIdMap.get(d.dataId).id,p=t.makeOutput(l,"int32"),m=t.dataIdMap.get(p.dataId).id;return It(i,o,a.shape.length,u[a.dtype],r,s,c,m),[d,p]}},w,{kernelName:t.Unpack,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{value:r}=t;let{axis:s}=a;s<0&&(s+=r.shape.length);const u=r.shape[s],i=r.shape.length,o=new Array(i-1);let l=0;for(let e=0;e<i;e++)e!==s&&(o[l++]=r.shape[e]);const d=new Array(u),c=new Array(i).fill(0),p=r.shape.slice();p[s]=1;for(let e=0;e<d.length;e++)c[s]=e,d[e]=bt({inputs:{x:r},attrs:{begin:c,size:p},backend:n});return d.map(({dataId:e,dtype:t})=>({dataId:e,dtype:t,shape:o}))}},{kernelName:t.ZerosLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype);return n.typedArrayFromHeap(a).fill(0),a}}];for(const e of vt)t.registerKernel(e);const St=t.env();function Et(e,t){return e(t={exports:{}},t.exports),t.exports}St.registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))),St.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",async()=>{if(St.get("IS_NODE"))return!1;try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}});var At=Et((function(e,t){var u,i=(u="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(u=u||__filename),function(e){function t(){return x.buffer!=V&&J(x.buffer),G}function i(){return x.buffer!=V&&J(x.buffer),K}function o(){return x.buffer!=V&&J(x.buffer),X}function l(){return x.buffer!=V&&J(x.buffer),$}function d(){return x.buffer!=V&&J(x.buffer),Y}var c,p="undefined"!=typeof(e=e||{})?e:{},m={};for(c in p)p.hasOwnProperty(c)&&(m[c]=p[c]);var f=!1,h=!1,b=!1,_=!1;f="object"==typeof window,h="function"==typeof importScripts,b="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,_=!f&&!b&&!h;var y=p.ENVIRONMENT_IS_PTHREAD||!1;y&&(V=p.buffer,ee=p.DYNAMIC_BASE,te=p.DYNAMICTOP_PTR);var g,w,k,I,v="";function S(e){return p.locateFile?p.locateFile(e,v):v+e}if(b){var E;v=h?n.dirname(v)+"/":__dirname+"/",g=function(e,t){return k||(k=a),I||(I=n),e=I.normalize(e),k.readFileSync(e,t?null:"utf8")},w=function(e){var t=g(e,!0);return t.buffer||(t=new Uint8Array(t)),D(t.buffer),t},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof pn))throw e})),process.on("unhandledRejection",ke),p.inspect=function(){return"[Emscripten Module object]"};try{E=r}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}Worker=E.Worker}else _?("undefined"!=typeof read&&(g=function(e){return read(e)}),w=function(e){var t;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(D("object"==typeof(t=read(e,"binary"))),t)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(f||h)&&(h?v=self.location.href:document.currentScript&&(v=document.currentScript.src),"undefined"!=typeof u&&u&&(v=u),v=0!==v.indexOf("blob:")?v.substr(0,v.lastIndexOf("/")+1):"",b?(g=function(e,t){return k||(k=a),I||(I=n),e=I.normalize(e),k.readFileSync(e,t?null:"utf8")},w=function(e){var t=g(e,!0);return t.buffer||(t=new Uint8Array(t)),D(t.buffer),t}):(g=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},h&&(w=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)})));b&&"undefined"==typeof performance&&(performance=s.performance);var A,M,x,N=p.print||console.log.bind(console),F=p.printErr||console.warn.bind(console);for(c in m)m.hasOwnProperty(c)&&(p[c]=m[c]);m=null,p.arguments&&p.arguments,p.thisProgram&&p.thisProgram,p.quit&&p.quit,p.wasmBinary&&(A=p.wasmBinary),p.noExitRuntime&&(M=p.noExitRuntime),"object"!=typeof WebAssembly&&F("no native wasm support detected");var T,O=new WebAssembly.Table({initial:171,maximum:171,element:"anyfunc"}),C=0,R=!1;function D(e,t){e||ke("Assertion failed: "+t)}function P(e){var t=p["_"+e];return D(t,"Cannot call unknown function "+e+", make sure it is exported"),t}function W(e,t,n,a,r){var s={string:function(e){var t=0;if(null!=e&&0!==e){var n=1+(e.length<<2);z(e,t=ln(n),n)}return t},array:function(e){var t=ln(e.length);return j(e,t),t}},u=P(e),i=[],o=0;if(a)for(var l=0;l<a.length;l++){var d=s[n[l]];d?(0===o&&(o=on()),i[l]=d(a[l])):i[l]=a[l]}var c=u.apply(null,i);return c=function(e){return"string"===t?H(e):"boolean"===t?Boolean(e):e}(c),0!==o&&dn(o),c}function B(e,t,n,a){var r=(n=n||[]).every((function(e){return"number"===e}));return"string"!==t&&r&&!a?P(e):function(){return W(e,t,n,arguments)}}function L(e,t,n){for(var a=t+n,r="";!(t>=a);){var s=e[t++];if(!s)return r;if(128&s){var u=63&e[t++];if(192!=(224&s)){var i=63&e[t++];if((s=224==(240&s)?(15&s)<<12|u<<6|i:(7&s)<<18|u<<12|i<<6|63&e[t++])<65536)r+=String.fromCharCode(s);else{var o=s-65536;r+=String.fromCharCode(55296|o>>10,56320|1023&o)}}else r+=String.fromCharCode((31&s)<<6|u)}else r+=String.fromCharCode(s)}return r}function H(e,t){return e?L(i(),e,t):""}function U(e,t,n,a){if(!(a>0))return 0;for(var r=n,s=n+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(n>=s)break;t[n++]=i}else if(i<=2047){if(n+1>=s)break;t[n++]=192|i>>6,t[n++]=128|63&i}else if(i<=65535){if(n+2>=s)break;t[n++]=224|i>>12,t[n++]=128|i>>6&63,t[n++]=128|63&i}else{if(n+3>=s)break;t[n++]=240|i>>18,t[n++]=128|i>>12&63,t[n++]=128|i>>6&63,t[n++]=128|63&i}}return t[n]=0,n-r}function z(e,t,n){return U(e,i(),t,n)}function q(e){for(var t=0,n=0;n<e.length;++n){var a=e.charCodeAt(n);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++n)),a<=127?++t:t+=a<=2047?2:a<=65535?3:4}return t}function j(e,n){t().set(e,n)}var V,G,K,X,$,Y,Q=65536;function Z(e,t){return e%t>0&&(e+=t-e%t),e}function J(e){V=e,p.HEAP8=G=new Int8Array(e),p.HEAP16=new Int16Array(e),p.HEAP32=X=new Int32Array(e),p.HEAPU8=K=new Uint8Array(e),p.HEAPU16=new Uint16Array(e),p.HEAPU32=$=new Uint32Array(e),p.HEAPF32=new Float32Array(e),p.HEAPF64=Y=new Float64Array(e)}var ee=5256464,te=12656,ne=p.INITIAL_MEMORY||16777216;if(y)x=p.wasmMemory,V=p.buffer;else if(p.wasmMemory)x=p.wasmMemory;else if(!((x=new WebAssembly.Memory({initial:ne/Q,maximum:2147483648/Q,shared:!0})).buffer instanceof SharedArrayBuffer))throw F("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),b&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");function ae(e){for(;e.length>0;){var t=e.shift();if("function"!=typeof t){var n=t.func;"number"==typeof n?void 0===t.arg?p.dynCall_v(n):p.dynCall_vi(n,t.arg):n(void 0===t.arg?null:t.arg)}else t(p)}}x&&(V=x.buffer),ne=V.byteLength,J(V),y||(o()[te>>2]=ee);var re=[],se=[],ue=[],ie=[];function oe(){if(!y){if(p.preRun)for("function"==typeof p.preRun&&(p.preRun=[p.preRun]);p.preRun.length;)pe(p.preRun.shift());ae(re)}}function le(){ae(se)}function de(){y||ae(ue)}function ce(){if(!y){if(p.postRun)for("function"==typeof p.postRun&&(p.postRun=[p.postRun]);p.postRun.length;)me(p.postRun.shift());ae(ie)}}function pe(e){re.unshift(e)}function me(e){ie.unshift(e)}var fe=Math.ceil,he=Math.floor,be=0,_e=null,ye=null;function ge(e){D(!y,"addRunDependency cannot be used in a pthread worker"),be++,p.monitorRunDependencies&&p.monitorRunDependencies(be)}function we(e){if(be--,p.monitorRunDependencies&&p.monitorRunDependencies(be),0==be&&(null!==_e&&(clearInterval(_e),_e=null),ye)){var t=ye;ye=null,t()}}function ke(e){throw p.onAbort&&p.onAbort(e),y&&console.error("Pthread aborting at "+(new Error).stack),N(e+=""),F(e),R=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function Ie(e,t){return String.prototype.startsWith?e.startsWith(t):0===e.indexOf(t)}p.preloadedImages={},p.preloadedAudios={};var ve="data:application/octet-stream;base64,";function Se(e){return Ie(e,ve)}var Ee="file://";function Ae(e){return Ie(e,Ee)}var Me="tfjs-backend-wasm-threaded-simd.wasm";function xe(){try{if(A)return new Uint8Array(A);if(w)return w(Me);throw"both async and sync fetching of the wasm failed"}catch(e){ke(e)}}function Ne(){return A||!f&&!h||"function"!=typeof fetch||Ae(Me)?new Promise((function(e,t){e(xe())})):fetch(Me,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+Me+"'";return e.arrayBuffer()})).catch((function(){return xe()}))}function Fe(){var e={a:Gt};function t(e,t){var n=e.exports;if(p.asm=n,T=t,!y){var a=je.unusedWorkers.length;je.unusedWorkers.forEach((function(e){je.loadWasmModuleToWorker(e,(function(){--a||we()}))}))}}function n(e){t(e.instance,e.module)}function a(t){return Ne().then((function(t){return WebAssembly.instantiate(t,e)})).then(t,(function(e){F("failed to asynchronously prepare wasm: "+e),ke(e)}))}if(y||ge(),p.instantiateWasm)try{return p.instantiateWasm(e,t)}catch(e){return F("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(A||"function"!=typeof WebAssembly.instantiateStreaming||Se(Me)||Ae(Me)||"function"!=typeof fetch)return a(n);fetch(Me,{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(n,(function(e){F("wasm streaming compile failed: "+e),F("falling back to ArrayBuffer instantiation"),a(n)}))}))}(),{}}Se(Me)||(Me=S(Me));var Te={};function Oe(){je.initRuntime()}y||se.push({func:function(){$t()}});var Ce=0,Re=0,De=0;function Pe(e,t,n){Ce=e|=0,De=t|=0,Re=n|=0}p.__register_pthread_ptr=Pe;var We={EPERM:63,ENOENT:44,ESRCH:71,EINTR:27,EIO:29,ENXIO:60,E2BIG:1,ENOEXEC:45,EBADF:8,ECHILD:12,EAGAIN:6,EWOULDBLOCK:6,ENOMEM:48,EACCES:2,EFAULT:21,ENOTBLK:105,EBUSY:10,EEXIST:20,EXDEV:75,ENODEV:43,ENOTDIR:54,EISDIR:31,EINVAL:28,ENFILE:41,EMFILE:33,ENOTTY:59,ETXTBSY:74,EFBIG:22,ENOSPC:51,ESPIPE:70,EROFS:69,EMLINK:34,EPIPE:64,EDOM:18,ERANGE:68,ENOMSG:49,EIDRM:24,ECHRNG:106,EL2NSYNC:156,EL3HLT:107,EL3RST:108,ELNRNG:109,EUNATCH:110,ENOCSI:111,EL2HLT:112,EDEADLK:16,ENOLCK:46,EBADE:113,EBADR:114,EXFULL:115,ENOANO:104,EBADRQC:103,EBADSLT:102,EDEADLOCK:16,EBFONT:101,ENOSTR:100,ENODATA:116,ETIME:117,ENOSR:118,ENONET:119,ENOPKG:120,EREMOTE:121,ENOLINK:47,EADV:122,ESRMNT:123,ECOMM:124,EPROTO:65,EMULTIHOP:36,EDOTDOT:125,EBADMSG:9,ENOTUNIQ:126,EBADFD:127,EREMCHG:128,ELIBACC:129,ELIBBAD:130,ELIBSCN:131,ELIBMAX:132,ELIBEXEC:133,ENOSYS:52,ENOTEMPTY:55,ENAMETOOLONG:37,ELOOP:32,EOPNOTSUPP:138,EPFNOSUPPORT:139,ECONNRESET:15,ENOBUFS:42,EAFNOSUPPORT:5,EPROTOTYPE:67,ENOTSOCK:57,ENOPROTOOPT:50,ESHUTDOWN:140,ECONNREFUSED:14,EADDRINUSE:3,ECONNABORTED:13,ENETUNREACH:40,ENETDOWN:38,ETIMEDOUT:73,EHOSTDOWN:142,EHOSTUNREACH:23,EINPROGRESS:26,EALREADY:7,EDESTADDRREQ:17,EMSGSIZE:35,EPROTONOSUPPORT:66,ESOCKTNOSUPPORT:137,EADDRNOTAVAIL:4,ENETRESET:39,EISCONN:30,ENOTCONN:53,ETOOMANYREFS:141,EUSERS:136,EDQUOT:19,ESTALE:72,ENOTSUP:138,ENOMEDIUM:148,EILSEQ:25,EOVERFLOW:61,ECANCELED:11,ENOTRECOVERABLE:56,EOWNERDEAD:62,ESTRPIPE:135},Be=13568;function Le(e,n){if(e<=0||e>t().length||!0&e||n<0)return-28;if(0==n)return 0;n>=2147483647&&(n=1/0);var a=Atomics.load(o(),Be>>2),r=0;if(a==e&&Atomics.compareExchange(o(),Be>>2,a,0)==a&&(r=1,--n<=0))return 1;var s=Atomics.notify(o(),e>>2,n);if(s>=0)return s+r;throw"Atomics.notify returned an unexpected value "+s}function He(e){if(y)throw"Internal Error! _kill_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _kill_thread!";o()[e+12>>2]=0;var t=je.pthreads[e];t.worker.terminate(),je.freeThreadData(t),je.runningWorkers.splice(je.runningWorkers.indexOf(t.worker),1),t.worker.pthread=void 0}function Ue(e){if(y)throw"Internal Error! _cancel_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cancel_thread!";je.pthreads[e].worker.postMessage({cmd:"cancel"})}function ze(e){if(y)throw"Internal Error! _cleanup_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cleanup_thread!";o()[e+12>>2]=0;var t=je.pthreads[e];if(t){var n=t.worker;je.returnWorkerToPool(n)}}p._emscripten_futex_wake=Le;var qe,je={MAIN_THREAD_ID:1,mainThreadInfo:{schedPolicy:0,schedPrio:0},unusedWorkers:[],runningWorkers:[],initRuntime:function(){Pe(je.mainThreadBlock,!h,1),an(je.mainThreadBlock)},initMainThreadBlock:function(){for(var e=0;e<8;++e)je.allocateUnusedWorker();for(je.mainThreadBlock=12816,e=0;e<58;++e)l()[je.mainThreadBlock/4+e]=0;o()[je.mainThreadBlock+12>>2]=je.mainThreadBlock;var t=je.mainThreadBlock+156;for(o()[t>>2]=t,e=0;e<128;++e)l()[3264+e]=0;Atomics.store(l(),je.mainThreadBlock+104>>2,13056),Atomics.store(l(),je.mainThreadBlock+40>>2,je.mainThreadBlock),Atomics.store(l(),je.mainThreadBlock+44>>2,42)},initWorker:function(){},pthreads:{},exitHandlers:null,setThreadStatus:function(){},runExitHandlers:function(){if(null!==je.exitHandlers){for(;je.exitHandlers.length>0;)je.exitHandlers.pop()();je.exitHandlers=null}y&&C&&tn()},threadExit:function(e){var t=Ut();t&&(Atomics.store(l(),t+4>>2,e),Atomics.store(l(),t+0>>2,1),Atomics.store(l(),t+60>>2,1),Atomics.store(l(),t+64>>2,0),je.runExitHandlers(),Le(t+0,2147483647),Pe(0,0,0),C=0,y&&postMessage({cmd:"exit"}))},threadCancel:function(){je.runExitHandlers(),Atomics.store(l(),C+4>>2,-1),Atomics.store(l(),C+0>>2,1),Le(C+0,2147483647),C=0,Pe(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in je.pthreads)(a=je.pthreads[e])&&a.worker&&je.returnWorkerToPool(a.worker);je.pthreads={};for(var t=0;t<je.unusedWorkers.length;++t)(n=je.unusedWorkers[t]).terminate();for(je.unusedWorkers=[],t=0;t<je.runningWorkers.length;++t){var n,a=(n=je.runningWorkers[t]).pthread;je.freeThreadData(a),n.terminate()}je.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var t=o()[e.threadInfoStruct+104>>2];o()[e.threadInfoStruct+104>>2]=0,Qt(t),Qt(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&Qt(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){delete je.pthreads[e.pthread.thread],je.unusedWorkers.push(e),je.runningWorkers.splice(je.runningWorkers.indexOf(e),1),je.freeThreadData(e.pthread),e.pthread=void 0},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,t){e.onmessage=function(n){var a=n.data,r=a.cmd;if(e.pthread&&(je.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),a.targetThread&&a.targetThread!=Ut()){var s=je.pthreads[a.targetThread];return s?s.worker.postMessage(n.data,a.transferList):console.error('Internal error! Worker sent a message "'+r+'" to target pthread '+a.targetThread+", but that thread no longer exists!"),void(je.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===r?nn():"spawnThread"===r?Lt(n.data):"cleanupThread"===r?ze(a.thread):"killThread"===r?He(a.thread):"cancelThread"===r?Ue(a.thread):"loaded"===r?(e.loaded=!0,t&&t(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===r?N("Thread "+a.threadId+": "+a.text):"printErr"===r?F("Thread "+a.threadId+": "+a.text):"alert"===r?alert("Thread "+a.threadId+": "+a.text):"exit"===r?e.pthread&&Atomics.load(l(),e.pthread.thread+68>>2)&&je.returnWorkerToPool(e):"cancelDone"===r?je.returnWorkerToPool(e):"objectTransfer"===r?je.receiveObjectTransfer(n.data):"setimmediate"===n.data.target?e.postMessage(n.data):F("worker sent an unknown command "+r),je.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){F("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},b&&(e.on("message",(function(t){e.onmessage({data:t})})),e.on("error",(function(t){e.onerror(t)})),e.on("exit",(function(e){console.log("worker exited - TODO: update the worker queue?")}))),e.postMessage({cmd:"load",urlOrBlob:p.mainScriptUrlOrBlob||u,wasmMemory:x,wasmModule:T,DYNAMIC_BASE:ee,DYNAMICTOP_PTR:te})},allocateUnusedWorker:function(){var e=S("tfjs-backend-wasm-threaded-simd.worker.js");je.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==je.unusedWorkers.length&&(je.allocateUnusedWorker(),je.loadWasmModuleToWorker(je.unusedWorkers[0])),je.unusedWorkers.length>0?je.unusedWorkers.pop():null},busySpinWait:function(e){for(var t=performance.now()+e;performance.now()<t;);}};function Ve(e,t){dn(e)}function Ge(){return M}function Ke(e,t,n,a){ke("Assertion failed: "+H(e)+", at: "+[t?H(t):"unknown filename",n,a?H(a):"unknown function"])}function Xe(e,t){_main(e,t)}function $e(e){return o()[Zt()>>2]=e,e}function Ye(e,t){if(y)return st(1,1,e,t)}function Qe(e,t){if(e==t)postMessage({cmd:"processQueuedMainThreadWork"});else if(y)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var n=je.pthreads[e],a=n&&n.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1}function Ze(){ke()}function Je(e,t){}function et(e,n,a){if(e<=0||e>t().length||!0&e)return-28;if(h){var r=Atomics.wait(o(),e>>2,n,a);if("timed-out"===r)return-73;if("not-equal"===r)return-6;if("ok"===r)return 0;throw"Atomics.wait returned an unexpected value "+r}if(n!=Atomics.load(o(),e>>2))return-6;var s=performance.now(),u=s+a;Atomics.store(o(),Be>>2,e);for(var i=e;e==i;){if((s=performance.now())>u)return-73;nn(),e=Atomics.load(o(),Be>>2)}return 0}function tt(){return 0|De}function nt(){return 0|Re}function at(e,t,n){i().copyWithin(e,t,t+n)}function rt(){return navigator.hardwareConcurrency}function st(e,t){for(var n=arguments.length-2,a=on(),r=ln(8*n),s=r>>3,u=0;u<n;u++)d()[s+u]=arguments[2+u];var i=sn(e,n,r,t);return dn(a),i}p.establishStackSpace=Ve,p.getNoExitRuntime=Ge,qe=b?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:y?function(){return performance.now()-p.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var ut=[];function it(e,t){it.array||(it.array=[]);var n,a=it.array;for(a.length=0;n=i()[e++];)100===n||102===n?(t=t+7&-8,a.push(d()[t>>3]),t+=8):(t=t+3&-4,a.push(o()[t>>2]),t+=4);return a}function ot(e,t,n){ut.length=t;for(var a=n>>3,r=0;r<t;r++)ut[r]=d()[a+r];var s=e<0,u=s?Te[-e-1]:Vt[e];if(s){var i=it(ut[1],ut[2]);return u.apply(null,i)}return u.apply(null,ut)}function lt(){return i().length}function dt(e){try{return x.grow(e-V.byteLength+65535>>>16),J(x.buffer),1}catch(e){}}function ct(e){e>>>=0;var t=lt();if(e<=t)return!1;if(e>2147483648)return!1;for(var n=1;n<=4;n*=2){var a=t*(1+.2/n);if(a=Math.min(a,e+100663296),dt(Math.min(2147483648,Z(Math.max(16777216,e,a),65536))))return!0}return!1}var pt={keyEvent:0,mouseEvent:0,wheelEvent:0,uiEvent:0,focusEvent:0,deviceOrientationEvent:0,deviceMotionEvent:0,fullscreenChangeEvent:0,pointerlockChangeEvent:0,visibilityChangeEvent:0,touchEvent:0,previousFullscreenElement:null,previousScreenX:null,previousScreenY:null,removeEventListenersRegistered:!1,removeAllEventListeners:function(){for(var e=pt.eventHandlers.length-1;e>=0;--e)pt._removeHandler(e);pt.eventHandlers=[],pt.deferredCalls=[]},registerRemoveEventListeners:function(){pt.removeEventListenersRegistered||(pt.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,t,n){function a(e,t){if(e.length!=t.length)return!1;for(var n in e)if(e[n]!=t[n])return!1;return!0}for(var r in pt.deferredCalls){var s=pt.deferredCalls[r];if(s.targetFunction==e&&a(s.argsList,n))return}pt.deferredCalls.push({targetFunction:e,precedence:t,argsList:n}),pt.deferredCalls.sort((function(e,t){return e.precedence<t.precedence}))},removeDeferredCalls:function(e){for(var t=0;t<pt.deferredCalls.length;++t)pt.deferredCalls[t].targetFunction==e&&(pt.deferredCalls.splice(t,1),--t)},canPerformEventHandlerRequests:function(){return pt.inEventHandler&&pt.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(pt.canPerformEventHandlerRequests())for(var e=0;e<pt.deferredCalls.length;++e){var t=pt.deferredCalls[e];pt.deferredCalls.splice(e,1),--e,t.targetFunction.apply(null,t.argsList)}},inEventHandler:0,currentEventHandler:null,eventHandlers:[],removeAllHandlersOnTarget:function(e,t){for(var n=0;n<pt.eventHandlers.length;++n)pt.eventHandlers[n].target!=e||t&&t!=pt.eventHandlers[n].eventTypeString||pt._removeHandler(n--)},_removeHandler:function(e){var t=pt.eventHandlers[e];t.target.removeEventListener(t.eventTypeString,t.eventListenerFunc,t.useCapture),pt.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var t=function(t){++pt.inEventHandler,pt.currentEventHandler=e,pt.runDeferredCalls(),e.handlerFunc(t),pt.runDeferredCalls(),--pt.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=t,e.target.addEventListener(e.eventTypeString,t,e.useCapture),pt.eventHandlers.push(e),pt.registerRemoveEventListeners();else for(var n=0;n<pt.eventHandlers.length;++n)pt.eventHandlers[n].target==e.target&&pt.eventHandlers[n].eventTypeString==e.eventTypeString&&pt._removeHandler(n--)},queueEventHandlerOnThread_iiii:function(e,t,n,a,r){var s=on(),u=ln(12);o()[u>>2]=n,o()[u+4>>2]=a,o()[u+8>>2]=r,un(e,637534208,t,a,u),dn(s)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return je.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function mt(e){var t=q(e)+1,n=Yt(t);return z(e,n,t),n}function ft(e,t,n,a){var r=on(),s=ln(12),u=0;t&&(u=mt(t)),o()[s>>2]=u,o()[s+4>>2]=n,o()[s+8>>2]=a,un(e,657457152,0,u,s),dn(r)}function ht(e,t,n,a){ft(e,t=t?H(t):"",n,a)}function bt(e){return e>2?H(e):e}var _t=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function yt(e){return e=bt(e),_t[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function gt(e){return yt(e)}function wt(e,t,n){var a=gt(e);if(!a)return-4;if(a.canvasSharedPtr&&(o()[a.canvasSharedPtr>>2]=t,o()[a.canvasSharedPtr+4>>2]=n),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(ht(o()[a.canvasSharedPtr+8>>2],e,t,n),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var r=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var s=a.GLctxObject.GLctx.getParameter(2978);r=0===s[0]&&0===s[1]&&s[2]===a.width&&s[3]===a.height}return a.width=t,a.height=n,r&&a.GLctxObject.GLctx.viewport(0,0,t,n),0}function kt(e,t,n){return y?st(2,1,e,t,n):wt(e,t,n)}function It(e,t,n){return gt(e)?wt(e,t,n):kt(e,t,n)}function vt(e){}function St(e,t){}function Et(e){var t=e.getExtension("ANGLE_instanced_arrays");if(t)return e.vertexAttribDivisor=function(e,n){t.vertexAttribDivisorANGLE(e,n)},e.drawArraysInstanced=function(e,n,a,r){t.drawArraysInstancedANGLE(e,n,a,r)},e.drawElementsInstanced=function(e,n,a,r,s){t.drawElementsInstancedANGLE(e,n,a,r,s)},1}function At(e){var t=e.getExtension("OES_vertex_array_object");if(t)return e.createVertexArray=function(){return t.createVertexArrayOES()},e.deleteVertexArray=function(e){t.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){t.bindVertexArrayOES(e)},e.isVertexArray=function(e){return t.isVertexArrayOES(e)},1}function Mt(e){var t=e.getExtension("WEBGL_draw_buffers");if(t)return e.drawBuffers=function(e,n){t.drawBuffersWEBGL(e,n)},1}var xt={counter:1,lastError:0,buffers:[],mappedBuffers:{},programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},currentContext:null,offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,init:function(){for(var e=new Float32Array(xt.MINI_TEMP_BUFFER_SIZE),t=0;t<xt.MINI_TEMP_BUFFER_SIZE;t++)xt.miniTempBufferFloatViews[t]=e.subarray(0,t+1);var n=new Int32Array(xt.MINI_TEMP_BUFFER_SIZE);for(t=0;t<xt.MINI_TEMP_BUFFER_SIZE;t++)xt.miniTempBufferIntViews[t]=n.subarray(0,t+1)},recordError:function(e){xt.lastError||(xt.lastError=e)},getNewId:function(e){for(var t=xt.counter++,n=e.length;n<t;n++)e[n]=null;return t},MINI_TEMP_BUFFER_SIZE:256,miniTempBufferFloatViews:[0],miniTempBufferIntViews:[0],getSource:function(e,t,n,a){for(var r="",s=0;s<t;++s){var u=a?o()[a+4*s>>2]:-1;r+=H(o()[n+4*s>>2],u<0?void 0:u)}return r},createContext:function(e,t){var n=e.getContext("webgl",t);return n?xt.registerContext(n,t):0},registerContext:function(e,t){var n=Yt(8);o()[n+4>>2]=Ut();var a={handle:n,attributes:t,version:t.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),xt.contexts[n]=a,("undefined"==typeof t.enableExtensionsByDefault||t.enableExtensionsByDefault)&&xt.initExtensions(a),n},makeContextCurrent:function(e){return xt.currentContext=xt.contexts[e],p.ctx=Ot=xt.currentContext&&xt.currentContext.GLctx,!(e&&!Ot)},getContext:function(e){return xt.contexts[e]},deleteContext:function(e){xt.currentContext===xt.contexts[e]&&(xt.currentContext=null),"object"==typeof pt&&pt.removeAllHandlersOnTarget(xt.contexts[e].GLctx.canvas),xt.contexts[e]&&xt.contexts[e].GLctx.canvas&&(xt.contexts[e].GLctx.canvas.GLctxObject=void 0),Qt(xt.contexts[e].handle),xt.contexts[e]=null},initExtensions:function(e){if(e||(e=xt.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var t=e.GLctx;Et(t),At(t),Mt(t),t.disjointTimerQueryExt=t.getExtension("EXT_disjoint_timer_query");var n=["OES_texture_float","OES_texture_half_float","OES_standard_derivatives","OES_vertex_array_object","WEBGL_compressed_texture_s3tc","WEBGL_depth_texture","OES_element_index_uint","EXT_texture_filter_anisotropic","EXT_frag_depth","WEBGL_draw_buffers","ANGLE_instanced_arrays","OES_texture_float_linear","OES_texture_half_float_linear","EXT_blend_minmax","EXT_shader_texture_lod","EXT_texture_norm16","WEBGL_compressed_texture_pvrtc","EXT_color_buffer_half_float","WEBGL_color_buffer_float","EXT_sRGB","WEBGL_compressed_texture_etc1","EXT_disjoint_timer_query","WEBGL_compressed_texture_etc","WEBGL_compressed_texture_astc","EXT_color_buffer_float","WEBGL_compressed_texture_s3tc_srgb","EXT_disjoint_timer_query_webgl2","WEBKIT_WEBGL_compressed_texture_pvrtc"];(t.getSupportedExtensions()||[]).forEach((function(e){-1!=n.indexOf(e)&&t.getExtension(e)}))}},populateUniformTable:function(e){for(var t=xt.programs[e],n=xt.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},a=n.uniforms,r=Ot.getProgramParameter(t,35718),s=0;s<r;++s){var u=Ot.getActiveUniform(t,s),i=u.name;n.maxUniformLength=Math.max(n.maxUniformLength,i.length+1),"]"==i.slice(-1)&&(i=i.slice(0,i.lastIndexOf("[")));var o=Ot.getUniformLocation(t,i);if(o){var l=xt.getNewId(xt.uniforms);a[i]=[u.size,l],xt.uniforms[l]=o;for(var d=1;d<u.size;++d){var c=i+"["+d+"]";o=Ot.getUniformLocation(t,c),l=xt.getNewId(xt.uniforms),xt.uniforms[l]=o}}}}},Nt=["default","low-power","high-performance"];function Ft(e,t){var n={},a=t>>2;n.alpha=!!o()[a+0],n.depth=!!o()[a+1],n.stencil=!!o()[a+2],n.antialias=!!o()[a+3],n.premultipliedAlpha=!!o()[a+4],n.preserveDrawingBuffer=!!o()[a+5];var r=o()[a+6];n.powerPreference=Nt[r],n.failIfMajorPerformanceCaveat=!!o()[a+7],n.majorVersion=o()[a+8],n.minorVersion=o()[a+9],n.enableExtensionsByDefault=o()[a+10],n.explicitSwapControl=o()[a+11],n.proxyContextToMainThread=o()[a+12],n.renderViaOffscreenBackBuffer=o()[a+13];var s=gt(e);return s?n.explicitSwapControl?-1:xt.createContext(s,n):-4}function Tt(e,t){return Ft(e,t)}var Ot,Ct={mappings:{},buffers:[null,[],[]],printChar:function(e,t){var n=Ct.buffers[e];0===t||10===t?((1===e?N:F)(L(n,0)),n.length=0):n.push(t)},varargs:void 0,get:function(){return Ct.varargs+=4,o()[Ct.varargs-4>>2]},getStr:function(e){return H(e)},get64:function(e,t){return e}};function Rt(e){return y?st(3,1,e):0}function Dt(e,t,n,a,r){if(y)return st(4,1,e,t,n,a,r)}function Pt(e,t,n,a){if(y)return st(5,1,e,t,n,a);for(var r=0,s=0;s<n;s++){for(var u=o()[t+8*s>>2],l=o()[t+(8*s+4)>>2],d=0;d<l;d++)Ct.printChar(e,i()[u+d]);r+=l}return o()[a>>2]=r,0}function Wt(e){var t=je.exitHandlers.pop();e&&t()}function Bt(e,t){null===je.exitHandlers&&(je.exitHandlers=[]),je.exitHandlers.push((function(){cn(e,t)}))}function Lt(e){if(y)throw"Internal Error! _spawn_thread() can only ever be called from main application thread!";var t=je.getNewWorker();if(void 0!==t.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";je.runningWorkers.push(t);for(var n=Yt(512),a=0;a<128;++a)o()[n+4*a>>2]=0;var r=e.stackBase+e.stackSize,s=je.pthreads[e.pthread_ptr]={worker:t,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,thread:e.pthread_ptr,threadInfoStruct:e.pthread_ptr},u=s.threadInfoStruct>>2;Atomics.store(l(),u+0,0),Atomics.store(l(),u+1,0),Atomics.store(l(),u+2,0),Atomics.store(l(),u+17,e.detached),Atomics.store(l(),u+26,n),Atomics.store(l(),u+12,0),Atomics.store(l(),u+10,s.threadInfoStruct),Atomics.store(l(),u+11,42),Atomics.store(l(),u+27,e.stackSize),Atomics.store(l(),u+21,e.stackSize),Atomics.store(l(),u+20,r),Atomics.store(l(),u+29,r),Atomics.store(l(),u+30,e.detached),Atomics.store(l(),u+32,e.schedPolicy),Atomics.store(l(),u+33,e.schedPrio);var i=Jt()+40;Atomics.store(l(),u+44,i),t.pthread=s;var d={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,selfThreadId:e.pthread_ptr,parentThreadId:e.parent_pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};t.runPthread=function(){d.time=performance.now(),t.postMessage(d,e.transferList)},t.loaded&&(t.runPthread(),delete t.runPthread)}function Ht(e,t,n){if(!t&&!n)return We.EINVAL;if(!e)return F("pthread_getschedparam called with a null thread pointer!"),We.ESRCH;if(o()[e+12>>2]!==e)return F("pthread_getschedparam attempted on thread "+e+", which does not point to a valid thread, or does not exist anymore!"),We.ESRCH;var a=Atomics.load(l(),e+108+20>>2),r=Atomics.load(l(),e+108+24>>2);return t&&(o()[t>>2]=a),n&&(o()[n>>2]=r),0}function Ut(){return 0|Ce}function zt(e,t,n,a){if("undefined"==typeof SharedArrayBuffer)return F("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return F("pthread_create called with a null thread pointer!"),28;var r=[];if(y&&0===r.length)return rn(687865856,e,t,n,a);var s=0,u=0,i=0,d=0,c=0;if(t)if(s=o()[t>>2],s+=81920,u=o()[t+8>>2],i=0!==o()[t+12>>2],0===o()[t+16>>2]){var p=o()[t+20>>2],m=o()[t+24>>2];Ht(je.currentProxiedOperationCallerThread?je.currentProxiedOperationCallerThread:Ut(),t+20,t+24),d=o()[t+20>>2],c=o()[t+24>>2],o()[t+20>>2]=p,o()[t+24>>2]=m}else d=o()[t+20>>2],c=o()[t+24>>2];else s=2097152;var f=0==u;f?u=en(16,s):D((u-=s)>0);for(var h=Yt(232),b=0;b<58;++b)l()[(h>>2)+b]=0;o()[e>>2]=h,o()[h+12>>2]=h;var _=h+156;o()[_>>2]=_;var g={stackBase:u,stackSize:s,allocatedOwnStack:f,schedPolicy:d,schedPrio:c,detached:i,startRoutine:n,pthread_ptr:h,parent_pthread_ptr:Ut(),arg:a,transferList:r};return y?(g.cmd="spawnThread",postMessage(g,r)):Lt(g),0}function qt(e){return(e=+e)>=0?+he(e+.5):+fe(e-.5)}function jt(e){if(y)return st(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:case 79:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return $e(28),-1}p._pthread_self=Ut,y?je.initWorker():je.initMainThreadBlock(),xt.init();var Vt=[null,Ye,kt,Rt,Dt,Pt,jt],Gt={e:Ke,r:Xe,w:Qe,a:Ze,l:Je,d:et,c:Le,h:qe,g:tt,x:nt,q:at,B:rt,t:ot,A:ct,u:It,k:vt,s:St,v:Tt,m:Rt,o:Dt,i:Pt,p:Oe,memory:x||p.wasmMemory,y:Wt,z:Bt,j:zt,b:Ut,f:qt,n:jt,table:O},Kt=Fe();p.asm=Kt;var Xt,$t=p.___wasm_call_ctors=function(){return($t=p.___wasm_call_ctors=p.asm.C).apply(null,arguments)},Yt=(p._init=function(){return(p._init=p.asm.D).apply(null,arguments)},p._register_tensor=function(){return(p._register_tensor=p.asm.E).apply(null,arguments)},p._dispose_data=function(){return(p._dispose_data=p.asm.F).apply(null,arguments)},p._dispose=function(){return(p._dispose=p.asm.G).apply(null,arguments)},p._Abs=function(){return(p._Abs=p.asm.H).apply(null,arguments)},p._Add=function(){return(p._Add=p.asm.I).apply(null,arguments)},p._AddN=function(){return(p._AddN=p.asm.J).apply(null,arguments)},p._ArgMax=function(){return(p._ArgMax=p.asm.K).apply(null,arguments)},p._AvgPool=function(){return(p._AvgPool=p.asm.L).apply(null,arguments)},p._BatchMatMul=function(){return(p._BatchMatMul=p.asm.M).apply(null,arguments)},p._Ceil=function(){return(p._Ceil=p.asm.N).apply(null,arguments)},p._ClipByValue=function(){return(p._ClipByValue=p.asm.O).apply(null,arguments)},p._Conv2D=function(){return(p._Conv2D=p.asm.P).apply(null,arguments)},p._Conv2DBackpropInput=function(){return(p._Conv2DBackpropInput=p.asm.Q).apply(null,arguments)},p._Cos=function(){return(p._Cos=p.asm.R).apply(null,arguments)},p._CropAndResize=function(){return(p._CropAndResize=p.asm.S).apply(null,arguments)},p._Cumsum=function(){return(p._Cumsum=p.asm.T).apply(null,arguments)},p._DepthToSpace=function(){return(p._DepthToSpace=p.asm.U).apply(null,arguments)},p._DepthwiseConv2dNative=function(){return(p._DepthwiseConv2dNative=p.asm.V).apply(null,arguments)},p._Equal=function(){return(p._Equal=p.asm.W).apply(null,arguments)},p._Exp=function(){return(p._Exp=p.asm.X).apply(null,arguments)},p._FlipLeftRight=function(){return(p._FlipLeftRight=p.asm.Y).apply(null,arguments)},p._Floor=function(){return(p._Floor=p.asm.Z).apply(null,arguments)},p._FloorDiv=function(){return(p._FloorDiv=p.asm._).apply(null,arguments)},p._FusedBatchNorm=function(){return(p._FusedBatchNorm=p.asm.$).apply(null,arguments)},p._FusedConv2D=function(){return(p._FusedConv2D=p.asm.aa).apply(null,arguments)},p._FusedDepthwiseConv2D=function(){return(p._FusedDepthwiseConv2D=p.asm.ba).apply(null,arguments)},p._Gather=function(){return(p._Gather=p.asm.ca).apply(null,arguments)},p._GatherNd=function(){return(p._GatherNd=p.asm.da).apply(null,arguments)},p._Greater=function(){return(p._Greater=p.asm.ea).apply(null,arguments)},p._GreaterEqual=function(){return(p._GreaterEqual=p.asm.fa).apply(null,arguments)},p._LeakyRelu=function(){return(p._LeakyRelu=p.asm.ga).apply(null,arguments)},p._Less=function(){return(p._Less=p.asm.ha).apply(null,arguments)},p._LessEqual=function(){return(p._LessEqual=p.asm.ia).apply(null,arguments)},p._Log=function(){return(p._Log=p.asm.ja).apply(null,arguments)},p._LogicalAnd=function(){return(p._LogicalAnd=p.asm.ka).apply(null,arguments)},p._Max=function(){return(p._Max=p.asm.la).apply(null,arguments)},p._MaxPool=function(){return(p._MaxPool=p.asm.ma).apply(null,arguments)},p._Maximum=function(){return(p._Maximum=p.asm.na).apply(null,arguments)},p._Mean=function(){return(p._Mean=p.asm.oa).apply(null,arguments)},p._Min=function(){return(p._Min=p.asm.pa).apply(null,arguments)},p._Minimum=function(){return(p._Minimum=p.asm.qa).apply(null,arguments)},p._Multiply=function(){return(p._Multiply=p.asm.ra).apply(null,arguments)},p._Neg=function(){return(p._Neg=p.asm.sa).apply(null,arguments)},p._NonMaxSuppressionV3=function(){return(p._NonMaxSuppressionV3=p.asm.ta).apply(null,arguments)},p._NonMaxSuppressionV4=function(){return(p._NonMaxSuppressionV4=p.asm.ua).apply(null,arguments)},p._NonMaxSuppressionV5=function(){return(p._NonMaxSuppressionV5=p.asm.va).apply(null,arguments)},p._NotEqual=function(){return(p._NotEqual=p.asm.wa).apply(null,arguments)},p._OneHot=function(){return(p._OneHot=p.asm.xa).apply(null,arguments)},p._PadV2=function(){return(p._PadV2=p.asm.ya).apply(null,arguments)},p._Pow=function(){return(p._Pow=p.asm.za).apply(null,arguments)},p._Prelu=function(){return(p._Prelu=p.asm.Aa).apply(null,arguments)},p._Prod=function(){return(p._Prod=p.asm.Ba).apply(null,arguments)},p._RealDiv=function(){return(p._RealDiv=p.asm.Ca).apply(null,arguments)},p._Relu=function(){return(p._Relu=p.asm.Da).apply(null,arguments)},p._Relu6=function(){return(p._Relu6=p.asm.Ea).apply(null,arguments)},p._ResizeBilinear=function(){return(p._ResizeBilinear=p.asm.Fa).apply(null,arguments)},p._Reverse=function(){return(p._Reverse=p.asm.Ga).apply(null,arguments)},p._RotateWithOffset=function(){return(p._RotateWithOffset=p.asm.Ha).apply(null,arguments)},p._Round=function(){return(p._Round=p.asm.Ia).apply(null,arguments)},p._Rsqrt=function(){return(p._Rsqrt=p.asm.Ja).apply(null,arguments)},p._ScatterNd=function(){return(p._ScatterNd=p.asm.Ka).apply(null,arguments)},p._SelectV2=function(){return(p._SelectV2=p.asm.La).apply(null,arguments)},p._Sigmoid=function(){return(p._Sigmoid=p.asm.Ma).apply(null,arguments)},p._Sin=function(){return(p._Sin=p.asm.Na).apply(null,arguments)},p._Softmax=function(){return(p._Softmax=p.asm.Oa).apply(null,arguments)},p._Sqrt=function(){return(p._Sqrt=p.asm.Pa).apply(null,arguments)},p._Square=function(){return(p._Square=p.asm.Qa).apply(null,arguments)},p._SquaredDifference=function(){return(p._SquaredDifference=p.asm.Ra).apply(null,arguments)},p._Step=function(){return(p._Step=p.asm.Sa).apply(null,arguments)},p._StridedSlice=function(){return(p._StridedSlice=p.asm.Ta).apply(null,arguments)},p._Sub=function(){return(p._Sub=p.asm.Ua).apply(null,arguments)},p._Sum=function(){return(p._Sum=p.asm.Va).apply(null,arguments)},p._Tanh=function(){return(p._Tanh=p.asm.Wa).apply(null,arguments)},p._Tile=function(){return(p._Tile=p.asm.Xa).apply(null,arguments)},p._TopK=function(){return(p._TopK=p.asm.Ya).apply(null,arguments)},p._Transpose=function(){return(p._Transpose=p.asm.Za).apply(null,arguments)},p.__FusedMatMul=function(){return(p.__FusedMatMul=p.asm._a).apply(null,arguments)},p._malloc=function(){return(Yt=p._malloc=p.asm.$a).apply(null,arguments)}),Qt=p._free=function(){return(Qt=p._free=p.asm.ab).apply(null,arguments)},Zt=p.___errno_location=function(){return(Zt=p.___errno_location=p.asm.bb).apply(null,arguments)},Jt=p._emscripten_get_global_libc=function(){return(Jt=p._emscripten_get_global_libc=p.asm.cb).apply(null,arguments)},en=(p.___em_js__initPthreadsJS=function(){return(p.___em_js__initPthreadsJS=p.asm.db).apply(null,arguments)},p._memalign=function(){return(en=p._memalign=p.asm.eb).apply(null,arguments)}),tn=p.___pthread_tsd_run_dtors=function(){return(tn=p.___pthread_tsd_run_dtors=p.asm.fb).apply(null,arguments)},nn=p._emscripten_main_thread_process_queued_calls=function(){return(nn=p._emscripten_main_thread_process_queued_calls=p.asm.gb).apply(null,arguments)},an=(p._emscripten_current_thread_process_queued_calls=function(){return(p._emscripten_current_thread_process_queued_calls=p.asm.hb).apply(null,arguments)},p._emscripten_register_main_browser_thread_id=function(){return(an=p._emscripten_register_main_browser_thread_id=p.asm.ib).apply(null,arguments)}),rn=(p._emscripten_main_browser_thread_id=function(){return(p._emscripten_main_browser_thread_id=p.asm.jb).apply(null,arguments)},p._emscripten_async_run_in_main_thread=function(){return(p._emscripten_async_run_in_main_thread=p.asm.kb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread=function(){return(p._emscripten_sync_run_in_main_thread=p.asm.lb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_0=function(){return(p._emscripten_sync_run_in_main_thread_0=p.asm.mb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_1=function(){return(p._emscripten_sync_run_in_main_thread_1=p.asm.nb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_2=function(){return(p._emscripten_sync_run_in_main_thread_2=p.asm.ob).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_xprintf_varargs=function(){return(p._emscripten_sync_run_in_main_thread_xprintf_varargs=p.asm.pb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_3=function(){return(p._emscripten_sync_run_in_main_thread_3=p.asm.qb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_4=function(){return(rn=p._emscripten_sync_run_in_main_thread_4=p.asm.rb).apply(null,arguments)}),sn=(p._emscripten_sync_run_in_main_thread_5=function(){return(p._emscripten_sync_run_in_main_thread_5=p.asm.sb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_6=function(){return(p._emscripten_sync_run_in_main_thread_6=p.asm.tb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_7=function(){return(p._emscripten_sync_run_in_main_thread_7=p.asm.ub).apply(null,arguments)},p._emscripten_run_in_main_runtime_thread_js=function(){return(sn=p._emscripten_run_in_main_runtime_thread_js=p.asm.vb).apply(null,arguments)}),un=p._emscripten_async_queue_on_thread_=function(){return(un=p._emscripten_async_queue_on_thread_=p.asm.wb).apply(null,arguments)},on=(p._emscripten_tls_init=function(){return(p._emscripten_tls_init=p.asm.xb).apply(null,arguments)},p.stackSave=function(){return(on=p.stackSave=p.asm.yb).apply(null,arguments)}),ln=p.stackAlloc=function(){return(ln=p.stackAlloc=p.asm.zb).apply(null,arguments)},dn=p.stackRestore=function(){return(dn=p.stackRestore=p.asm.Ab).apply(null,arguments)},cn=p.dynCall_vi=function(){return(cn=p.dynCall_vi=p.asm.Bb).apply(null,arguments)};function pn(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function mn(e){function t(){Xt||(Xt=!0,p.calledRun=!0,R||(le(),de(),p.onRuntimeInitialized&&p.onRuntimeInitialized(),ce()))}be>0||(oe(),be>0||(p.setStatus?(p.setStatus("Running..."),setTimeout((function(){setTimeout((function(){p.setStatus("")}),1),t()}),1)):t()))}if(p.dynCall_v=function(){return(p.dynCall_v=p.asm.Cb).apply(null,arguments)},p.dynCall_ii=function(){return(p.dynCall_ii=p.asm.Db).apply(null,arguments)},p.asm=Kt,p.cwrap=B,p.PThread=je,p.PThread=je,p._pthread_self=Ut,p.wasmMemory=x,p.ExitStatus=pn,p.then=function(e){if(Xt)e(p);else{var t=p.onRuntimeInitialized;p.onRuntimeInitialized=function(){t&&t(),e(p)}}return p},ye=function e(){Xt||mn(),Xt||(ye=e)},p.run=mn,p.preInit)for("function"==typeof p.preInit&&(p.preInit=[p.preInit]);p.preInit.length>0;)p.preInit.pop()();return y||(M=!0),y||mn(),e});e.exports=i}));var Mt=Et((function(e,t){var r,s=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var t,s="undefined"!=typeof(e=e||{})?e:{},u={};for(t in s)s.hasOwnProperty(t)&&(u[t]=s[t]);var i=function(e,t){throw t},o=!1,l=!1,d=!1,c=!1;o="object"==typeof window,l="function"==typeof importScripts,d="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,c=!o&&!d&&!l;var p,m,f,h,b="";function _(e){return s.locateFile?s.locateFile(e,b):b+e}d?(b=l?n.dirname(b)+"/":__dirname+"/",p=function(e,t){return f||(f=a),h||(h=n),e=h.normalize(e),f.readFileSync(e,t?null:"utf8")},m=function(e){var t=p(e,!0);return t.buffer||(t=new Uint8Array(t)),S(t.buffer),t},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ae))throw e})),process.on("unhandledRejection",ne),i=function(e){process.exit(e)},s.inspect=function(){return"[Emscripten Module object]"}):c?("undefined"!=typeof read&&(p=function(e){return read(e)}),m=function(e){var t;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(S("object"==typeof(t=read(e,"binary"))),t)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(i=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(o||l)&&(l?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",p=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},l&&(m=function(e){var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)}));var y,g,w,k=s.print||console.log.bind(console),I=s.printErr||console.warn.bind(console);for(t in u)u.hasOwnProperty(t)&&(s[t]=u[t]);u=null,s.arguments&&s.arguments,s.thisProgram&&s.thisProgram,s.quit&&(i=s.quit),s.wasmBinary&&(y=s.wasmBinary),s.noExitRuntime&&(g=s.noExitRuntime),"object"!=typeof WebAssembly&&I("no native wasm support detected"),new WebAssembly.Table({initial:153,maximum:153,element:"anyfunc"});var v=!1;function S(e,t){e||ne("Assertion failed: "+t)}function E(e){var t=s["_"+e];return S(t,"Cannot call unknown function "+e+", make sure it is exported"),t}function A(e,t,n,a,r){var s={string:function(e){var t=0;if(null!=e&&0!==e){var n=1+(e.length<<2);D(e,t=Se(n),n)}return t},array:function(e){var t=Se(e.length);return P(e,t),t}},u=E(e),i=[],o=0;if(a)for(var l=0;l<a.length;l++){var d=s[n[l]];d?(0===o&&(o=ve()),i[l]=d(a[l])):i[l]=a[l]}var c=u.apply(null,i);return c=function(e){return"string"===t?C(e):"boolean"===t?Boolean(e):e}(c),0!==o&&Ee(o),c}function M(e,t,n,a){var r=(n=n||[]).every((function(e){return"number"===e}));return"string"!==t&&r&&!a?E(e):function(){return A(e,t,n,arguments)}}var x,N,F,T="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function O(e,t,n){for(var a=t+n,r=t;e[r]&&!(r>=a);)++r;if(r-t>16&&e.subarray&&T)return T.decode(e.subarray(t,r));for(var s="";t<r;){var u=e[t++];if(128&u){var i=63&e[t++];if(192!=(224&u)){var o=63&e[t++];if((u=224==(240&u)?(15&u)<<12|i<<6|o:(7&u)<<18|i<<12|o<<6|63&e[t++])<65536)s+=String.fromCharCode(u);else{var l=u-65536;s+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else s+=String.fromCharCode((31&u)<<6|i)}else s+=String.fromCharCode(u)}return s}function C(e,t){return e?O(N,e,t):""}function R(e,t,n,a){if(!(a>0))return 0;for(var r=n,s=n+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(n>=s)break;t[n++]=i}else if(i<=2047){if(n+1>=s)break;t[n++]=192|i>>6,t[n++]=128|63&i}else if(i<=65535){if(n+2>=s)break;t[n++]=224|i>>12,t[n++]=128|i>>6&63,t[n++]=128|63&i}else{if(n+3>=s)break;t[n++]=240|i>>18,t[n++]=128|i>>12&63,t[n++]=128|i>>6&63,t[n++]=128|63&i}}return t[n]=0,n-r}function D(e,t,n){return R(e,N,t,n)}function P(e,t){x.set(e,t)}function W(e){s.HEAP8=x=new Int8Array(e),s.HEAP16=new Int16Array(e),s.HEAP32=F=new Int32Array(e),s.HEAPU8=N=new Uint8Array(e),s.HEAPU16=new Uint16Array(e),s.HEAPU32=new Uint32Array(e),s.HEAPF32=new Float32Array(e),s.HEAPF64=new Float64Array(e)}function B(e){for(;e.length>0;){var t=e.shift();if("function"!=typeof t){var n=t.func;"number"==typeof n?void 0===t.arg?s.dynCall_v(n):s.dynCall_vi(n,t.arg):n(void 0===t.arg?null:t.arg)}else t(s)}}s.INITIAL_MEMORY;var L=[],H=[],U=[],z=[];function q(){if(s.preRun)for("function"==typeof s.preRun&&(s.preRun=[s.preRun]);s.preRun.length;)K(s.preRun.shift());B(L)}function j(){B(H)}function V(){B(U)}function G(){if(s.postRun)for("function"==typeof s.postRun&&(s.postRun=[s.postRun]);s.postRun.length;)X(s.postRun.shift());B(z)}function K(e){L.unshift(e)}function X(e){z.unshift(e)}var $=Math.ceil,Y=Math.floor,Q=0,Z=null,J=null;function ee(e){Q++,s.monitorRunDependencies&&s.monitorRunDependencies(Q)}function te(e){if(Q--,s.monitorRunDependencies&&s.monitorRunDependencies(Q),0==Q&&(null!==Z&&(clearInterval(Z),Z=null),J)){var t=J;J=null,t()}}function ne(e){throw s.onAbort&&s.onAbort(e),k(e+=""),I(e),v=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ae(e,t){return String.prototype.startsWith?e.startsWith(t):0===e.indexOf(t)}s.preloadedImages={},s.preloadedAudios={};var re="data:application/octet-stream;base64,";function se(e){return ae(e,re)}var ue="file://";function ie(e){return ae(e,ue)}var oe="tfjs-backend-wasm.wasm";function le(){try{if(y)return new Uint8Array(y);if(m)return m(oe);throw"both async and sync fetching of the wasm failed"}catch(e){ne(e)}}function de(){return y||!o&&!l||"function"!=typeof fetch||ie(oe)?new Promise((function(e,t){e(le())})):fetch(oe,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+oe+"'";return e.arrayBuffer()})).catch((function(){return le()}))}function ce(){var e={env:we,wasi_snapshot_preview1:we};function t(e,t){var n=e.exports;s.asm=n,W((w=n.memory).buffer),te()}function n(e){t(e.instance)}function a(t){return de().then((function(t){return WebAssembly.instantiate(t,e)})).then(t,(function(e){I("failed to asynchronously prepare wasm: "+e),ne(e)}))}if(ee(),s.instantiateWasm)try{return s.instantiateWasm(e,t)}catch(e){return I("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||se(oe)||ie(oe)||"function"!=typeof fetch)return a(n);fetch(oe,{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(n,(function(e){I("wasm streaming compile failed: "+e),I("falling back to ArrayBuffer instantiation"),a(n)}))}))}(),{}}function pe(e){W(w.buffer)}se(oe)||(oe=_(oe)),H.push();var me={mappings:{},buffers:[null,[],[]],printChar:function(e,t){var n=me.buffers[e];0===t||10===t?((1===e?k:I)(O(n,0)),n.length=0):n.push(t)},varargs:void 0,get:function(){return me.varargs+=4,F[me.varargs-4>>2]},getStr:function(e){return C(e)},get64:function(e,t){return e}};function fe(e){return 0}function he(e,t,n,a,r){}function be(e,t,n,a){for(var r=0,s=0;s<n;s++){for(var u=F[t+8*s>>2],i=F[t+(8*s+4)>>2],o=0;o<i;o++)me.printChar(e,N[u+o]);r+=i}return F[a>>2]=r,0}function _e(e){Ne(e)}function ye(e){_e(e)}function ge(e){return(e=+e)>=0?+Y(e+.5):+$(e-.5)}var we={emscripten_notify_memory_growth:pe,fd_close:fe,fd_seek:he,fd_write:be,proc_exit:ye,roundf:ge},ke=ce();s.asm=ke,s._init=function(){return(s._init=s.asm.init).apply(null,arguments)},s._register_tensor=function(){return(s._register_tensor=s.asm.register_tensor).apply(null,arguments)},s._dispose_data=function(){return(s._dispose_data=s.asm.dispose_data).apply(null,arguments)},s._dispose=function(){return(s._dispose=s.asm.dispose).apply(null,arguments)},s._Abs=function(){return(s._Abs=s.asm.Abs).apply(null,arguments)},s._Add=function(){return(s._Add=s.asm.Add).apply(null,arguments)},s._AddN=function(){return(s._AddN=s.asm.AddN).apply(null,arguments)},s._ArgMax=function(){return(s._ArgMax=s.asm.ArgMax).apply(null,arguments)},s._AvgPool=function(){return(s._AvgPool=s.asm.AvgPool).apply(null,arguments)},s._BatchMatMul=function(){return(s._BatchMatMul=s.asm.BatchMatMul).apply(null,arguments)},s._Ceil=function(){return(s._Ceil=s.asm.Ceil).apply(null,arguments)},s._ClipByValue=function(){return(s._ClipByValue=s.asm.ClipByValue).apply(null,arguments)},s._Conv2D=function(){return(s._Conv2D=s.asm.Conv2D).apply(null,arguments)},s._Conv2DBackpropInput=function(){return(s._Conv2DBackpropInput=s.asm.Conv2DBackpropInput).apply(null,arguments)},s._Cos=function(){return(s._Cos=s.asm.Cos).apply(null,arguments)},s._CropAndResize=function(){return(s._CropAndResize=s.asm.CropAndResize).apply(null,arguments)},s._Cumsum=function(){return(s._Cumsum=s.asm.Cumsum).apply(null,arguments)},s._DepthToSpace=function(){return(s._DepthToSpace=s.asm.DepthToSpace).apply(null,arguments)},s._DepthwiseConv2dNative=function(){return(s._DepthwiseConv2dNative=s.asm.DepthwiseConv2dNative).apply(null,arguments)},s._Equal=function(){return(s._Equal=s.asm.Equal).apply(null,arguments)},s._Exp=function(){return(s._Exp=s.asm.Exp).apply(null,arguments)},s._FlipLeftRight=function(){return(s._FlipLeftRight=s.asm.FlipLeftRight).apply(null,arguments)},s._Floor=function(){return(s._Floor=s.asm.Floor).apply(null,arguments)},s._FloorDiv=function(){return(s._FloorDiv=s.asm.FloorDiv).apply(null,arguments)},s._FusedBatchNorm=function(){return(s._FusedBatchNorm=s.asm.FusedBatchNorm).apply(null,arguments)},s._FusedConv2D=function(){return(s._FusedConv2D=s.asm.FusedConv2D).apply(null,arguments)},s._FusedDepthwiseConv2D=function(){return(s._FusedDepthwiseConv2D=s.asm.FusedDepthwiseConv2D).apply(null,arguments)},s._Gather=function(){return(s._Gather=s.asm.Gather).apply(null,arguments)},s._GatherNd=function(){return(s._GatherNd=s.asm.GatherNd).apply(null,arguments)},s._Greater=function(){return(s._Greater=s.asm.Greater).apply(null,arguments)},s._GreaterEqual=function(){return(s._GreaterEqual=s.asm.GreaterEqual).apply(null,arguments)},s._LeakyRelu=function(){return(s._LeakyRelu=s.asm.LeakyRelu).apply(null,arguments)},s._Less=function(){return(s._Less=s.asm.Less).apply(null,arguments)},s._LessEqual=function(){return(s._LessEqual=s.asm.LessEqual).apply(null,arguments)},s._Log=function(){return(s._Log=s.asm.Log).apply(null,arguments)},s._LogicalAnd=function(){return(s._LogicalAnd=s.asm.LogicalAnd).apply(null,arguments)},s._Max=function(){return(s._Max=s.asm.Max).apply(null,arguments)},s._MaxPool=function(){return(s._MaxPool=s.asm.MaxPool).apply(null,arguments)},s._Maximum=function(){return(s._Maximum=s.asm.Maximum).apply(null,arguments)},s._Mean=function(){return(s._Mean=s.asm.Mean).apply(null,arguments)},s._Min=function(){return(s._Min=s.asm.Min).apply(null,arguments)},s._Minimum=function(){return(s._Minimum=s.asm.Minimum).apply(null,arguments)},s._Multiply=function(){return(s._Multiply=s.asm.Multiply).apply(null,arguments)},s._Neg=function(){return(s._Neg=s.asm.Neg).apply(null,arguments)},s._NonMaxSuppressionV3=function(){return(s._NonMaxSuppressionV3=s.asm.NonMaxSuppressionV3).apply(null,arguments)},s._NonMaxSuppressionV4=function(){return(s._NonMaxSuppressionV4=s.asm.NonMaxSuppressionV4).apply(null,arguments)},s._NonMaxSuppressionV5=function(){return(s._NonMaxSuppressionV5=s.asm.NonMaxSuppressionV5).apply(null,arguments)},s._NotEqual=function(){return(s._NotEqual=s.asm.NotEqual).apply(null,arguments)},s._OneHot=function(){return(s._OneHot=s.asm.OneHot).apply(null,arguments)},s._PadV2=function(){return(s._PadV2=s.asm.PadV2).apply(null,arguments)},s._Pow=function(){return(s._Pow=s.asm.Pow).apply(null,arguments)},s._Prelu=function(){return(s._Prelu=s.asm.Prelu).apply(null,arguments)},s._Prod=function(){return(s._Prod=s.asm.Prod).apply(null,arguments)},s._RealDiv=function(){return(s._RealDiv=s.asm.RealDiv).apply(null,arguments)},s._Relu=function(){return(s._Relu=s.asm.Relu).apply(null,arguments)},s._Relu6=function(){return(s._Relu6=s.asm.Relu6).apply(null,arguments)},s._ResizeBilinear=function(){return(s._ResizeBilinear=s.asm.ResizeBilinear).apply(null,arguments)},s._Reverse=function(){return(s._Reverse=s.asm.Reverse).apply(null,arguments)},s._RotateWithOffset=function(){return(s._RotateWithOffset=s.asm.RotateWithOffset).apply(null,arguments)},s._Round=function(){return(s._Round=s.asm.Round).apply(null,arguments)},s._Rsqrt=function(){return(s._Rsqrt=s.asm.Rsqrt).apply(null,arguments)},s._ScatterNd=function(){return(s._ScatterNd=s.asm.ScatterNd).apply(null,arguments)},s._SelectV2=function(){return(s._SelectV2=s.asm.SelectV2).apply(null,arguments)},s._Sigmoid=function(){return(s._Sigmoid=s.asm.Sigmoid).apply(null,arguments)},s._Sin=function(){return(s._Sin=s.asm.Sin).apply(null,arguments)},s._Softmax=function(){return(s._Softmax=s.asm.Softmax).apply(null,arguments)},s._Sqrt=function(){return(s._Sqrt=s.asm.Sqrt).apply(null,arguments)},s._Square=function(){return(s._Square=s.asm.Square).apply(null,arguments)},s._SquaredDifference=function(){return(s._SquaredDifference=s.asm.SquaredDifference).apply(null,arguments)},s._Step=function(){return(s._Step=s.asm.Step).apply(null,arguments)},s._StridedSlice=function(){return(s._StridedSlice=s.asm.StridedSlice).apply(null,arguments)},s._Sub=function(){return(s._Sub=s.asm.Sub).apply(null,arguments)},s._Sum=function(){return(s._Sum=s.asm.Sum).apply(null,arguments)},s._Tanh=function(){return(s._Tanh=s.asm.Tanh).apply(null,arguments)},s._Tile=function(){return(s._Tile=s.asm.Tile).apply(null,arguments)},s._TopK=function(){return(s._TopK=s.asm.TopK).apply(null,arguments)},s._Transpose=function(){return(s._Transpose=s.asm.Transpose).apply(null,arguments)},s.__FusedMatMul=function(){return(s.__FusedMatMul=s.asm._FusedMatMul).apply(null,arguments)},s._malloc=function(){return(s._malloc=s.asm.malloc).apply(null,arguments)},s._free=function(){return(s._free=s.asm.free).apply(null,arguments)},s.__start=function(){return(s.__start=s.asm._start).apply(null,arguments)};var Ie,ve=s.stackSave=function(){return(ve=s.stackSave=s.asm.stackSave).apply(null,arguments)},Se=s.stackAlloc=function(){return(Se=s.stackAlloc=s.asm.stackAlloc).apply(null,arguments)},Ee=s.stackRestore=function(){return(Ee=s.stackRestore=s.asm.stackRestore).apply(null,arguments)};function Ae(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Me(e){var t=s.__start;try{t(),Ne(0,!0)}catch(e){if(e instanceof Ae)return;if("unwind"==e)return void(g=!0);var n=e;e&&"object"==typeof e&&e.stack&&(n=[e,e.stack]),I("exception thrown: "+n),i(1,e)}}function xe(e){function t(){Ie||(Ie=!0,s.calledRun=!0,v||(j(),V(),s.onRuntimeInitialized&&s.onRuntimeInitialized(),Fe&&Me(),G()))}Q>0||(q(),Q>0||(s.setStatus?(s.setStatus("Running..."),setTimeout((function(){setTimeout((function(){s.setStatus("")}),1),t()}),1)):t()))}function Ne(e,t){t&&g&&0===e||(g||(v=!0,s.onExit&&s.onExit(e)),i(e,new Ae(e)))}if(s.asm=ke,s.cwrap=M,s.then=function(e){if(Ie)e(s);else{var t=s.onRuntimeInitialized;s.onRuntimeInitialized=function(){t&&t(),e(s)}}return s},J=function e(){Ie||xe(),Ie||(J=e)},s.run=xe,s.preInit)for("function"==typeof s.preInit&&(s.preInit=[s.preInit]);s.preInit.length>0;)s.preInit.pop()();var Fe=!0;return s.noInitialRun&&(Fe=!1),g=!0,xe(),e});e.exports=s}));class xt extends t.KernelBackend{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new t.DataStorage(this,t.engine())}write(e,t,n){const a={id:this.dataIdNextNumber++};return this.move(a,e,t,n,1),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const n=t.util.now();e();return{kernelMs:t.util.now()-n}}move(e,n,a,r,s){const u=this.dataIdNextNumber++;if("string"===r){const t=n;return void this.dataIdMap.set(e,{id:u,stringBytes:t,shape:a,dtype:r,memoryOffset:null,refCount:s})}const i=t.util.sizeFromShape(a),o=i*t.util.bytesPerElement(r),l=this.wasm._malloc(o);this.dataIdMap.set(e,{id:u,memoryOffset:l,shape:a,dtype:r,refCount:s}),this.wasm.tfjs.registerTensor(u,i,l),null!=n&&this.wasm.HEAPU8.set(new Uint8Array(n.buffer,n.byteOffset,o),l)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:n,dtype:a,shape:r,stringBytes:s}=this.dataIdMap.get(e);if("string"===a)return s;return function(e,t){switch(t){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+t)}}(this.wasm.HEAPU8.slice(n,n+t.util.sizeFromShape(r)*t.util.bytesPerElement(a)).buffer,a)}disposeData(e,t=!1){if(this.dataIdMap.has(e)){const n=this.dataIdMap.get(e);if(n.refCount--,!t&&n.refCount>0)return!1;this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)}return!0}refCount(e){if(this.dataIdMap.has(e)){return this.dataIdMap.get(e).refCount}return 0}incRef(e){const t=this.dataIdMap.get(e);null!=t&&t.refCount++}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,n,a){let r;if(null==a)r=this.write(null,e,n);else{const s=this.dataIdNextNumber++;r={id:s},this.dataIdMap.set(r,{id:s,memoryOffset:a,shape:e,dtype:n,refCount:1});const u=t.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(s,u,a)}return{dataId:r,shape:e,dtype:n}}typedArrayFromHeap({shape:e,dtype:n,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:s}=this.dataIdMap.get(a),u=t.util.sizeFromShape(e);switch(n){case"float32":return new Float32Array(r,s,u);case"int32":return new Int32Array(r,s,u);case"bool":return new Uint8Array(r,s,u);default:throw new Error("Unknown dtype "+n)}}}function Nt(e,t,n){if(null!=Ot)return Ot;let a="tfjs-backend-wasm.wasm";return e&&t?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Rt&&null!=Rt[a]?Rt[a]:n+a}async function Ft(){const[e,n]=await Promise.all([t.env().getAsync("WASM_HAS_SIMD_SUPPORT"),t.env().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise((a,r)=>{const s={};let u;s.locateFile=(t,a)=>{if(t.endsWith(".worker.js")){const e=new Blob(['var threadInfoStruct=0;var selfThreadId=0;var parentThreadId=0;var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:selfThreadId})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["DYNAMIC_BASE"]=e.data.DYNAMIC_BASE;Module["DYNAMICTOP_PTR"]=e.data.DYNAMICTOP_PTR;Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}Module=WasmBackendModuleThreadedSimd(Module);postMessage({"cmd":"loaded"})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;threadInfoStruct=e.data.threadInfoStruct;Module["__register_pthread_ptr"](threadInfoStruct,0,0);selfThreadId=e.data.selfThreadId;parentThreadId=e.data.parentThreadId;var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["dynCall_ii"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){Atomics.store(Module["HEAPU32"],threadInfoStruct+4>>2,ex instanceof Module["ExitStatus"]?ex.status:-2);Atomics.store(Module["HEAPU32"],threadInfoStruct+0>>2,1);Module["_emscripten_futex_wake"](threadInfoStruct+0,2147483647);if(!(ex instanceof Module["ExitStatus"]))throw ex}}}else if(e.data.cmd==="cancel"){if(threadInfoStruct){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(threadInfoStruct){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}'],{type:"application/javascript"});return URL.createObjectURL(e)}return t.endsWith(".wasm")?Nt(e,n,null!=Ct?Ct:a):a+t},Pt&&(s.instantiateWasm=function(e){return(n,a)=>(t.util.fetch(e,{credentials:"same-origin"}).then(t=>{t.ok||n.env.a(`failed to load wasm binary file at '${e}'`),t.arrayBuffer().then(e=>{WebAssembly.instantiate(e,n).then(e=>{a(e.instance)})})}),{})}(Nt(e,n,null!=Ct?Ct:""))),n&&e&&null==Ot?(u=At(s),u.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+At.toString()],{type:"text/javascript"})):u=Mt(s);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};let i=!1;u.onRuntimeInitialized=()=>{i=!0,Dt=!1,a({wasm:u})},u.onAbort=()=>{if(i)return;if(Dt)return;Dt=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}const Tt=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let Ot=null,Ct=null,Rt={},Dt=!1,Pt=!1;t.registerBackend("wasm",async()=>{const{wasm:e}=await Ft();return new xt(e)},2),e.BackendWasm=xt,e.setWasmPath=function(e,n=!1){if(t.deprecationWarn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Dt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Ot=e,Pt=n},e.setWasmPaths=function(e,t=!1){if(Dt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Ct=e;else{Rt=e;const t=Tt.filter(e=>null==Rt[e]);if(t.length>0)throw new Error("There were no entries found for the following binaries: "+t.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}Pt=t},e.version_wasm="3.1.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.es2017.min.js.map
