/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{_FusedMatMul as e,util as n,Abs as t,backend_util as a,Add as r,AddN as s,Identity as u,Transpose as o,ArgMax as i,AvgPool as d,Reshape as l,BatchMatMul as c,Cast as p,Ceil as m,ClipByValue as f,slice_util as h,buffer as b,Concat as _,Conv2D as y,Conv2DBackpropInput as g,Cos as w,CropAndResize as I,Cumsum as k,DepthToSpace as v,DepthwiseConv2dNative as E,Equal as S,Exp as A,ExpandDims as M,Fill as x,FlipLeftRight as N,Floor as F,FloorDiv as T,FusedBatchNorm as O,FusedConv2D as C,FusedDepthwiseConv2D as R,GatherNd as D,gather_util as P,GatherV2 as W,Greater as B,GreaterEqual as L,LeakyRelu as H,Less as U,LessEqual as z,Log as j,LogicalAnd as G,Max as q,Maximum as V,MaxPool as X,Mean as $,Min as K,Minimum as Y,Multiply as Q,Neg as Z,NonMaxSuppressionV3 as J,NonMaxSuppressionV4 as ee,NonMaxSuppressionV5 as ne,NotEqual as te,OneHot as ae,OnesLike as re,Pack as se,PadV2 as ue,Pow as oe,Prelu as ie,Prod as de,Range as le,RealDiv as ce,Relu as pe,Relu6 as me,ResizeBilinear as fe,Reverse as he,RotateWithOffset as be,Round as _e,Rsqrt as ye,ScatterNd as ge,scatter_util as we,Select as Ie,Sigmoid as ke,Sin as ve,Slice as Ee,Softmax as Se,SplitV as Ae,Sqrt as Me,Square as xe,SquaredDifference as Ne,Step as Fe,StridedSlice as Te,Sub as Oe,Sum as Ce,Tanh as Re,Tile as De,TopK as Pe,Unpack as We,ZerosLike as Be,registerKernel as Le,env as He,KernelBackend as Ue,DataStorage as ze,engine as je,deprecationWarn as Ge,registerBackend as qe}from"@tensorflow/tfjs-core";import Ve from"path";import Xe from"fs";import $e from"worker_threads";import Ke from"perf_hooks";var Ye,Qe;let Ze;!function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(Ye||(Ye={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu"}(Qe||(Qe={}));const Je={kernelName:e,backendName:"wasm",setupFunc:function(n){Ze=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{a:r,b:s,bias:u,preluActivationWeights:o}=n;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:i,transposeB:d,activation:l,leakyreluAlpha:c}=a,p=t.dataIdMap.get(r.dataId).id,m=t.dataIdMap.get(s.dataId).id;let f=0;if(null!=u){const e=t.dataIdMap.get(u.dataId);if(1!==e.shape.length)throw new Error(`_FusedMatMul only supports rank-1 bias but got rank ${e.shape.length}.`);f=e.id}const h=null==o?0:t.dataIdMap.get(o.dataId).id,b=Qe[l];if(null==b)throw new Error(l+" activation not yet supported for FusedConv2D in the wasm backend.");const _=i?r.shape[2]:r.shape[1],y=d?s.shape[1]:s.shape[2],g=r.shape[0],w=t.makeOutput([g,_,y],r.dtype),I=t.dataIdMap.get(w.dataId).id,k=new Uint8Array(new Int32Array(r.shape).buffer),v=new Uint8Array(new Int32Array(s.shape).buffer);return Ze(p,k,r.shape.length,m,v,s.shape.length,i,d,b,f,h,c||0,I),w}};function en(e){let t;return{kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:a,inputs:{x:r}}=e,s=a.dataIdMap.get(r.dataId).id,u=a.makeOutput(r.shape,r.dtype),o=a.dataIdMap.get(u.dataId).id;return 0===n.sizeFromShape(u.shape)||t(s,o),u}}}const nn=en(t);function tn(e,t,r){let s;return{kernelName:e,backendName:"wasm",setupFunc:function(n){s=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(u){const{backend:o,inputs:i}=u,{a:d,b:l}=i,c=o.dataIdMap.get(d.dataId).id,p=o.dataIdMap.get(l.dataId).id,m=null!=r?r:d.dtype,f=a.assertAndGetBroadcastShape(d.shape,l.shape),h=o.makeOutput(f,m);if(0===n.sizeFromShape(f))return h;const b=new Uint8Array(new Int32Array(d.shape).buffer),_=new Uint8Array(new Int32Array(l.shape).buffer),y=o.dataIdMap.get(h.dataId).id,g=()=>s(c,b,d.shape.length,p,_,l.shape.length,Ye[d.dtype],y);if(t&&"float32"===d.dtype)return g(),h;const w=a.getBroadcastDims(d.shape,f),I=a.getBroadcastDims(l.shape,f),k=w.every((e,n)=>e===n),v=I.every((e,n)=>e===n);if(k&&v)return g(),h;throw new Error(`Broadcasting along outer dims is not yet supported for ${d.dtype} ${e}.`)}}}const an=tn(r,!0);let rn;const sn={kernelName:s,backendName:"wasm",setupFunc:function(e){rn=e.wasm.cwrap(s,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a}=e,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.sizeFromShape(r.shape))return r;const s=t.map(e=>a.dataIdMap.get(e.dataId).id),u=new Uint8Array(new Int32Array(s).buffer),o=a.dataIdMap.get(r.dataId).id;return rn(u,s.length,Ye[r.dtype],o),r}};function un(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}const on={kernelName:u,backendName:"wasm",kernelFunc:un};let dn;function ln(e){const{inputs:n,backend:t,attrs:a}=e,[r,s]=function(e,n){const t=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(let e=0;e<a.length;++e){let n=-1;for(let t=0;t<a.length;++t)a[t]>=e&&(-1===n||a[n]>a[t])&&(n=t);a[n]=e}return[t,a]}(n.x.shape,a.perm);let u=!0;for(let e=0;e<s.length;e++)s[e]!==e&&(u=!1);const o=function(e,n){const t=new Array(e.length);for(let a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),i={dataId:n.x.dataId,shape:r,dtype:n.x.dtype};if(u){const e=un({inputs:n,backend:t});return e.shape=o,e}const d=t.makeOutput(o,i.dtype),l=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(d.dataId).id,p=new Uint8Array(new Int32Array(s).buffer),m=new Uint8Array(new Int32Array(i.shape).buffer);return dn(l,m,i.shape.length,Ye[i.dtype],c,p,s.length),d}const cn={kernelName:o,backendName:"wasm",kernelFunc:ln,setupFunc:function(e){dn=e.wasm.cwrap(o,null,["number","array","number","number","number","array","number"])}};function pn(e,t,r){const s=e.shape,u=e.shape.length,o=n.parseAxisParam(t,s);let i=o;const d=a.getAxesPermutation(i,u);let l=null,c=!1;if(null!=d){const n=new Array(u);for(let e=0;e<n.length;e++)n[e]=s[d[e]];i=a.getInnerMostAxes(i.length,u),l=ln({inputs:{x:e},attrs:{perm:d},backend:r});const t=r.dataIdMap.get(e.dataId).id;r.dataIdMap.get(l.dataId).id!==t&&(c=!0)}return{transposed:l,originalAxes:o,axes:i,inputWasTransposed:c}}let mn;const fn={kernelName:i,backendName:"wasm",kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{axis:s}=r,{x:u}=a,o=t.dataIdMap.get(u.dataId).id;let i=o,d=u;const{transposed:l,axes:c,inputWasTransposed:p}=pn(u,s,t);if(p){const e=t.dataIdMap.get(l.dataId).id;e!==o&&(d=l,i=e)}const m=d.shape.slice(0,-1),f=t.makeOutput(m,"int32"),h=t.dataIdMap.get(f.dataId).id,b=n.sizeFromShape(f.shape),_=d.shape[c[0]];return mn(i,Ye[d.dtype],b,_,h),p&&t.disposeData(l.dataId),f},setupFunc:function(e){mn=e.wasm.cwrap(i,null,["number","number","number","number","number"])}};let hn;const bn={kernelName:d,backendName:"wasm",setupFunc:function(e){hn=e.wasm.cwrap(d,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:o,strides:i,pad:d,dimRoundingMode:l}=t,c=a.computePool2DInfo(s.shape,o,i,1,d,l),p=c.filterHeight,m=c.filterWidth,f=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,_=c.padInfo.left,y=c.strideHeight,g=c.strideWidth,w=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error(`was backend only supports average pooling with dilation = [1, 1], got [${c.dilationHeight}, ${c.dilationWidth}].`);const I=r.makeOutput(c.outShape,"float32"),k=r.dataIdMap.get(I.dataId).id;return hn(u,s.shape[0],s.shape[1],s.shape[2],p,m,f,h,b,_,y,g,w,k),I}};function _n(e){const{inputs:t,attrs:a}=e,{x:r}=t,{shape:s}=a,u=n.sizeFromShape(r.shape),o=n.inferFromImplicitShape(s,u);return n.assert(u===n.sizeFromShape(o),()=>`new shape: ${o}, old shape: ${r.shape}. New shape and old shape must have the same number of elements.`),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:o,dtype:r.dtype}}const yn={kernelName:l,backendName:"wasm",kernelFunc:_n};let gn;const wn={kernelName:c,backendName:"wasm",setupFunc:function(e){gn=e.wasm.cwrap(c,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{a:s,b:u}=t,{transposeA:o,transposeB:i}=r;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const d=s.shape.length,l=u.shape.length,c=o?s.shape[d-2]:s.shape[d-1],p=i?u.shape[l-1]:u.shape[l-2],m=o?s.shape[d-1]:s.shape[d-2],f=i?u.shape[l-2]:u.shape[l-1],h=s.shape.slice(0,-2),b=u.shape.slice(0,-2),_=n.sizeFromShape(h),y=n.sizeFromShape(b),g=_===y||1===_||1===y;n.assert(d>=2&&l>=2&&g,()=>`Error in matMul: the input batch dimensions must either be the same or at least one input batch dimension must be 1. Got input batch dimensions of (${h}) and (${b}).`);const w=(_>y?s.shape.slice(0,-2):u.shape.slice(0,-2)).concat([m,f]);n.assert(c===p,()=>`Error in matMul: inner shapes (${c}) and (${p}) of Tensors with shapes ${s.shape} and ${u.shape} and transposeA=${o} and transposeB=${i} must match.`);const I=i?[y,f,p]:[y,p,f],k=_n({inputs:{x:s},backend:a,attrs:{shape:o?[_,c,m]:[_,m,c]}}),v=_n({inputs:{x:u},backend:a,attrs:{shape:I}}),E=a.dataIdMap.get(k.dataId).id,S=a.dataIdMap.get(v.dataId).id,A=o?k.shape[2]:k.shape[1],M=i?v.shape[1]:v.shape[2],x=Math.max(_,y),N=a.makeOutput([x,A,M],k.dtype),F=a.dataIdMap.get(N.dataId).id,T=new Uint8Array(new Int32Array(k.shape).buffer),O=new Uint8Array(new Int32Array(v.shape).buffer);return gn(E,T,k.shape.length,S,O,v.shape.length,o,i,F),a.disposeData(k.dataId),a.disposeData(v.dataId),N.shape=w,N}};function In(e){const{inputs:{x:n},attrs:{dtype:t},backend:a}=e,r=a.makeOutput(n.shape,t),s=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(s),r}const kn={kernelName:p,backendName:"wasm",kernelFunc:In},vn=en(m);let En;const Sn={kernelName:f,backendName:"wasm",setupFunc:function(e){En=e.wasm.cwrap(f,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,{clipValueMin:s,clipValueMax:u}=a,o=t.dataIdMap.get(r.dataId).id,i=t.makeOutput(r.shape,r.dtype),d=t.dataIdMap.get(i.dataId).id;return En(o,s,u,d),i}};function An(e,t,r,s,u){const o=h.isSliceContinous(s,t,r),i=n.sizeFromShape(r),d=n.computeStrides(s);if(o){const n=h.computeFlatOffset(t,d);return"string"===u?e.slice(n,n+i):e.subarray(n,n+i)}const l="string"===u?a.fromUint8ToStringArray(e):e,c=b(s,u,l),p=b(r,u);for(let e=0;e<p.size;++e){const n=p.indexToLoc(e),a=n.map((e,n)=>e+t[n]);p.set(c.get(...a),...n)}return"string"===u?a.fromStringArrayToUint8(p.values):p.values}function Mn(e){const{inputs:t,backend:r}=e,s=n.parseAxisParam(e.attrs.axis,t[0].shape)[0];let u=a.computeOutShape(t.map(e=>e.shape),s);const o=t.filter(e=>n.sizeFromShape(e.shape)>0);if(1===o.length)return un({inputs:{x:o[0]},backend:r});const i=r.makeOutput(u,t[0].dtype);if(0===n.sizeFromShape(u))return i;const d=o.map(e=>e.shape);if(a.assertParamsConsistent(d,s),"string"===o[0].dtype){const e=o.map(e=>{const t=n.sizeFromShape(e.shape.slice(s));return _n({inputs:{x:e},backend:r,attrs:{shape:[-1,t]}})}),d=e.map(e=>({vals:r.readSync(e.dataId),shape:e.shape}));u=a.computeOutShape(e.map(e=>e.shape),1);const l=1===e[0].shape[0],c=function(e,t,r,s){const u=n.getArrayFromDType(r,n.sizeFromShape(t));if(s&&"string"!==r){let t=0;e.forEach(e=>{const a=n.sizeFromShape(e.shape);u.set(e.vals,t),t+=a})}else{let n=0;e.forEach(e=>{const s="string"===r?a.fromUint8ToStringArray(e.vals):e.vals;let o=0;for(let a=0;a<e.shape[0];++a){const r=a*t[1]+n;for(let n=0;n<e.shape[1];++n)u[r+n]=s[o++]}n+=e.shape[1]})}return u}(d,u,t[0].dtype,l),p=a.computeOutShape(o.map(e=>e.shape),s);i.shape=p;return r.dataIdMap.get(i.dataId).stringBytes=a.fromStringArrayToUint8(c),i}const l=n.sizeFromShape(o[0].shape.slice(0,s));let c=0;const p=o.map(e=>{const t=n.sizeFromShape(e.shape.slice(s));return c+=t,t}),m=o.map(e=>r.typedArrayFromHeap(e)),f=r.typedArrayFromHeap(i);for(let e=0;e<l;e++){let n=e*c;for(let t=0;t<m.length;t++){const a=p[t],r=e*a,s=m[t].subarray(r,r+a);f.set(s,n),n+=a}}return i}const xn={kernelName:_,backendName:"wasm",kernelFunc:Mn};let Nn;const Fn={kernelName:y,backendName:"wasm",setupFunc:function(e){Nn=e.wasm.cwrap(y,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u}=n,o=r.dataIdMap.get(s.dataId).id,i=r.dataIdMap.get(u.dataId).id,{strides:d,dilations:l,pad:c,dimRoundingMode:p,dataFormat:m}=t,f=a.convertConv2DDataFormat(m),h=a.computeConv2DInfo(s.shape,u.shape,d,l,c,p,!1,f),b=h.filterHeight,_=h.filterWidth,y=h.padInfo.top,g=h.padInfo.right,w=h.padInfo.bottom,I=h.padInfo.left,k=h.dilationHeight,v=h.dilationWidth,E=h.strideHeight,S=h.strideWidth,A=h.inChannels,M=h.outChannels,x="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");const N=r.makeOutput(h.outShape,"float32"),F=r.dataIdMap.get(N.dataId).id;return Nn(o,s.shape[0],s.shape[1],s.shape[2],i,b,_,y,g,w,I,x,k,v,E,S,A,M,F),N}};let Tn;const On={kernelName:g,backendName:"wasm",setupFunc:function(e){Tn=e.wasm.cwrap(g,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{dy:u,filter:o}=r,{strides:i,pad:d,dataFormat:l,dimRoundingMode:c,inputShape:p}=s,m=a.convertConv2DDataFormat(l),f=a.computeConv2DInfo(p,o.shape,i,1,d,c,!1,m),{batchSize:h,filterHeight:b,filterWidth:_,inChannels:y,inHeight:g,inWidth:w,outChannels:I,outHeight:k,outWidth:v,strideHeight:E,strideWidth:S}=f,A=b-1-f.padInfo.top,M=_-1-f.padInfo.left,x="channelsLast"===f.dataFormat,N=n.computeStrides(f.inShape),F=n.computeStrides(u.shape),[T,O,C]=n.computeStrides(o.shape),R=N[0],D=x?N[1]:N[2],P=x?N[2]:1,W=x?1:N[1],B=F[0],L=x?F[1]:F[2],H=x?F[2]:1,U=x?1:F[1],z=t.makeOutput(f.inShape,"float32"),j=t.dataIdMap.get(z.dataId).id,G=t.dataIdMap.get(u.dataId).id,q=t.dataIdMap.get(o.dataId).id;return Tn(G,q,h,b,_,g,w,y,k,v,I,E,S,A,M,T,O,C,R,D,P,W,B,L,H,U,j),z}},Cn=en(w);var Rn;let Dn;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(Rn||(Rn={}));const Pn={kernelName:I,backendName:"wasm",setupFunc:function(e){Dn=e.wasm.cwrap(I,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{method:r,extrapolationValue:s,cropSize:u}=a,{image:o,boxes:i,boxInd:d}=t,l=i.shape[0],[c,p]=u,m=[l,c,p,o.shape[3]];let f,h=n.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(f=In({backend:n,inputs:{x:o},attrs:{dtype:"float32"}}),h=n.dataIdMap.get(f.dataId));const b=h.id,_=n.dataIdMap.get(i.dataId).id,y=n.dataIdMap.get(d.dataId).id,g=n.makeOutput(m,"float32"),w=n.dataIdMap.get(g.dataId).id,I=new Uint8Array(new Int32Array(o.shape).buffer);return Dn(b,_,y,l,I,c,p,Rn[r],s,w),null!=f&&n.disposeData(f.dataId),g}};let Wn;const Bn={kernelName:k,backendName:"wasm",setupFunc:function(e){Wn=e.wasm.cwrap(k,null,["number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:r,attrs:s}=e,{x:u}=t,{axis:o,exclusive:i,reverse:d}=s,l=u.shape.length;n.assert("float32"===u.dtype||"int32"===u.dtype,()=>`cumsum does not support ${u.dtype} tensors in the WASM backend`);const c=a.getAxesPermutation([o],l);let p=u;null!==c&&(p=ln({inputs:{x:u},attrs:{perm:c},backend:r}));const m=a.getInnerMostAxes(1,l)[0];a.assertAxesAreInnerMostDims("cumsum",[m],l);const f=r.makeOutput(p.shape,p.dtype),h=p.shape[m],b=r.dataIdMap.get(p.dataId).id,_=r.dataIdMap.get(f.dataId).id;Wn(b,i?1:0,d?1:0,h,_,Ye[u.dtype]);let y=f;if(null!==c){y=ln({inputs:{x:f},attrs:{perm:a.getUndoAxesPermutation(c)},backend:r}),r.disposeData(p.dataId),r.disposeData(f.dataId)}return y}};let Ln;const Hn={kernelName:v,backendName:"wasm",setupFunc:function(e){Ln=e.wasm.cwrap(v,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{x:s}=a,{blockSize:u,dataFormat:o}=r;n.assert(u>1,()=>"blockSize should be > 1 for depthToSpace, but was: "+u);const i=s.shape[0],d="NHWC"===o?s.shape[1]:s.shape[2],l="NHWC"===o?s.shape[2]:s.shape[3],c="NHWC"===o?s.shape[3]:s.shape[1],p=d*u,m=l*u,f=c/(u*u),h="NHWC"===o?[i,p,m,f]:[i,f,p,m],b=t.makeOutput(h,"float32"),_=t.dataIdMap.get(s.dataId).id,y=new Uint8Array(new Int32Array(n.computeStrides(s.shape)).buffer),g=new Uint8Array(new Int32Array(h).buffer),w=new Uint8Array(new Int32Array(n.computeStrides(h)).buffer),I=t.dataIdMap.get(b.dataId).id;return Ln(_,u,"NHWC"===o?1:0,y,s.shape.length-1,g,w,h.length,I),b}};let Un;const zn={kernelName:E,backendName:"wasm",setupFunc:function(e){Un=e.wasm.cwrap(E,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u}=n,o=r.dataIdMap.get(s.dataId).id,i=r.dataIdMap.get(u.dataId).id,{strides:d,dilations:l,pad:c,dimRoundingMode:p}=t,m=null==l?[1,1]:l,f=a.computeConv2DInfo(s.shape,u.shape,d,m,c,p,!0),h=f.filterHeight,b=f.filterWidth,_=f.padInfo.top,y=f.padInfo.right,g=f.padInfo.bottom,w=f.padInfo.left,I=f.dilationHeight,k=f.dilationWidth,v=f.strideHeight,E=f.strideWidth,S=f.inChannels,A=f.outChannels,M="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+f.dataFormat+"'. Please use 'channelsLast'.");const x=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(x.dataId).id;return Un(o,s.shape[0],s.shape[1],s.shape[2],i,h,b,_,y,g,w,M,I,k,v,E,S,A,N),x}},jn=tn(S,!1,"bool"),Gn=en(A);function qn(e){const{inputs:t,attrs:a,backend:r}=e,{input:s}=t,{dim:u}=a,o=s.shape.length,i=s.shape.slice();let d=u;return u<0&&(n.assert(-(o+1)<=u,()=>`Axis must be in the interval [${-(o+1)}, ${o}]`),d=o+u+1),i.splice(d,0,1),_n({inputs:{x:s},backend:r,attrs:{shape:i}})}const Vn={kernelName:M,backendName:"wasm",kernelFunc:qn};const Xn={kernelName:x,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:n,value:t,dtype:a},backend:r}=e,s=r.makeOutput(n,a);return r.typedArrayFromHeap(s).fill(t),s}};let $n;const Kn={kernelName:N,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t}=e,{image:a}=n,r=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(a.dataId).id,u=t.dataIdMap.get(r.dataId).id,[o,i,d,l]=a.shape;return $n(s,o,i,d,l,u),r},setupFunc:function(e){$n=e.wasm.cwrap(N,null,["number","number","number","number","number","number"])}},Yn=en(F),Qn=tn(T,!1);let Zn;const Jn={kernelName:O,backendName:"wasm",setupFunc:function(e){Zn=e.wasm.cwrap(O,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{varianceEpsilon:s}=r,{x:u,mean:o,variance:i,offset:d,scale:l}=a,c=t.dataIdMap.get(u.dataId).id,p=t.dataIdMap.get(o.dataId).id,m=t.dataIdMap.get(i.dataId).id,f=null!=d?t.dataIdMap.get(d.dataId).id:0,h=null!=l?t.dataIdMap.get(l.dataId).id:0,b=t.makeOutput(u.shape,u.dtype);if(0===n.sizeFromShape(u.shape))return b;const _=t.dataIdMap.get(b.dataId).id;return Zn(c,p,m,f,h,s,_),b}};let et;const nt={kernelName:C,backendName:"wasm",setupFunc:function(e){et=e.wasm.cwrap(C,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u,bias:o,preluActivationWeights:i}=n,{strides:d,pad:l,dilations:c,dataFormat:p,dimRoundingMode:m,activation:f,leakyreluAlpha:h}=t,b=a.computeConv2DInfo(s.shape,u.shape,d,c,l,m),_=Qe[f];if(null==_)throw new Error(f+" activation not yet supported for FusedConv2D in the wasm backend.");const y=r.dataIdMap.get(s.dataId).id,g=r.dataIdMap.get(u.dataId).id,w=b.outChannels;let I=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error(`FusedConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==w)throw new Error(`FusedConv2D bias shape (${e.shape}) does not match the number of output channels (${w})`);I=e.id}const k=b.filterHeight,v=b.filterWidth,E=b.padInfo.top,S=b.padInfo.right,A=b.padInfo.bottom,M=b.padInfo.left,x=b.dilationHeight,N=b.dilationWidth,F=b.strideHeight,T=b.strideWidth,O=b.inChannels,C="SAME"===b.padInfo.type?1:0,R=b.batchSize,D=b.inHeight,P=b.inWidth;if("NHWC"!==p)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+p+"'. Please use 'NHWC'.");const W=r.makeOutput(b.outShape,"float32"),B=r.dataIdMap.get(W.dataId).id,L=null==i?0:r.dataIdMap.get(i.dataId).id;return et(y,R,D,P,g,k,v,I,E,S,A,M,C,x,N,F,T,O,w,_,L,h||0,B),W}};let tt;const at={kernelName:R,backendName:"wasm",setupFunc:function(e){tt=e.wasm.cwrap(R,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,{x:s,filter:u,bias:o,preluActivationWeights:i}=n,{strides:d,pad:l,dilations:c,dataFormat:p,dimRoundingMode:m,activation:f,leakyreluAlpha:h}=t,b=a.computeConv2DInfo(s.shape,u.shape,d,c,l,m,!0),_=Qe[f];if(null==_)throw new Error(f+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");const y=r.dataIdMap.get(s.dataId).id,g=r.dataIdMap.get(u.dataId).id,w=b.outChannels;let I=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error(`FusedDepthwiseConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==w)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not match the number of output channels (${w})`);I=e.id}const k=b.filterHeight,v=b.filterWidth,E=b.padInfo.top,S=b.padInfo.right,A=b.padInfo.bottom,M=b.padInfo.left,x=b.dilationHeight,N=b.dilationWidth,F=b.strideHeight,T=b.strideWidth,O=b.inChannels,C="SAME"===b.padInfo.type?1:0,R=b.batchSize,D=b.inHeight,P=b.inWidth;if("NHWC"!==p)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+p+"'. Please use 'NHWC'.");const W=r.makeOutput(b.outShape,"float32"),B=r.dataIdMap.get(W.dataId).id,L=null==i?0:r.dataIdMap.get(i.dataId).id;return tt(y,R,D,P,g,k,v,I,E,S,A,M,C,x,N,F,T,O,w,_,L,h||0,B),W}};let rt;const st={kernelName:D,backendName:"wasm",setupFunc:function(e){rt=e.wasm.cwrap(D,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:t}=e,{params:a,indices:r}=t,[s,u,o,i]=P.prepareAndValidate(a,r),d=n.makeOutput(s,a.dtype);if(0===u)return d;const l=r.shape,c=l[l.length-1],p=n.dataIdMap.get(a.dataId).id,m=n.dataIdMap.get(r.dataId).id,f=new Uint8Array(new Int32Array(i).buffer),h=n.dataIdMap.get(d.dataId).id;return rt(p,Ye[a.dtype],m,u,c,o,f,h),d}};let ut;const ot={kernelName:W,backendName:"wasm",setupFunc:function(e){ut=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{x:u,indices:o}=r,{axis:i,batchDims:d}=s,l=n.parseAxisParam(i,u.shape)[0],c=a.segment_util.collectGatherOpShapeInfo(u,o,l,d),p=_n({inputs:{x:u},attrs:{shape:[c.batchSize,c.outerSize,c.dimSize,c.sliceSize]},backend:t}),m=n.sizeFromShape(o.shape),f=_n({inputs:{x:o},attrs:{shape:[c.batchSize,m/c.batchSize]},backend:t}),h=[c.batchSize,c.outerSize,m/c.batchSize,c.sliceSize],b=t.makeOutput(h,u.dtype);if(0===n.sizeFromShape(u.shape))return b;const _=p.shape.length-1,y=t.dataIdMap.get(p.dataId).id,g=t.dataIdMap.get(f.dataId).id,w=t.dataIdMap.get(b.dataId).id,I=new Uint8Array(new Int32Array(n.computeStrides(p.shape)).buffer),k=new Uint8Array(new Int32Array(n.computeStrides(h)).buffer);return ut(y,Ye[u.dtype],I,_,g,c.batchSize,k,w),t.disposeData(p.dataId),t.disposeData(f.dataId),b.shape=c.outputShape,b}},it=tn(B,!1,"bool"),dt=tn(L,!1,"bool");let lt;const ct={kernelName:H,backendName:"wasm",setupFunc:function(e){lt=e.wasm.cwrap(H,null,["number","number","number"])},kernelFunc:function(e){const{inputs:{x:t},attrs:{alpha:a},backend:r}=e,s=r.dataIdMap.get(t.dataId).id,u=r.makeOutput(t.shape,t.dtype);if(0!==n.sizeFromShape(t.shape)){const e=r.dataIdMap.get(u.dataId).id;lt(s,a,e)}return u}},pt=tn(U,!1,"bool"),mt=tn(z,!1,"bool"),ft=en(j),ht=tn(G,!1,"bool");let bt;const _t={kernelName:q,backendName:"wasm",setupFunc:function(e){bt=e.wasm.cwrap(q,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{reductionIndices:u,keepDims:o}=s,{x:i}=r;let d=t.dataIdMap.get(i.dataId).id,l=i;const{transposed:c,axes:p,originalAxes:m,inputWasTransposed:f}=pn(i,u,t);if(f){l=c,d=t.dataIdMap.get(c.dataId).id}const h=l.shape.length;a.assertAxesAreInnerMostDims("max",p,h);const[b,_]=a.computeOutAndReduceShapes(l.shape,p),y=n.sizeFromShape(_),g=t.makeOutput(b,i.dtype);if(0!==n.sizeFromShape(l.shape)){const e=t.dataIdMap.get(g.dataId).id;bt(d,y,e)}if(f&&t.disposeData(c.dataId),o){const e=a.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}},yt=tn(V,!1);let gt;const wt={kernelName:X,backendName:"wasm",setupFunc:function(e){gt=e.wasm.cwrap(X,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:o,strides:i,pad:d,dimRoundingMode:l}=t,c=a.computePool2DInfo(s.shape,o,i,1,d,l),p=c.filterHeight,m=c.filterWidth,f=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,_=c.padInfo.left,y=c.dilationHeight,g=c.dilationWidth,w=c.strideHeight,I=c.strideWidth,k=c.inChannels,v=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");const E=r.makeOutput(c.outShape,"float32"),S=r.dataIdMap.get(E.dataId).id;return gt(u,s.shape[0],s.shape[1],s.shape[2],p,m,f,h,b,_,y,g,w,I,k,v,S),E}};let It;const kt={kernelName:$,backendName:"wasm",setupFunc:function(e){It=e.wasm.cwrap($,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:m,originalAxes:f,inputWasTransposed:h}=pn(i,u,t);let b=m;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e,b=a.getInnerMostAxes(b.length,c.shape.length))}a.assertAxesAreInnerMostDims("mean",b,c.shape.length);const[_,y]=a.computeOutAndReduceShapes(c.shape,b),g=n.sizeFromShape(y);let w=c;"float32"!==c.dtype&&(w=In({backend:t,inputs:{x:c},attrs:{dtype:"float32"}}),l=t.dataIdMap.get(w.dataId).id);const I=t.makeOutput(_,"float32");if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(I.dataId).id;It(l,g,e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(I.shape,f);I.shape=e}return"float32"!==c.dtype&&t.disposeData(w.dataId),I}};let vt;const Et={kernelName:K,backendName:"wasm",setupFunc:function(e){vt=e.wasm.cwrap(K,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:m,originalAxes:f,inputWasTransposed:h}=pn(i,u,t);if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e)}const b=c.shape.length;a.assertAxesAreInnerMostDims("min",m,b);const[_,y]=a.computeOutAndReduceShapes(c.shape,m),g=n.sizeFromShape(y),w=t.makeOutput(_,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;vt(l,g,e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},St=tn(Y,!1),At=tn(Q,!0),Mt=en(Z);function xt(e,n){const t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],s=t[2],u=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:s,pValidOutputs:u}}let Nt;const Ft={kernelName:J,backendName:"wasm",setupFunc:function(e){Nt=e.wasm.cwrap(J,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u}=a,{boxes:o,scores:i}=t,d=n.dataIdMap.get(o.dataId).id,l=n.dataIdMap.get(i.dataId).id,c=Nt(d,l,s,r,u),{pSelectedIndices:p,selectedSize:m,pSelectedScores:f,pValidOutputs:h}=xt(n,c);return n.wasm._free(f),n.wasm._free(h),n.makeOutput([m],"int32",p)}};let Tt;const Ot={kernelName:ee,backendName:"wasm",setupFunc:function(e){Tt=e.wasm.cwrap(ee,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,padToMaxOutputSize:o}=a,{boxes:i,scores:d}=t,l=n.dataIdMap.get(i.dataId).id,c=n.dataIdMap.get(d.dataId).id,p=Tt(l,c,s,r,u,o),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=xt(n,p);return n.wasm._free(h),[n.makeOutput([f],"int32",m),n.makeOutput([],"int32",b)]}};let Ct;const Rt={kernelName:ne,backendName:"wasm",setupFunc:function(e){Ct=e.wasm.cwrap(ne,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,softNmsSigma:o}=a,{boxes:i,scores:d}=t,l=n.dataIdMap.get(i.dataId).id,c=n.dataIdMap.get(d.dataId).id,p=Ct(l,c,s,r,u,o),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=xt(n,p);return n.wasm._free(b),[n.makeOutput([f],"int32",m),n.makeOutput([f],"float32",h)]}},Dt=tn(te,!1,"bool");let Pt;const Wt={kernelName:ae,backendName:"wasm",setupFunc:function(e){Pt=e.wasm.cwrap(ae,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{indices:r}=n,{depth:s,onValue:u,offValue:o}=a,i=t.makeOutput([...r.shape,s],"int32"),d=t.dataIdMap.get(i.dataId).id,l=t.dataIdMap.get(r.dataId).id;return Pt(l,s,u,o,d),i}};const Bt={kernelName:re,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}};const Lt={kernelName:se,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{axis:s}=r;if(1===t.length)return qn({inputs:{input:t[0]},backend:a,attrs:{dim:s}});const u=t[0].shape,o=t[0].dtype;return t.forEach(e=>{n.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),n.assert(o===e.dtype,()=>"All tensors passed to stack must have matching dtypes")}),Mn({inputs:t.map(e=>qn({inputs:{input:e},backend:a,attrs:{dim:s}})),backend:a,attrs:{axis:s}})}};let Ht;const Ut={kernelName:ue,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{paddings:a,constantValue:r}}=e,s=a.map((e,t)=>e[0]+n.shape[t]+e[1]),u=t.dataIdMap.get(n.dataId).id,o=t.makeOutput(s,n.dtype),i=t.dataIdMap.get(o.dataId).id,d=new Uint8Array(new Int32Array(n.shape).buffer),l=a.map(e=>e[0]),c=a.map(e=>e[1]),p=new Uint8Array(new Int32Array(l).buffer),m=new Uint8Array(new Int32Array(c).buffer);return Ht(u,d,n.shape.length,Ye[n.dtype],p,m,r,i),o},setupFunc:function(e){Ht=e.wasm.cwrap(ue,null,["number","array","number","number","array","array","number","number"])}},zt=tn(oe,!1);let jt;const Gt={kernelName:ie,backendName:"wasm",setupFunc:function(e){jt=e.wasm.cwrap(ie,null,["number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t}=e,{x:a,alpha:r}=n,s=t.dataIdMap.get(a.dataId).id,u=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(a.shape,"float32"),i=t.dataIdMap.get(o.dataId).id;return jt(s,u,i),o}};let qt;const Vt={kernelName:de,backendName:"wasm",setupFunc:function(e){qt=e.wasm.cwrap(de,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:m,originalAxes:f,inputWasTransposed:h}=pn(i,u,t);let b=m;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e,b=a.getInnerMostAxes(b.length,c.shape.length))}a.assertAxesAreInnerMostDims("prod",b,c.shape.length);const[_,y]=a.computeOutAndReduceShapes(c.shape,b),g=n.sizeFromShape(y),w=t.makeOutput(_,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;qt(l,g,Ye[w.dtype],e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},Xt={kernelName:le,backendName:"wasm",kernelFunc:e=>{const{backend:t,attrs:a}=e,{start:r,stop:s,step:u,dtype:o}=a,i=function(e,t,a,r){if(e===t||e<t&&a<0||t<e&&a>1)return n.makeZerosTypedArray(0,r);const s=Math.abs(Math.ceil((t-e)/a)),u=n.makeZerosTypedArray(s,r);t<e&&1===a&&(a=-1),u[0]=e;for(let e=1;e<u.length;e++)u[e]=u[e-1]+a;return u}(r,s,u,o),d=t.makeOutput([i.length],o);return t.typedArrayFromHeap(d).set(i),d}},$t=tn(ce,!0),Kt=en(pe),Yt=en(me);let Qt;const Zt={kernelName:fe,backendName:"wasm",setupFunc:function(e){Qt=e.wasm.cwrap(fe,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{images:s}=a,{alignCorners:u,halfPixelCenters:o,size:i}=r,[d,l]=i,[c,p,m,f]=s.shape,h=[c,d,l,f];let b,_=t.dataIdMap.get(s.dataId);"float32"!==_.dtype&&(b=In({backend:t,inputs:{x:s},attrs:{dtype:"float32"}}),_=t.dataIdMap.get(b.dataId));const y=_.id,g=t.makeOutput(h,"float32");if(0===n.sizeFromShape(s.shape))return g;const w=t.dataIdMap.get(g.dataId).id;return Qt(y,c,p,m,f,d,l,u?1:0,o?1:0,w),null!=b&&t.disposeData(b.dataId),g}};let Jt;const ea={kernelName:he,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{x:s}=t,{dims:u}=r,o=n.parseAxisParam(u,s.shape);if(0===s.shape.length)return un({inputs:{x:s},backend:a});const i=a.makeOutput(s.shape,s.dtype),d=a.dataIdMap.get(s.dataId).id,l=a.dataIdMap.get(i.dataId).id,c=new Uint8Array(new Int32Array(o).buffer),p=new Uint8Array(new Int32Array(s.shape).buffer);Jt(d,c,o.length,p,s.shape.length,l);const m=_n({inputs:{x:i},attrs:{shape:s.shape},backend:a});return a.disposeData(i.dataId),m},setupFunc:function(e){Jt=e.wasm.cwrap(he,null,["number","array","number","array","number","number"])}};let na;const ta={kernelName:be,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{image:s}=n,{radians:u,fillValue:o,center:i}=r,d=t.makeOutput(s.shape,s.dtype),l=t.dataIdMap.get(s.dataId).id,c=t.dataIdMap.get(d.dataId).id,[p,m,f,h]=s.shape,[b,_]=a.getImageCenter(i,m,f),y="number"==typeof o?[o,o,o,0===o?0:255]:[...o,255],g=new Uint8Array(new Int32Array(y).buffer);return na(l,p,m,f,h,u,b,_,g,y.length,c),d},setupFunc:function(e){na=e.wasm.cwrap(be,null,["number","number","number","number","number","number","number","number","array","number","number"])}},aa=en(_e);let ra;let sa;let ua;function oa(e){const{inputs:{x:t},attrs:{begin:a,size:r},backend:s}=e,[u,o]=h.parseSliceParams(t,a,r),i=h.isSliceContinous(t.shape,u,o),d=s.readSync(t.dataId),l=s.makeOutput(o,t.dtype),c=n.computeStrides(t.shape),p=s.dataIdMap.get(l.dataId);if(i){const e=h.computeFlatOffset(u,c);if("string"===t.dtype)p.stringBytes=d.slice(e,e+n.sizeFromShape(o));else{s.typedArrayFromHeap(l).set(d.subarray(e,e+n.sizeFromShape(o)))}return l}if("string"===t.dtype){const e=An(d,u,o,t.shape,t.dtype);return p.stringBytes=e,l}const m=s.typedArrayFromHeap(l),f=t.shape.length;if(2===f)!function(e,n,t,a,r){let s=0;const u=a[0],o=a[1],i=u+r[0];for(let a=u;a<i;a++){const u=a*n+o;t.set(e.subarray(u,u+r[1]),s),s+=r[1]}}(d,c[0],m,u,o);else if(3===f)!function(e,n,t,a,r,s){let u=0;const o=r[0],i=r[1],d=r[2],l=o+s[0],c=i+s[1];for(let r=o;r<l;r++)for(let o=i;o<c;o++){const i=r*n+o*t+d;a.set(e.subarray(i,i+s[2]),u),u+=s[2]}}(d,c[0],c[1],m,u,o);else if(4===f)!function(e,n,t,a,r,s,u){let o=0;const i=s[0],d=s[1],l=s[2],c=i+u[0],p=d+u[1],m=l+u[2],f=s[3];for(let s=i;s<c;s++)for(let i=d;i<p;i++)for(let d=l;d<m;d++){const l=s*n+i*t+d*a+f;r.set(e.subarray(l,l+u[3]),o),o+=u[3]}}(d,c[0],c[1],c[2],m,u,o);else{const e=An(d,u,o,t.shape,t.dtype);m.set(e)}return l}let ia;let da;let la;let ca;let pa;let ma;const fa=[nn,an,sn,fn,bn,wn,kn,vn,Sn,xn,Fn,On,Cn,Pn,Bn,Hn,zn,jn,Gn,Vn,Xn,Kn,Yn,Qn,Je,Jn,nt,at,st,ot,it,dt,on,ct,pt,mt,ft,ht,_t,yt,wt,kt,Et,St,At,Mt,Ft,Ot,Rt,Dt,Wt,Bt,Lt,Ut,zt,Gt,Vt,Xt,$t,Kt,Yt,yn,Zt,ea,ta,en(ye),aa,{kernelName:ge,backendName:"wasm",setupFunc:function(e){ra=e.wasm.cwrap(ge,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{indices:s,updates:u}=a,{shape:o}=r,i=t.makeOutput(o,u.dtype);if(0===n.sizeFromShape(o))return i;const{sliceRank:d,numUpdates:l,sliceSize:c,strides:p,outputSize:m}=we.calculateShapes(u,s,o),f=t.dataIdMap.get(s.dataId).id,h=t.dataIdMap.get(u.dataId).id,b=new Uint8Array(new Int32Array(p).buffer),_=t.dataIdMap.get(i.dataId).id;return ra(f,h,Ye[u.dtype],d,l,c,b,m,_),i}},{kernelName:Ie,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,{condition:r,t:s,e:u}=t,o=a.dataIdMap.get(r.dataId).id,i=a.dataIdMap.get(s.dataId).id,d=a.dataIdMap.get(u.dataId).id,l=a.makeOutput(s.shape,s.dtype),c=a.dataIdMap.get(l.dataId).id,p=r.shape.length,m=s.shape.length,f=0===p||p>1||1===m?1:n.sizeFromShape(s.shape.slice(1));return sa(o,i,d,f,c),l},setupFunc:function(e){sa=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){ua=e.wasm.cwrap(ke,null,["number","number"])},kernelFunc:function(e){const{backend:t,inputs:{x:a}}=e,r=t.dataIdMap.get(a.dataId).id,s=t.makeOutput(a.shape,a.dtype),u=t.dataIdMap.get(s.dataId).id;return 0===n.sizeFromShape(s.shape)||ua(r,u),s}},en(ve),{kernelName:Ee,backendName:"wasm",kernelFunc:oa},{kernelName:Se,backendName:"wasm",setupFunc:function(e){ia=e.wasm.cwrap(Se,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:{logits:a},attrs:{dim:r}}=e,s=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),o=t.dataIdMap.get(u.dataId).id,i=a.shape[r],d=n.sizeFromShape(a.shape)/i;return 0===n.sizeFromShape(u.shape)||ia(s,o,i,d),u}},{kernelName:Ae,backendName:"wasm",kernelFunc:function(e){const{inputs:t,attrs:r,backend:s}=e,{x:u}=t,{numOrSizeSplits:o,axis:i}=r,d=n.parseAxisParam(i,u.shape)[0],l=a.prepareSplitSize(u,o,d),c=new Array(u.shape.length).fill(0),p=u.shape.slice();return l.map(e=>{const n=[...p];n[d]=e;const t=oa({inputs:{x:u},attrs:{begin:c,size:n},backend:s});return c[d]+=e,t})}},en(Me),en(xe),tn(Ne,!0),{kernelName:Fe,backendName:"wasm",setupFunc:function(e){da=e.wasm.cwrap(Fe,null,["number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{alpha:r}=a,{x:s}=t,u=n.dataIdMap.get(s.dataId).id,o=n.makeOutput(s.shape,s.dtype),i=n.dataIdMap.get(o.dataId).id;return da(u,r,i),o}},{kernelName:Te,backendName:"wasm",setupFunc:function(e){la=e.wasm.cwrap(Te,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{x:u}=r;let{begin:o,end:i,strides:d}=s;null==d&&(d=new Array(o.length));const{beginMask:l,endMask:c,ellipsisMask:p,newAxisMask:m,shrinkAxisMask:f}=s,h=a.slice_util.maskToAxes(p);if(h.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==p&&0!==m)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==p&&0!==f)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");const b=u.shape.length-o.length,_=a.slice_util.maskToAxes(m),y=u.shape.slice();_.forEach(e=>{o[e]=0,i[e]=1,y.splice(e,0,1)});const g=_n({inputs:{x:u},attrs:{shape:y},backend:t}),{begin:w,end:I,strides:k}=a.slice_util.getNormalizedAxes(g.shape,h,b,o,i,d,l,c,p);o=w,i=I,d=k;const v=a.slice_util.maskToAxes(f);v.forEach(e=>{i[e]=o[e]+1,d[e]=1});const E=a.slice_util.computeOutShape(o,i,d),S=E.filter((e,n)=>-1===v.indexOf(n));if(d.every(e=>1===e)){const e=oa({inputs:{x:u},attrs:{begin:o,size:E},backend:t});t.disposeData(g.dataId);const n=_n({inputs:{x:e},attrs:{shape:S},backend:t});return t.disposeData(e.dataId),n}const A=t.makeOutput(S,"float32");if(!S.some(e=>0===e)){const e=t.dataIdMap.get(g.dataId).id,a=new Uint8Array(new Int32Array(n.computeStrides(g.shape)).buffer),r=new Uint8Array(new Int32Array(o).buffer),s=new Uint8Array(new Int32Array(i).buffer),u=new Uint8Array(new Int32Array(d).buffer),l=new Uint8Array(new Int32Array(S).buffer),c=new Uint8Array(new Int32Array(n.computeStrides(S)).buffer),p=t.dataIdMap.get(A.dataId).id;la(e,a,g.shape.length,r,s,u,l,c,S.length,p)}t.disposeData(g.dataId);const M=_n({inputs:{x:A},attrs:{shape:S},backend:t});return t.disposeData(A.dataId),M}},tn(Oe,!0),{kernelName:Ce,backendName:"wasm",setupFunc:function(e){ca=e.wasm.cwrap(Ce,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:s}=e,{axis:u,keepDims:o}=s,{x:i}=r,d=t.dataIdMap.get(i.dataId).id;let l=d,c=i;const{transposed:p,axes:m,originalAxes:f,inputWasTransposed:h}=pn(i,u,t);let b=m;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==d&&(c=p,l=e,b=a.getInnerMostAxes(b.length,c.shape.length))}a.assertAxesAreInnerMostDims("sum",b,c.shape.length);const[_,y]=a.computeOutAndReduceShapes(c.shape,b),g=n.sizeFromShape(y),w=t.makeOutput(_,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;ca(l,g,e)}if(h&&t.disposeData(p.dataId),o){const e=a.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},en(Re),{kernelName:De,backendName:"wasm",setupFunc:function(e){pa=e.wasm.cwrap(De,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,s=t.dataIdMap.get(r.dataId).id,{reps:u}=a,o=new Array(r.shape.length);for(let e=0;e<o.length;e++)o[e]=r.shape[e]*u[e];const i=new Uint8Array(new Int32Array(r.shape).buffer),d=new Uint8Array(new Int32Array(o).buffer),l=t.makeOutput(o,r.dtype),c=t.dataIdMap.get(l.dataId).id;return pa(s,i,r.shape.length,d,o.length,Ye[l.dtype],c),l}},{kernelName:Pe,backendName:"wasm",setupFunc:function(e){ma=e.wasm.cwrap(Pe,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:({inputs:e,backend:n,attrs:t})=>{const{x:a}=e,{k:r,sorted:s}=t,u=n.dataIdMap.get(a.dataId).id,o=new Uint8Array(new Int32Array(a.shape).buffer),i=a.shape.slice();i[i.length-1]=r;const d=n.makeOutput(i,a.dtype),l=n.dataIdMap.get(d.dataId).id,c=n.makeOutput(i,"int32"),p=n.dataIdMap.get(c.dataId).id;return ma(u,o,a.shape.length,Ye[a.dtype],r,s,l,p),[d,c]}},cn,{kernelName:We,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{value:r}=n;let{axis:s}=a;s<0&&(s+=r.shape.length);const u=r.shape[s],o=r.shape.length,i=new Array(o-1);let d=0;for(let e=0;e<o;e++)e!==s&&(i[d++]=r.shape[e]);const l=new Array(u),c=new Array(o).fill(0),p=r.shape.slice();p[s]=1;for(let e=0;e<l.length;e++)c[s]=e,l[e]=oa({inputs:{x:r},attrs:{begin:c,size:p},backend:t});return l.map(({dataId:e,dtype:n})=>({dataId:e,dtype:n,shape:i}))}},{kernelName:Be,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];for(const e of fa)Le(e);const ha=He();function ba(e,n){return e(n={exports:{}},n.exports),n.exports}ha.registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))),ha.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",async()=>{if(ha.get("IS_NODE"))return!1;try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}});var _a=ba((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){function n(){return E.buffer!=U&&K(E.buffer),z}function a(){return E.buffer!=U&&K(E.buffer),j}function r(){return E.buffer!=U&&K(E.buffer),G}function s(){return E.buffer!=U&&K(E.buffer),q}function u(){return E.buffer!=U&&K(E.buffer),V}var o,i="undefined"!=typeof(e=e||{})?e:{},d={};for(o in i)i.hasOwnProperty(o)&&(d[o]=i[o]);var l=!1,c=!1,p=!1,m=!1;l="object"==typeof window,c="function"==typeof importScripts,p="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,m=!l&&!p&&!c;var f=i.ENVIRONMENT_IS_PTHREAD||!1;f&&(U=i.buffer,Y=i.DYNAMIC_BASE,Q=i.DYNAMICTOP_PTR);var h,b,_,y,g="";function w(e){return i.locateFile?i.locateFile(e,g):g+e}if(p){var I;g=c?Ve.dirname(g)+"/":__dirname+"/",h=function(e,n){return _||(_=Xe),y||(y=Ve),e=y.normalize(e),_.readFileSync(e,n?null:"utf8")},b=function(e){var n=h(e,!0);return n.buffer||(n=new Uint8Array(n)),T(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof pt))throw e})),process.on("unhandledRejection",_e),i.inspect=function(){return"[Emscripten Module object]"};try{I=$e}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}Worker=I.Worker}else m?("undefined"!=typeof read&&(h=function(e){return read(e)}),b=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(T("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(l||c)&&(c?g=self.location.href:document.currentScript&&(g=document.currentScript.src),"undefined"!=typeof t&&t&&(g=t),g=0!==g.indexOf("blob:")?g.substr(0,g.lastIndexOf("/")+1):"",p?(h=function(e,n){return _||(_=Xe),y||(y=Ve),e=y.normalize(e),_.readFileSync(e,n?null:"utf8")},b=function(e){var n=h(e,!0);return n.buffer||(n=new Uint8Array(n)),T(n.buffer),n}):(h=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},c&&(b=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)})));p&&"undefined"==typeof performance&&(performance=Ke.performance);var k,v,E,S=i.print||console.log.bind(console),A=i.printErr||console.warn.bind(console);for(o in d)d.hasOwnProperty(o)&&(i[o]=d[o]);d=null,i.arguments&&i.arguments,i.thisProgram&&i.thisProgram,i.quit&&i.quit,i.wasmBinary&&(k=i.wasmBinary),i.noExitRuntime&&(v=i.noExitRuntime),"object"!=typeof WebAssembly&&A("no native wasm support detected");var M,x=new WebAssembly.Table({initial:171,maximum:171,element:"anyfunc"}),N=0,F=!1;function T(e,n){e||_e("Assertion failed: "+n)}function O(e){var n=i["_"+e];return T(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function C(e,n,t,a,r){var s={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);B(e,n=dt(t),t)}return n},array:function(e){var n=dt(e.length);return H(e,n),n}},u=O(e),o=[],i=0;if(a)for(var d=0;d<a.length;d++){var l=s[t[d]];l?(0===i&&(i=it()),o[d]=l(a[d])):o[d]=a[d]}var c=u.apply(null,o);return c=function(e){return"string"===n?P(e):"boolean"===n?Boolean(e):e}(c),0!==i&&lt(i),c}function R(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?O(e):function(){return C(e,n,t,arguments)}}function D(e,n,t){for(var a=n+t,r="";!(n>=a);){var s=e[n++];if(!s)return r;if(128&s){var u=63&e[n++];if(192!=(224&s)){var o=63&e[n++];if((s=224==(240&s)?(15&s)<<12|u<<6|o:(7&s)<<18|u<<12|o<<6|63&e[n++])<65536)r+=String.fromCharCode(s);else{var i=s-65536;r+=String.fromCharCode(55296|i>>10,56320|1023&i)}}else r+=String.fromCharCode((31&s)<<6|u)}else r+=String.fromCharCode(s)}return r}function P(e,n){return e?D(a(),e,n):""}function W(e,n,t,a){if(!(a>0))return 0;for(var r=t,s=t+a-1,u=0;u<e.length;++u){var o=e.charCodeAt(u);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++u)),o<=127){if(t>=s)break;n[t++]=o}else if(o<=2047){if(t+1>=s)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=s)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=s)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-r}function B(e,n,t){return W(e,a(),n,t)}function L(e){for(var n=0,t=0;t<e.length;++t){var a=e.charCodeAt(t);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++t)),a<=127?++n:n+=a<=2047?2:a<=65535?3:4}return n}function H(e,t){n().set(e,t)}var U,z,j,G,q,V,X=65536;function $(e,n){return e%n>0&&(e+=n-e%n),e}function K(e){U=e,i.HEAP8=z=new Int8Array(e),i.HEAP16=new Int16Array(e),i.HEAP32=G=new Int32Array(e),i.HEAPU8=j=new Uint8Array(e),i.HEAPU16=new Uint16Array(e),i.HEAPU32=q=new Uint32Array(e),i.HEAPF32=new Float32Array(e),i.HEAPF64=V=new Float64Array(e)}var Y=5256464,Q=12656,Z=i.INITIAL_MEMORY||16777216;if(f)E=i.wasmMemory,U=i.buffer;else if(i.wasmMemory)E=i.wasmMemory;else if(!((E=new WebAssembly.Memory({initial:Z/X,maximum:2147483648/X,shared:!0})).buffer instanceof SharedArrayBuffer))throw A("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),p&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");function J(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?i.dynCall_v(t):i.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(i)}}E&&(U=E.buffer),Z=U.byteLength,K(U),f||(r()[Q>>2]=Y);var ee=[],ne=[],te=[],ae=[];function re(){if(!f){if(i.preRun)for("function"==typeof i.preRun&&(i.preRun=[i.preRun]);i.preRun.length;)ie(i.preRun.shift());J(ee)}}function se(){J(ne)}function ue(){f||J(te)}function oe(){if(!f){if(i.postRun)for("function"==typeof i.postRun&&(i.postRun=[i.postRun]);i.postRun.length;)de(i.postRun.shift());J(ae)}}function ie(e){ee.unshift(e)}function de(e){ae.unshift(e)}var le=Math.ceil,ce=Math.floor,pe=0,me=null,fe=null;function he(e){T(!f,"addRunDependency cannot be used in a pthread worker"),pe++,i.monitorRunDependencies&&i.monitorRunDependencies(pe)}function be(e){if(pe--,i.monitorRunDependencies&&i.monitorRunDependencies(pe),0==pe&&(null!==me&&(clearInterval(me),me=null),fe)){var n=fe;fe=null,n()}}function _e(e){throw i.onAbort&&i.onAbort(e),f&&console.error("Pthread aborting at "+(new Error).stack),S(e+=""),A(e),F=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ye(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}i.preloadedImages={},i.preloadedAudios={};var ge="data:application/octet-stream;base64,";function we(e){return ye(e,ge)}var Ie="file://";function ke(e){return ye(e,Ie)}var ve="tfjs-backend-wasm-threaded-simd.wasm";function Ee(){try{if(k)return new Uint8Array(k);if(b)return b(ve);throw"both async and sync fetching of the wasm failed"}catch(e){_e(e)}}function Se(){return k||!l&&!c||"function"!=typeof fetch||ke(ve)?new Promise((function(e,n){e(Ee())})):fetch(ve,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+ve+"'";return e.arrayBuffer()})).catch((function(){return Ee()}))}function Ae(){var e={a:Xn};function n(e,n){var t=e.exports;if(i.asm=t,M=n,!f){var a=He.unusedWorkers.length;He.unusedWorkers.forEach((function(e){He.loadWasmModuleToWorker(e,(function(){--a||be()}))}))}}function t(e){n(e.instance,e.module)}function a(n){return Se().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){A("failed to asynchronously prepare wasm: "+e),_e(e)}))}if(f||he(),i.instantiateWasm)try{return i.instantiateWasm(e,n)}catch(e){return A("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(k||"function"!=typeof WebAssembly.instantiateStreaming||we(ve)||ke(ve)||"function"!=typeof fetch)return a(t);fetch(ve,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){A("wasm streaming compile failed: "+e),A("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}we(ve)||(ve=w(ve));var Me={};function xe(){He.initRuntime()}f||ne.push({func:function(){Yn()}});var Ne=0,Fe=0,Te=0;function Oe(e,n,t){Ne=e|=0,Te=n|=0,Fe=t|=0}i.__register_pthread_ptr=Oe;var Ce={EPERM:63,ENOENT:44,ESRCH:71,EINTR:27,EIO:29,ENXIO:60,E2BIG:1,ENOEXEC:45,EBADF:8,ECHILD:12,EAGAIN:6,EWOULDBLOCK:6,ENOMEM:48,EACCES:2,EFAULT:21,ENOTBLK:105,EBUSY:10,EEXIST:20,EXDEV:75,ENODEV:43,ENOTDIR:54,EISDIR:31,EINVAL:28,ENFILE:41,EMFILE:33,ENOTTY:59,ETXTBSY:74,EFBIG:22,ENOSPC:51,ESPIPE:70,EROFS:69,EMLINK:34,EPIPE:64,EDOM:18,ERANGE:68,ENOMSG:49,EIDRM:24,ECHRNG:106,EL2NSYNC:156,EL3HLT:107,EL3RST:108,ELNRNG:109,EUNATCH:110,ENOCSI:111,EL2HLT:112,EDEADLK:16,ENOLCK:46,EBADE:113,EBADR:114,EXFULL:115,ENOANO:104,EBADRQC:103,EBADSLT:102,EDEADLOCK:16,EBFONT:101,ENOSTR:100,ENODATA:116,ETIME:117,ENOSR:118,ENONET:119,ENOPKG:120,EREMOTE:121,ENOLINK:47,EADV:122,ESRMNT:123,ECOMM:124,EPROTO:65,EMULTIHOP:36,EDOTDOT:125,EBADMSG:9,ENOTUNIQ:126,EBADFD:127,EREMCHG:128,ELIBACC:129,ELIBBAD:130,ELIBSCN:131,ELIBMAX:132,ELIBEXEC:133,ENOSYS:52,ENOTEMPTY:55,ENAMETOOLONG:37,ELOOP:32,EOPNOTSUPP:138,EPFNOSUPPORT:139,ECONNRESET:15,ENOBUFS:42,EAFNOSUPPORT:5,EPROTOTYPE:67,ENOTSOCK:57,ENOPROTOOPT:50,ESHUTDOWN:140,ECONNREFUSED:14,EADDRINUSE:3,ECONNABORTED:13,ENETUNREACH:40,ENETDOWN:38,ETIMEDOUT:73,EHOSTDOWN:142,EHOSTUNREACH:23,EINPROGRESS:26,EALREADY:7,EDESTADDRREQ:17,EMSGSIZE:35,EPROTONOSUPPORT:66,ESOCKTNOSUPPORT:137,EADDRNOTAVAIL:4,ENETRESET:39,EISCONN:30,ENOTCONN:53,ETOOMANYREFS:141,EUSERS:136,EDQUOT:19,ESTALE:72,ENOTSUP:138,ENOMEDIUM:148,EILSEQ:25,EOVERFLOW:61,ECANCELED:11,ENOTRECOVERABLE:56,EOWNERDEAD:62,ESTRPIPE:135},Re=13568;function De(e,t){if(e<=0||e>n().length||!0&e||t<0)return-28;if(0==t)return 0;t>=2147483647&&(t=1/0);var a=Atomics.load(r(),Re>>2),s=0;if(a==e&&Atomics.compareExchange(r(),Re>>2,a,0)==a&&(s=1,--t<=0))return 1;var u=Atomics.notify(r(),e>>2,t);if(u>=0)return u+s;throw"Atomics.notify returned an unexpected value "+u}function Pe(e){if(f)throw"Internal Error! _kill_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _kill_thread!";r()[e+12>>2]=0;var n=He.pthreads[e];n.worker.terminate(),He.freeThreadData(n),He.runningWorkers.splice(He.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}function We(e){if(f)throw"Internal Error! _cancel_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cancel_thread!";He.pthreads[e].worker.postMessage({cmd:"cancel"})}function Be(e){if(f)throw"Internal Error! _cleanup_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cleanup_thread!";r()[e+12>>2]=0;var n=He.pthreads[e];if(n){var t=n.worker;He.returnWorkerToPool(t)}}i._emscripten_futex_wake=De;var Le,He={MAIN_THREAD_ID:1,mainThreadInfo:{schedPolicy:0,schedPrio:0},unusedWorkers:[],runningWorkers:[],initRuntime:function(){Oe(He.mainThreadBlock,!c,1),rt(He.mainThreadBlock)},initMainThreadBlock:function(){for(var e=0;e<8;++e)He.allocateUnusedWorker();for(He.mainThreadBlock=12816,e=0;e<58;++e)s()[He.mainThreadBlock/4+e]=0;r()[He.mainThreadBlock+12>>2]=He.mainThreadBlock;var n=He.mainThreadBlock+156;for(r()[n>>2]=n,e=0;e<128;++e)s()[3264+e]=0;Atomics.store(s(),He.mainThreadBlock+104>>2,13056),Atomics.store(s(),He.mainThreadBlock+40>>2,He.mainThreadBlock),Atomics.store(s(),He.mainThreadBlock+44>>2,42)},initWorker:function(){},pthreads:{},exitHandlers:null,setThreadStatus:function(){},runExitHandlers:function(){if(null!==He.exitHandlers){for(;He.exitHandlers.length>0;)He.exitHandlers.pop()();He.exitHandlers=null}f&&N&&tt()},threadExit:function(e){var n=zn();n&&(Atomics.store(s(),n+4>>2,e),Atomics.store(s(),n+0>>2,1),Atomics.store(s(),n+60>>2,1),Atomics.store(s(),n+64>>2,0),He.runExitHandlers(),De(n+0,2147483647),Oe(0,0,0),N=0,f&&postMessage({cmd:"exit"}))},threadCancel:function(){He.runExitHandlers(),Atomics.store(s(),N+4>>2,-1),Atomics.store(s(),N+0>>2,1),De(N+0,2147483647),N=0,Oe(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in He.pthreads)(a=He.pthreads[e])&&a.worker&&He.returnWorkerToPool(a.worker);He.pthreads={};for(var n=0;n<He.unusedWorkers.length;++n)(t=He.unusedWorkers[n]).terminate();for(He.unusedWorkers=[],n=0;n<He.runningWorkers.length;++n){var t,a=(t=He.runningWorkers[n]).pthread;He.freeThreadData(a),t.terminate()}He.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var n=r()[e.threadInfoStruct+104>>2];r()[e.threadInfoStruct+104>>2]=0,Zn(n),Zn(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&Zn(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){delete He.pthreads[e.pthread.thread],He.unusedWorkers.push(e),He.runningWorkers.splice(He.runningWorkers.indexOf(e),1),He.freeThreadData(e.pthread),e.pthread=void 0},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,n){e.onmessage=function(t){var a=t.data,r=a.cmd;if(e.pthread&&(He.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),a.targetThread&&a.targetThread!=zn()){var u=He.pthreads[a.targetThread];return u?u.worker.postMessage(t.data,a.transferList):console.error('Internal error! Worker sent a message "'+r+'" to target pthread '+a.targetThread+", but that thread no longer exists!"),void(He.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===r?at():"spawnThread"===r?Hn(t.data):"cleanupThread"===r?Be(a.thread):"killThread"===r?Pe(a.thread):"cancelThread"===r?We(a.thread):"loaded"===r?(e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===r?S("Thread "+a.threadId+": "+a.text):"printErr"===r?A("Thread "+a.threadId+": "+a.text):"alert"===r?alert("Thread "+a.threadId+": "+a.text):"exit"===r?e.pthread&&Atomics.load(s(),e.pthread.thread+68>>2)&&He.returnWorkerToPool(e):"cancelDone"===r?He.returnWorkerToPool(e):"objectTransfer"===r?He.receiveObjectTransfer(t.data):"setimmediate"===t.data.target?e.postMessage(t.data):A("worker sent an unknown command "+r),He.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){A("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},p&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("exit",(function(e){console.log("worker exited - TODO: update the worker queue?")}))),e.postMessage({cmd:"load",urlOrBlob:i.mainScriptUrlOrBlob||t,wasmMemory:E,wasmModule:M,DYNAMIC_BASE:Y,DYNAMICTOP_PTR:Q})},allocateUnusedWorker:function(){var e=w("tfjs-backend-wasm-threaded-simd.worker.js");He.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==He.unusedWorkers.length&&(He.allocateUnusedWorker(),He.loadWasmModuleToWorker(He.unusedWorkers[0])),He.unusedWorkers.length>0?He.unusedWorkers.pop():null},busySpinWait:function(e){for(var n=performance.now()+e;performance.now()<n;);}};function Ue(e,n){lt(e)}function ze(){return v}function je(e,n,t,a){_e("Assertion failed: "+P(e)+", at: "+[n?P(n):"unknown filename",t,a?P(a):"unknown function"])}function Ge(e,n){_main(e,n)}function qe(e){return r()[Jn()>>2]=e,e}function Ye(e,n){if(f)return sn(1,1,e,n)}function Qe(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(f)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=He.pthreads[e],a=t&&t.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1}function Ze(){_e()}function Je(e,n){}function en(e,t,a){if(e<=0||e>n().length||!0&e)return-28;if(c){var s=Atomics.wait(r(),e>>2,t,a);if("timed-out"===s)return-73;if("not-equal"===s)return-6;if("ok"===s)return 0;throw"Atomics.wait returned an unexpected value "+s}if(t!=Atomics.load(r(),e>>2))return-6;var u=performance.now(),o=u+a;Atomics.store(r(),Re>>2,e);for(var i=e;e==i;){if((u=performance.now())>o)return-73;at(),e=Atomics.load(r(),Re>>2)}return 0}function nn(){return 0|Te}function tn(){return 0|Fe}function an(e,n,t){a().copyWithin(e,n,n+t)}function rn(){return navigator.hardwareConcurrency}function sn(e,n){for(var t=arguments.length-2,a=it(),r=dt(8*t),s=r>>3,o=0;o<t;o++)u()[s+o]=arguments[2+o];var i=ut(e,t,r,n);return lt(a),i}i.establishStackSpace=Ue,i.getNoExitRuntime=ze,Le=p?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:f?function(){return performance.now()-i.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var un=[];function on(e,n){on.array||(on.array=[]);var t,s=on.array;for(s.length=0;t=a()[e++];)100===t||102===t?(n=n+7&-8,s.push(u()[n>>3]),n+=8):(n=n+3&-4,s.push(r()[n>>2]),n+=4);return s}function dn(e,n,t){un.length=n;for(var a=t>>3,r=0;r<n;r++)un[r]=u()[a+r];var s=e<0,o=s?Me[-e-1]:Vn[e];if(s){var i=on(un[1],un[2]);return o.apply(null,i)}return o.apply(null,un)}function ln(){return a().length}function cn(e){try{return E.grow(e-U.byteLength+65535>>>16),K(E.buffer),1}catch(e){}}function pn(e){e>>>=0;var n=ln();if(e<=n)return!1;if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),cn(Math.min(2147483648,$(Math.max(16777216,e,a),65536))))return!0}return!1}var mn={keyEvent:0,mouseEvent:0,wheelEvent:0,uiEvent:0,focusEvent:0,deviceOrientationEvent:0,deviceMotionEvent:0,fullscreenChangeEvent:0,pointerlockChangeEvent:0,visibilityChangeEvent:0,touchEvent:0,previousFullscreenElement:null,previousScreenX:null,previousScreenY:null,removeEventListenersRegistered:!1,removeAllEventListeners:function(){for(var e=mn.eventHandlers.length-1;e>=0;--e)mn._removeHandler(e);mn.eventHandlers=[],mn.deferredCalls=[]},registerRemoveEventListeners:function(){mn.removeEventListenersRegistered||(mn.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function a(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var r in mn.deferredCalls){var s=mn.deferredCalls[r];if(s.targetFunction==e&&a(s.argsList,t))return}mn.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),mn.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<mn.deferredCalls.length;++n)mn.deferredCalls[n].targetFunction==e&&(mn.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return mn.inEventHandler&&mn.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(mn.canPerformEventHandlerRequests())for(var e=0;e<mn.deferredCalls.length;++e){var n=mn.deferredCalls[e];mn.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},inEventHandler:0,currentEventHandler:null,eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<mn.eventHandlers.length;++t)mn.eventHandlers[t].target!=e||n&&n!=mn.eventHandlers[t].eventTypeString||mn._removeHandler(t--)},_removeHandler:function(e){var n=mn.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),mn.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++mn.inEventHandler,mn.currentEventHandler=e,mn.runDeferredCalls(),e.handlerFunc(n),mn.runDeferredCalls(),--mn.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),mn.eventHandlers.push(e),mn.registerRemoveEventListeners();else for(var t=0;t<mn.eventHandlers.length;++t)mn.eventHandlers[t].target==e.target&&mn.eventHandlers[t].eventTypeString==e.eventTypeString&&mn._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,a,s){var u=it(),o=dt(12);r()[o>>2]=t,r()[o+4>>2]=a,r()[o+8>>2]=s,ot(e,637534208,n,a,o),lt(u)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return He.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function fn(e){var n=L(e)+1,t=Qn(n);return B(e,t,n),t}function hn(e,n,t,a){var s=it(),u=dt(12),o=0;n&&(o=fn(n)),r()[u>>2]=o,r()[u+4>>2]=t,r()[u+8>>2]=a,ot(e,657457152,0,o,u),lt(s)}function bn(e,n,t,a){hn(e,n=n?P(n):"",t,a)}function _n(e){return e>2?P(e):e}var yn=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function gn(e){return e=_n(e),yn[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function wn(e){return gn(e)}function In(e,n,t){var a=wn(e);if(!a)return-4;if(a.canvasSharedPtr&&(r()[a.canvasSharedPtr>>2]=n,r()[a.canvasSharedPtr+4>>2]=t),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(bn(r()[a.canvasSharedPtr+8>>2],e,n,t),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var s=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var u=a.GLctxObject.GLctx.getParameter(2978);s=0===u[0]&&0===u[1]&&u[2]===a.width&&u[3]===a.height}return a.width=n,a.height=t,s&&a.GLctxObject.GLctx.viewport(0,0,n,t),0}function kn(e,n,t){return f?sn(2,1,e,n,t):In(e,n,t)}function vn(e,n,t){return wn(e)?In(e,n,t):kn(e,n,t)}function En(e){}function Sn(e,n){}function An(e){var n=e.getExtension("ANGLE_instanced_arrays");if(n)return e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,a,r){n.drawArraysInstancedANGLE(e,t,a,r)},e.drawElementsInstanced=function(e,t,a,r,s){n.drawElementsInstancedANGLE(e,t,a,r,s)},1}function Mn(e){var n=e.getExtension("OES_vertex_array_object");if(n)return e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)},1}function xn(e){var n=e.getExtension("WEBGL_draw_buffers");if(n)return e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)},1}var Nn={counter:1,lastError:0,buffers:[],mappedBuffers:{},programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},currentContext:null,offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,init:function(){for(var e=new Float32Array(Nn.MINI_TEMP_BUFFER_SIZE),n=0;n<Nn.MINI_TEMP_BUFFER_SIZE;n++)Nn.miniTempBufferFloatViews[n]=e.subarray(0,n+1);var t=new Int32Array(Nn.MINI_TEMP_BUFFER_SIZE);for(n=0;n<Nn.MINI_TEMP_BUFFER_SIZE;n++)Nn.miniTempBufferIntViews[n]=t.subarray(0,n+1)},recordError:function(e){Nn.lastError||(Nn.lastError=e)},getNewId:function(e){for(var n=Nn.counter++,t=e.length;t<n;t++)e[t]=null;return n},MINI_TEMP_BUFFER_SIZE:256,miniTempBufferFloatViews:[0],miniTempBufferIntViews:[0],getSource:function(e,n,t,a){for(var s="",u=0;u<n;++u){var o=a?r()[a+4*u>>2]:-1;s+=P(r()[t+4*u>>2],o<0?void 0:o)}return s},createContext:function(e,n){var t=e.getContext("webgl",n);return t?Nn.registerContext(t,n):0},registerContext:function(e,n){var t=Qn(8);r()[t+4>>2]=zn();var a={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),Nn.contexts[t]=a,("undefined"==typeof n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&Nn.initExtensions(a),t},makeContextCurrent:function(e){return Nn.currentContext=Nn.contexts[e],i.ctx=Cn=Nn.currentContext&&Nn.currentContext.GLctx,!(e&&!Cn)},getContext:function(e){return Nn.contexts[e]},deleteContext:function(e){Nn.currentContext===Nn.contexts[e]&&(Nn.currentContext=null),"object"==typeof mn&&mn.removeAllHandlersOnTarget(Nn.contexts[e].GLctx.canvas),Nn.contexts[e]&&Nn.contexts[e].GLctx.canvas&&(Nn.contexts[e].GLctx.canvas.GLctxObject=void 0),Zn(Nn.contexts[e].handle),Nn.contexts[e]=null},initExtensions:function(e){if(e||(e=Nn.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n=e.GLctx;An(n),Mn(n),xn(n),n.disjointTimerQueryExt=n.getExtension("EXT_disjoint_timer_query");var t=["OES_texture_float","OES_texture_half_float","OES_standard_derivatives","OES_vertex_array_object","WEBGL_compressed_texture_s3tc","WEBGL_depth_texture","OES_element_index_uint","EXT_texture_filter_anisotropic","EXT_frag_depth","WEBGL_draw_buffers","ANGLE_instanced_arrays","OES_texture_float_linear","OES_texture_half_float_linear","EXT_blend_minmax","EXT_shader_texture_lod","EXT_texture_norm16","WEBGL_compressed_texture_pvrtc","EXT_color_buffer_half_float","WEBGL_color_buffer_float","EXT_sRGB","WEBGL_compressed_texture_etc1","EXT_disjoint_timer_query","WEBGL_compressed_texture_etc","WEBGL_compressed_texture_astc","EXT_color_buffer_float","WEBGL_compressed_texture_s3tc_srgb","EXT_disjoint_timer_query_webgl2","WEBKIT_WEBGL_compressed_texture_pvrtc"];(n.getSupportedExtensions()||[]).forEach((function(e){-1!=t.indexOf(e)&&n.getExtension(e)}))}},populateUniformTable:function(e){for(var n=Nn.programs[e],t=Nn.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},a=t.uniforms,r=Cn.getProgramParameter(n,35718),s=0;s<r;++s){var u=Cn.getActiveUniform(n,s),o=u.name;t.maxUniformLength=Math.max(t.maxUniformLength,o.length+1),"]"==o.slice(-1)&&(o=o.slice(0,o.lastIndexOf("[")));var i=Cn.getUniformLocation(n,o);if(i){var d=Nn.getNewId(Nn.uniforms);a[o]=[u.size,d],Nn.uniforms[d]=i;for(var l=1;l<u.size;++l){var c=o+"["+l+"]";i=Cn.getUniformLocation(n,c),d=Nn.getNewId(Nn.uniforms),Nn.uniforms[d]=i}}}}},Fn=["default","low-power","high-performance"];function Tn(e,n){var t={},a=n>>2;t.alpha=!!r()[a+0],t.depth=!!r()[a+1],t.stencil=!!r()[a+2],t.antialias=!!r()[a+3],t.premultipliedAlpha=!!r()[a+4],t.preserveDrawingBuffer=!!r()[a+5];var s=r()[a+6];t.powerPreference=Fn[s],t.failIfMajorPerformanceCaveat=!!r()[a+7],t.majorVersion=r()[a+8],t.minorVersion=r()[a+9],t.enableExtensionsByDefault=r()[a+10],t.explicitSwapControl=r()[a+11],t.proxyContextToMainThread=r()[a+12],t.renderViaOffscreenBackBuffer=r()[a+13];var u=wn(e);return u?t.explicitSwapControl?-1:Nn.createContext(u,t):-4}function On(e,n){return Tn(e,n)}var Cn,Rn={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=Rn.buffers[e];0===n||10===n?((1===e?S:A)(D(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return Rn.varargs+=4,r()[Rn.varargs-4>>2]},getStr:function(e){return P(e)},get64:function(e,n){return e}};function Dn(e){return f?sn(3,1,e):0}function Pn(e,n,t,a,r){if(f)return sn(4,1,e,n,t,a,r)}function Wn(e,n,t,s){if(f)return sn(5,1,e,n,t,s);for(var u=0,o=0;o<t;o++){for(var i=r()[n+8*o>>2],d=r()[n+(8*o+4)>>2],l=0;l<d;l++)Rn.printChar(e,a()[i+l]);u+=d}return r()[s>>2]=u,0}function Bn(e){var n=He.exitHandlers.pop();e&&n()}function Ln(e,n){null===He.exitHandlers&&(He.exitHandlers=[]),He.exitHandlers.push((function(){ct(e,n)}))}function Hn(e){if(f)throw"Internal Error! _spawn_thread() can only ever be called from main application thread!";var n=He.getNewWorker();if(void 0!==n.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";He.runningWorkers.push(n);for(var t=Qn(512),a=0;a<128;++a)r()[t+4*a>>2]=0;var u=e.stackBase+e.stackSize,o=He.pthreads[e.pthread_ptr]={worker:n,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,thread:e.pthread_ptr,threadInfoStruct:e.pthread_ptr},i=o.threadInfoStruct>>2;Atomics.store(s(),i+0,0),Atomics.store(s(),i+1,0),Atomics.store(s(),i+2,0),Atomics.store(s(),i+17,e.detached),Atomics.store(s(),i+26,t),Atomics.store(s(),i+12,0),Atomics.store(s(),i+10,o.threadInfoStruct),Atomics.store(s(),i+11,42),Atomics.store(s(),i+27,e.stackSize),Atomics.store(s(),i+21,e.stackSize),Atomics.store(s(),i+20,u),Atomics.store(s(),i+29,u),Atomics.store(s(),i+30,e.detached),Atomics.store(s(),i+32,e.schedPolicy),Atomics.store(s(),i+33,e.schedPrio);var d=et()+40;Atomics.store(s(),i+44,d),n.pthread=o;var l={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,selfThreadId:e.pthread_ptr,parentThreadId:e.parent_pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};n.runPthread=function(){l.time=performance.now(),n.postMessage(l,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread)}function Un(e,n,t){if(!n&&!t)return Ce.EINVAL;if(!e)return A("pthread_getschedparam called with a null thread pointer!"),Ce.ESRCH;if(r()[e+12>>2]!==e)return A("pthread_getschedparam attempted on thread "+e+", which does not point to a valid thread, or does not exist anymore!"),Ce.ESRCH;var a=Atomics.load(s(),e+108+20>>2),u=Atomics.load(s(),e+108+24>>2);return n&&(r()[n>>2]=a),t&&(r()[t>>2]=u),0}function zn(){return 0|Ne}function jn(e,n,t,a){if("undefined"==typeof SharedArrayBuffer)return A("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return A("pthread_create called with a null thread pointer!"),28;var u=[];if(f&&0===u.length)return st(687865856,e,n,t,a);var o=0,i=0,d=0,l=0,c=0;if(n)if(o=r()[n>>2],o+=81920,i=r()[n+8>>2],d=0!==r()[n+12>>2],0===r()[n+16>>2]){var p=r()[n+20>>2],m=r()[n+24>>2];Un(He.currentProxiedOperationCallerThread?He.currentProxiedOperationCallerThread:zn(),n+20,n+24),l=r()[n+20>>2],c=r()[n+24>>2],r()[n+20>>2]=p,r()[n+24>>2]=m}else l=r()[n+20>>2],c=r()[n+24>>2];else o=2097152;var h=0==i;h?i=nt(16,o):T((i-=o)>0);for(var b=Qn(232),_=0;_<58;++_)s()[(b>>2)+_]=0;r()[e>>2]=b,r()[b+12>>2]=b;var y=b+156;r()[y>>2]=y;var g={stackBase:i,stackSize:o,allocatedOwnStack:h,schedPolicy:l,schedPrio:c,detached:d,startRoutine:t,pthread_ptr:b,parent_pthread_ptr:zn(),arg:a,transferList:u};return f?(g.cmd="spawnThread",postMessage(g,u)):Hn(g),0}function Gn(e){return(e=+e)>=0?+ce(e+.5):+le(e-.5)}function qn(e){if(f)return sn(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:case 79:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return qe(28),-1}i._pthread_self=zn,f?He.initWorker():He.initMainThreadBlock(),Nn.init();var Vn=[null,Ye,kn,Dn,Pn,Wn,qn],Xn={e:je,r:Ge,w:Qe,a:Ze,l:Je,d:en,c:De,h:Le,g:nn,x:tn,q:an,B:rn,t:dn,A:pn,u:vn,k:En,s:Sn,v:On,m:Dn,o:Pn,i:Wn,p:xe,memory:E||i.wasmMemory,y:Bn,z:Ln,j:jn,b:zn,f:Gn,n:qn,table:x},$n=Ae();i.asm=$n;var Kn,Yn=i.___wasm_call_ctors=function(){return(Yn=i.___wasm_call_ctors=i.asm.C).apply(null,arguments)},Qn=(i._init=function(){return(i._init=i.asm.D).apply(null,arguments)},i._register_tensor=function(){return(i._register_tensor=i.asm.E).apply(null,arguments)},i._dispose_data=function(){return(i._dispose_data=i.asm.F).apply(null,arguments)},i._dispose=function(){return(i._dispose=i.asm.G).apply(null,arguments)},i._Abs=function(){return(i._Abs=i.asm.H).apply(null,arguments)},i._Add=function(){return(i._Add=i.asm.I).apply(null,arguments)},i._AddN=function(){return(i._AddN=i.asm.J).apply(null,arguments)},i._ArgMax=function(){return(i._ArgMax=i.asm.K).apply(null,arguments)},i._AvgPool=function(){return(i._AvgPool=i.asm.L).apply(null,arguments)},i._BatchMatMul=function(){return(i._BatchMatMul=i.asm.M).apply(null,arguments)},i._Ceil=function(){return(i._Ceil=i.asm.N).apply(null,arguments)},i._ClipByValue=function(){return(i._ClipByValue=i.asm.O).apply(null,arguments)},i._Conv2D=function(){return(i._Conv2D=i.asm.P).apply(null,arguments)},i._Conv2DBackpropInput=function(){return(i._Conv2DBackpropInput=i.asm.Q).apply(null,arguments)},i._Cos=function(){return(i._Cos=i.asm.R).apply(null,arguments)},i._CropAndResize=function(){return(i._CropAndResize=i.asm.S).apply(null,arguments)},i._Cumsum=function(){return(i._Cumsum=i.asm.T).apply(null,arguments)},i._DepthToSpace=function(){return(i._DepthToSpace=i.asm.U).apply(null,arguments)},i._DepthwiseConv2dNative=function(){return(i._DepthwiseConv2dNative=i.asm.V).apply(null,arguments)},i._Equal=function(){return(i._Equal=i.asm.W).apply(null,arguments)},i._Exp=function(){return(i._Exp=i.asm.X).apply(null,arguments)},i._FlipLeftRight=function(){return(i._FlipLeftRight=i.asm.Y).apply(null,arguments)},i._Floor=function(){return(i._Floor=i.asm.Z).apply(null,arguments)},i._FloorDiv=function(){return(i._FloorDiv=i.asm._).apply(null,arguments)},i._FusedBatchNorm=function(){return(i._FusedBatchNorm=i.asm.$).apply(null,arguments)},i._FusedConv2D=function(){return(i._FusedConv2D=i.asm.aa).apply(null,arguments)},i._FusedDepthwiseConv2D=function(){return(i._FusedDepthwiseConv2D=i.asm.ba).apply(null,arguments)},i._Gather=function(){return(i._Gather=i.asm.ca).apply(null,arguments)},i._GatherNd=function(){return(i._GatherNd=i.asm.da).apply(null,arguments)},i._Greater=function(){return(i._Greater=i.asm.ea).apply(null,arguments)},i._GreaterEqual=function(){return(i._GreaterEqual=i.asm.fa).apply(null,arguments)},i._LeakyRelu=function(){return(i._LeakyRelu=i.asm.ga).apply(null,arguments)},i._Less=function(){return(i._Less=i.asm.ha).apply(null,arguments)},i._LessEqual=function(){return(i._LessEqual=i.asm.ia).apply(null,arguments)},i._Log=function(){return(i._Log=i.asm.ja).apply(null,arguments)},i._LogicalAnd=function(){return(i._LogicalAnd=i.asm.ka).apply(null,arguments)},i._Max=function(){return(i._Max=i.asm.la).apply(null,arguments)},i._MaxPool=function(){return(i._MaxPool=i.asm.ma).apply(null,arguments)},i._Maximum=function(){return(i._Maximum=i.asm.na).apply(null,arguments)},i._Mean=function(){return(i._Mean=i.asm.oa).apply(null,arguments)},i._Min=function(){return(i._Min=i.asm.pa).apply(null,arguments)},i._Minimum=function(){return(i._Minimum=i.asm.qa).apply(null,arguments)},i._Multiply=function(){return(i._Multiply=i.asm.ra).apply(null,arguments)},i._Neg=function(){return(i._Neg=i.asm.sa).apply(null,arguments)},i._NonMaxSuppressionV3=function(){return(i._NonMaxSuppressionV3=i.asm.ta).apply(null,arguments)},i._NonMaxSuppressionV4=function(){return(i._NonMaxSuppressionV4=i.asm.ua).apply(null,arguments)},i._NonMaxSuppressionV5=function(){return(i._NonMaxSuppressionV5=i.asm.va).apply(null,arguments)},i._NotEqual=function(){return(i._NotEqual=i.asm.wa).apply(null,arguments)},i._OneHot=function(){return(i._OneHot=i.asm.xa).apply(null,arguments)},i._PadV2=function(){return(i._PadV2=i.asm.ya).apply(null,arguments)},i._Pow=function(){return(i._Pow=i.asm.za).apply(null,arguments)},i._Prelu=function(){return(i._Prelu=i.asm.Aa).apply(null,arguments)},i._Prod=function(){return(i._Prod=i.asm.Ba).apply(null,arguments)},i._RealDiv=function(){return(i._RealDiv=i.asm.Ca).apply(null,arguments)},i._Relu=function(){return(i._Relu=i.asm.Da).apply(null,arguments)},i._Relu6=function(){return(i._Relu6=i.asm.Ea).apply(null,arguments)},i._ResizeBilinear=function(){return(i._ResizeBilinear=i.asm.Fa).apply(null,arguments)},i._Reverse=function(){return(i._Reverse=i.asm.Ga).apply(null,arguments)},i._RotateWithOffset=function(){return(i._RotateWithOffset=i.asm.Ha).apply(null,arguments)},i._Round=function(){return(i._Round=i.asm.Ia).apply(null,arguments)},i._Rsqrt=function(){return(i._Rsqrt=i.asm.Ja).apply(null,arguments)},i._ScatterNd=function(){return(i._ScatterNd=i.asm.Ka).apply(null,arguments)},i._SelectV2=function(){return(i._SelectV2=i.asm.La).apply(null,arguments)},i._Sigmoid=function(){return(i._Sigmoid=i.asm.Ma).apply(null,arguments)},i._Sin=function(){return(i._Sin=i.asm.Na).apply(null,arguments)},i._Softmax=function(){return(i._Softmax=i.asm.Oa).apply(null,arguments)},i._Sqrt=function(){return(i._Sqrt=i.asm.Pa).apply(null,arguments)},i._Square=function(){return(i._Square=i.asm.Qa).apply(null,arguments)},i._SquaredDifference=function(){return(i._SquaredDifference=i.asm.Ra).apply(null,arguments)},i._Step=function(){return(i._Step=i.asm.Sa).apply(null,arguments)},i._StridedSlice=function(){return(i._StridedSlice=i.asm.Ta).apply(null,arguments)},i._Sub=function(){return(i._Sub=i.asm.Ua).apply(null,arguments)},i._Sum=function(){return(i._Sum=i.asm.Va).apply(null,arguments)},i._Tanh=function(){return(i._Tanh=i.asm.Wa).apply(null,arguments)},i._Tile=function(){return(i._Tile=i.asm.Xa).apply(null,arguments)},i._TopK=function(){return(i._TopK=i.asm.Ya).apply(null,arguments)},i._Transpose=function(){return(i._Transpose=i.asm.Za).apply(null,arguments)},i.__FusedMatMul=function(){return(i.__FusedMatMul=i.asm._a).apply(null,arguments)},i._malloc=function(){return(Qn=i._malloc=i.asm.$a).apply(null,arguments)}),Zn=i._free=function(){return(Zn=i._free=i.asm.ab).apply(null,arguments)},Jn=i.___errno_location=function(){return(Jn=i.___errno_location=i.asm.bb).apply(null,arguments)},et=i._emscripten_get_global_libc=function(){return(et=i._emscripten_get_global_libc=i.asm.cb).apply(null,arguments)},nt=(i.___em_js__initPthreadsJS=function(){return(i.___em_js__initPthreadsJS=i.asm.db).apply(null,arguments)},i._memalign=function(){return(nt=i._memalign=i.asm.eb).apply(null,arguments)}),tt=i.___pthread_tsd_run_dtors=function(){return(tt=i.___pthread_tsd_run_dtors=i.asm.fb).apply(null,arguments)},at=i._emscripten_main_thread_process_queued_calls=function(){return(at=i._emscripten_main_thread_process_queued_calls=i.asm.gb).apply(null,arguments)},rt=(i._emscripten_current_thread_process_queued_calls=function(){return(i._emscripten_current_thread_process_queued_calls=i.asm.hb).apply(null,arguments)},i._emscripten_register_main_browser_thread_id=function(){return(rt=i._emscripten_register_main_browser_thread_id=i.asm.ib).apply(null,arguments)}),st=(i._emscripten_main_browser_thread_id=function(){return(i._emscripten_main_browser_thread_id=i.asm.jb).apply(null,arguments)},i._emscripten_async_run_in_main_thread=function(){return(i._emscripten_async_run_in_main_thread=i.asm.kb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread=function(){return(i._emscripten_sync_run_in_main_thread=i.asm.lb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_0=function(){return(i._emscripten_sync_run_in_main_thread_0=i.asm.mb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_1=function(){return(i._emscripten_sync_run_in_main_thread_1=i.asm.nb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_2=function(){return(i._emscripten_sync_run_in_main_thread_2=i.asm.ob).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_xprintf_varargs=function(){return(i._emscripten_sync_run_in_main_thread_xprintf_varargs=i.asm.pb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_3=function(){return(i._emscripten_sync_run_in_main_thread_3=i.asm.qb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_4=function(){return(st=i._emscripten_sync_run_in_main_thread_4=i.asm.rb).apply(null,arguments)}),ut=(i._emscripten_sync_run_in_main_thread_5=function(){return(i._emscripten_sync_run_in_main_thread_5=i.asm.sb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_6=function(){return(i._emscripten_sync_run_in_main_thread_6=i.asm.tb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_7=function(){return(i._emscripten_sync_run_in_main_thread_7=i.asm.ub).apply(null,arguments)},i._emscripten_run_in_main_runtime_thread_js=function(){return(ut=i._emscripten_run_in_main_runtime_thread_js=i.asm.vb).apply(null,arguments)}),ot=i._emscripten_async_queue_on_thread_=function(){return(ot=i._emscripten_async_queue_on_thread_=i.asm.wb).apply(null,arguments)},it=(i._emscripten_tls_init=function(){return(i._emscripten_tls_init=i.asm.xb).apply(null,arguments)},i.stackSave=function(){return(it=i.stackSave=i.asm.yb).apply(null,arguments)}),dt=i.stackAlloc=function(){return(dt=i.stackAlloc=i.asm.zb).apply(null,arguments)},lt=i.stackRestore=function(){return(lt=i.stackRestore=i.asm.Ab).apply(null,arguments)},ct=i.dynCall_vi=function(){return(ct=i.dynCall_vi=i.asm.Bb).apply(null,arguments)};function pt(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function mt(e){function n(){Kn||(Kn=!0,i.calledRun=!0,F||(se(),ue(),i.onRuntimeInitialized&&i.onRuntimeInitialized(),oe()))}pe>0||(re(),pe>0||(i.setStatus?(i.setStatus("Running..."),setTimeout((function(){setTimeout((function(){i.setStatus("")}),1),n()}),1)):n()))}if(i.dynCall_v=function(){return(i.dynCall_v=i.asm.Cb).apply(null,arguments)},i.dynCall_ii=function(){return(i.dynCall_ii=i.asm.Db).apply(null,arguments)},i.asm=$n,i.cwrap=R,i.PThread=He,i.PThread=He,i._pthread_self=zn,i.wasmMemory=E,i.ExitStatus=pt,i.then=function(e){if(Kn)e(i);else{var n=i.onRuntimeInitialized;i.onRuntimeInitialized=function(){n&&n(),e(i)}}return i},fe=function e(){Kn||mt(),Kn||(fe=e)},i.run=mt,i.preInit)for("function"==typeof i.preInit&&(i.preInit=[i.preInit]);i.preInit.length>0;)i.preInit.pop()();return f||(v=!0),f||mt(),e});e.exports=a}));var ya=ba((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){var n,a="undefined"!=typeof(e=e||{})?e:{},r={};for(n in a)a.hasOwnProperty(n)&&(r[n]=a[n]);var s=function(e,n){throw n},u=!1,o=!1,i=!1,d=!1;u="object"==typeof window,o="function"==typeof importScripts,i="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,d=!u&&!i&&!o;var l,c,p,m,f="";function h(e){return a.locateFile?a.locateFile(e,f):f+e}i?(f=o?Ve.dirname(f)+"/":__dirname+"/",l=function(e,n){return p||(p=Xe),m||(m=Ve),e=m.normalize(e),p.readFileSync(e,n?null:"utf8")},c=function(e){var n=l(e,!0);return n.buffer||(n=new Uint8Array(n)),k(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ee))throw e})),process.on("unhandledRejection",ee),s=function(e){process.exit(e)},a.inspect=function(){return"[Emscripten Module object]"}):d?("undefined"!=typeof read&&(l=function(e){return read(e)}),c=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(k("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(s=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(u||o)&&(o?f=self.location.href:document.currentScript&&(f=document.currentScript.src),t&&(f=t),f=0!==f.indexOf("blob:")?f.substr(0,f.lastIndexOf("/")+1):"",l=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var b,_,y,g=a.print||console.log.bind(console),w=a.printErr||console.warn.bind(console);for(n in r)r.hasOwnProperty(n)&&(a[n]=r[n]);r=null,a.arguments&&a.arguments,a.thisProgram&&a.thisProgram,a.quit&&(s=a.quit),a.wasmBinary&&(b=a.wasmBinary),a.noExitRuntime&&(_=a.noExitRuntime),"object"!=typeof WebAssembly&&w("no native wasm support detected"),new WebAssembly.Table({initial:153,maximum:153,element:"anyfunc"});var I=!1;function k(e,n){e||ee("Assertion failed: "+n)}function v(e){var n=a["_"+e];return k(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function E(e,n,t,a,r){var s={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);C(e,n=ke(t),t)}return n},array:function(e){var n=ke(e.length);return R(e,n),n}},u=v(e),o=[],i=0;if(a)for(var d=0;d<a.length;d++){var l=s[t[d]];l?(0===i&&(i=Ie()),o[d]=l(a[d])):o[d]=a[d]}var c=u.apply(null,o);return c=function(e){return"string"===n?T(e):"boolean"===n?Boolean(e):e}(c),0!==i&&ve(i),c}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?v(e):function(){return E(e,n,t,arguments)}}var A,M,x,N="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function F(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&N)return N.decode(e.subarray(n,r));for(var s="";n<r;){var u=e[n++];if(128&u){var o=63&e[n++];if(192!=(224&u)){var i=63&e[n++];if((u=224==(240&u)?(15&u)<<12|o<<6|i:(7&u)<<18|o<<12|i<<6|63&e[n++])<65536)s+=String.fromCharCode(u);else{var d=u-65536;s+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else s+=String.fromCharCode((31&u)<<6|o)}else s+=String.fromCharCode(u)}return s}function T(e,n){return e?F(M,e,n):""}function O(e,n,t,a){if(!(a>0))return 0;for(var r=t,s=t+a-1,u=0;u<e.length;++u){var o=e.charCodeAt(u);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++u)),o<=127){if(t>=s)break;n[t++]=o}else if(o<=2047){if(t+1>=s)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=s)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=s)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-r}function C(e,n,t){return O(e,M,n,t)}function R(e,n){A.set(e,n)}function D(e){a.HEAP8=A=new Int8Array(e),a.HEAP16=new Int16Array(e),a.HEAP32=x=new Int32Array(e),a.HEAPU8=M=new Uint8Array(e),a.HEAPU16=new Uint16Array(e),a.HEAPU32=new Uint32Array(e),a.HEAPF32=new Float32Array(e),a.HEAPF64=new Float64Array(e)}function P(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?a.dynCall_v(t):a.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(a)}}a.INITIAL_MEMORY;var W=[],B=[],L=[],H=[];function U(){if(a.preRun)for("function"==typeof a.preRun&&(a.preRun=[a.preRun]);a.preRun.length;)q(a.preRun.shift());P(W)}function z(){P(B)}function j(){P(L)}function G(){if(a.postRun)for("function"==typeof a.postRun&&(a.postRun=[a.postRun]);a.postRun.length;)V(a.postRun.shift());P(H)}function q(e){W.unshift(e)}function V(e){H.unshift(e)}var X=Math.ceil,$=Math.floor,K=0,Y=null,Q=null;function Z(e){K++,a.monitorRunDependencies&&a.monitorRunDependencies(K)}function J(e){if(K--,a.monitorRunDependencies&&a.monitorRunDependencies(K),0==K&&(null!==Y&&(clearInterval(Y),Y=null),Q)){var n=Q;Q=null,n()}}function ee(e){throw a.onAbort&&a.onAbort(e),g(e+=""),w(e),I=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ne(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}a.preloadedImages={},a.preloadedAudios={};var te="data:application/octet-stream;base64,";function ae(e){return ne(e,te)}var re="file://";function se(e){return ne(e,re)}var ue="tfjs-backend-wasm.wasm";function oe(){try{if(b)return new Uint8Array(b);if(c)return c(ue);throw"both async and sync fetching of the wasm failed"}catch(e){ee(e)}}function ie(){return b||!u&&!o||"function"!=typeof fetch||se(ue)?new Promise((function(e,n){e(oe())})):fetch(ue,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+ue+"'";return e.arrayBuffer()})).catch((function(){return oe()}))}function de(){var e={env:ye,wasi_snapshot_preview1:ye};function n(e,n){var t=e.exports;a.asm=t,D((y=t.memory).buffer),J()}function t(e){n(e.instance)}function r(n){return ie().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){w("failed to asynchronously prepare wasm: "+e),ee(e)}))}if(Z(),a.instantiateWasm)try{return a.instantiateWasm(e,n)}catch(e){return w("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(b||"function"!=typeof WebAssembly.instantiateStreaming||ae(ue)||se(ue)||"function"!=typeof fetch)return r(t);fetch(ue,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){w("wasm streaming compile failed: "+e),w("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}function le(e){D(y.buffer)}ae(ue)||(ue=h(ue)),B.push();var ce={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ce.buffers[e];0===n||10===n?((1===e?g:w)(F(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ce.varargs+=4,x[ce.varargs-4>>2]},getStr:function(e){return T(e)},get64:function(e,n){return e}};function pe(e){return 0}function me(e,n,t,a,r){}function fe(e,n,t,a){for(var r=0,s=0;s<t;s++){for(var u=x[n+8*s>>2],o=x[n+(8*s+4)>>2],i=0;i<o;i++)ce.printChar(e,M[u+i]);r+=o}return x[a>>2]=r,0}function he(e){Me(e)}function be(e){he(e)}function _e(e){return(e=+e)>=0?+$(e+.5):+X(e-.5)}var ye={emscripten_notify_memory_growth:le,fd_close:pe,fd_seek:me,fd_write:fe,proc_exit:be,roundf:_e},ge=de();a.asm=ge,a._init=function(){return(a._init=a.asm.init).apply(null,arguments)},a._register_tensor=function(){return(a._register_tensor=a.asm.register_tensor).apply(null,arguments)},a._dispose_data=function(){return(a._dispose_data=a.asm.dispose_data).apply(null,arguments)},a._dispose=function(){return(a._dispose=a.asm.dispose).apply(null,arguments)},a._Abs=function(){return(a._Abs=a.asm.Abs).apply(null,arguments)},a._Add=function(){return(a._Add=a.asm.Add).apply(null,arguments)},a._AddN=function(){return(a._AddN=a.asm.AddN).apply(null,arguments)},a._ArgMax=function(){return(a._ArgMax=a.asm.ArgMax).apply(null,arguments)},a._AvgPool=function(){return(a._AvgPool=a.asm.AvgPool).apply(null,arguments)},a._BatchMatMul=function(){return(a._BatchMatMul=a.asm.BatchMatMul).apply(null,arguments)},a._Ceil=function(){return(a._Ceil=a.asm.Ceil).apply(null,arguments)},a._ClipByValue=function(){return(a._ClipByValue=a.asm.ClipByValue).apply(null,arguments)},a._Conv2D=function(){return(a._Conv2D=a.asm.Conv2D).apply(null,arguments)},a._Conv2DBackpropInput=function(){return(a._Conv2DBackpropInput=a.asm.Conv2DBackpropInput).apply(null,arguments)},a._Cos=function(){return(a._Cos=a.asm.Cos).apply(null,arguments)},a._CropAndResize=function(){return(a._CropAndResize=a.asm.CropAndResize).apply(null,arguments)},a._Cumsum=function(){return(a._Cumsum=a.asm.Cumsum).apply(null,arguments)},a._DepthToSpace=function(){return(a._DepthToSpace=a.asm.DepthToSpace).apply(null,arguments)},a._DepthwiseConv2dNative=function(){return(a._DepthwiseConv2dNative=a.asm.DepthwiseConv2dNative).apply(null,arguments)},a._Equal=function(){return(a._Equal=a.asm.Equal).apply(null,arguments)},a._Exp=function(){return(a._Exp=a.asm.Exp).apply(null,arguments)},a._FlipLeftRight=function(){return(a._FlipLeftRight=a.asm.FlipLeftRight).apply(null,arguments)},a._Floor=function(){return(a._Floor=a.asm.Floor).apply(null,arguments)},a._FloorDiv=function(){return(a._FloorDiv=a.asm.FloorDiv).apply(null,arguments)},a._FusedBatchNorm=function(){return(a._FusedBatchNorm=a.asm.FusedBatchNorm).apply(null,arguments)},a._FusedConv2D=function(){return(a._FusedConv2D=a.asm.FusedConv2D).apply(null,arguments)},a._FusedDepthwiseConv2D=function(){return(a._FusedDepthwiseConv2D=a.asm.FusedDepthwiseConv2D).apply(null,arguments)},a._Gather=function(){return(a._Gather=a.asm.Gather).apply(null,arguments)},a._GatherNd=function(){return(a._GatherNd=a.asm.GatherNd).apply(null,arguments)},a._Greater=function(){return(a._Greater=a.asm.Greater).apply(null,arguments)},a._GreaterEqual=function(){return(a._GreaterEqual=a.asm.GreaterEqual).apply(null,arguments)},a._LeakyRelu=function(){return(a._LeakyRelu=a.asm.LeakyRelu).apply(null,arguments)},a._Less=function(){return(a._Less=a.asm.Less).apply(null,arguments)},a._LessEqual=function(){return(a._LessEqual=a.asm.LessEqual).apply(null,arguments)},a._Log=function(){return(a._Log=a.asm.Log).apply(null,arguments)},a._LogicalAnd=function(){return(a._LogicalAnd=a.asm.LogicalAnd).apply(null,arguments)},a._Max=function(){return(a._Max=a.asm.Max).apply(null,arguments)},a._MaxPool=function(){return(a._MaxPool=a.asm.MaxPool).apply(null,arguments)},a._Maximum=function(){return(a._Maximum=a.asm.Maximum).apply(null,arguments)},a._Mean=function(){return(a._Mean=a.asm.Mean).apply(null,arguments)},a._Min=function(){return(a._Min=a.asm.Min).apply(null,arguments)},a._Minimum=function(){return(a._Minimum=a.asm.Minimum).apply(null,arguments)},a._Multiply=function(){return(a._Multiply=a.asm.Multiply).apply(null,arguments)},a._Neg=function(){return(a._Neg=a.asm.Neg).apply(null,arguments)},a._NonMaxSuppressionV3=function(){return(a._NonMaxSuppressionV3=a.asm.NonMaxSuppressionV3).apply(null,arguments)},a._NonMaxSuppressionV4=function(){return(a._NonMaxSuppressionV4=a.asm.NonMaxSuppressionV4).apply(null,arguments)},a._NonMaxSuppressionV5=function(){return(a._NonMaxSuppressionV5=a.asm.NonMaxSuppressionV5).apply(null,arguments)},a._NotEqual=function(){return(a._NotEqual=a.asm.NotEqual).apply(null,arguments)},a._OneHot=function(){return(a._OneHot=a.asm.OneHot).apply(null,arguments)},a._PadV2=function(){return(a._PadV2=a.asm.PadV2).apply(null,arguments)},a._Pow=function(){return(a._Pow=a.asm.Pow).apply(null,arguments)},a._Prelu=function(){return(a._Prelu=a.asm.Prelu).apply(null,arguments)},a._Prod=function(){return(a._Prod=a.asm.Prod).apply(null,arguments)},a._RealDiv=function(){return(a._RealDiv=a.asm.RealDiv).apply(null,arguments)},a._Relu=function(){return(a._Relu=a.asm.Relu).apply(null,arguments)},a._Relu6=function(){return(a._Relu6=a.asm.Relu6).apply(null,arguments)},a._ResizeBilinear=function(){return(a._ResizeBilinear=a.asm.ResizeBilinear).apply(null,arguments)},a._Reverse=function(){return(a._Reverse=a.asm.Reverse).apply(null,arguments)},a._RotateWithOffset=function(){return(a._RotateWithOffset=a.asm.RotateWithOffset).apply(null,arguments)},a._Round=function(){return(a._Round=a.asm.Round).apply(null,arguments)},a._Rsqrt=function(){return(a._Rsqrt=a.asm.Rsqrt).apply(null,arguments)},a._ScatterNd=function(){return(a._ScatterNd=a.asm.ScatterNd).apply(null,arguments)},a._SelectV2=function(){return(a._SelectV2=a.asm.SelectV2).apply(null,arguments)},a._Sigmoid=function(){return(a._Sigmoid=a.asm.Sigmoid).apply(null,arguments)},a._Sin=function(){return(a._Sin=a.asm.Sin).apply(null,arguments)},a._Softmax=function(){return(a._Softmax=a.asm.Softmax).apply(null,arguments)},a._Sqrt=function(){return(a._Sqrt=a.asm.Sqrt).apply(null,arguments)},a._Square=function(){return(a._Square=a.asm.Square).apply(null,arguments)},a._SquaredDifference=function(){return(a._SquaredDifference=a.asm.SquaredDifference).apply(null,arguments)},a._Step=function(){return(a._Step=a.asm.Step).apply(null,arguments)},a._StridedSlice=function(){return(a._StridedSlice=a.asm.StridedSlice).apply(null,arguments)},a._Sub=function(){return(a._Sub=a.asm.Sub).apply(null,arguments)},a._Sum=function(){return(a._Sum=a.asm.Sum).apply(null,arguments)},a._Tanh=function(){return(a._Tanh=a.asm.Tanh).apply(null,arguments)},a._Tile=function(){return(a._Tile=a.asm.Tile).apply(null,arguments)},a._TopK=function(){return(a._TopK=a.asm.TopK).apply(null,arguments)},a._Transpose=function(){return(a._Transpose=a.asm.Transpose).apply(null,arguments)},a.__FusedMatMul=function(){return(a.__FusedMatMul=a.asm._FusedMatMul).apply(null,arguments)},a._malloc=function(){return(a._malloc=a.asm.malloc).apply(null,arguments)},a._free=function(){return(a._free=a.asm.free).apply(null,arguments)},a.__start=function(){return(a.__start=a.asm._start).apply(null,arguments)};var we,Ie=a.stackSave=function(){return(Ie=a.stackSave=a.asm.stackSave).apply(null,arguments)},ke=a.stackAlloc=function(){return(ke=a.stackAlloc=a.asm.stackAlloc).apply(null,arguments)},ve=a.stackRestore=function(){return(ve=a.stackRestore=a.asm.stackRestore).apply(null,arguments)};function Ee(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Se(e){var n=a.__start;try{n(),Me(0,!0)}catch(e){if(e instanceof Ee)return;if("unwind"==e)return void(_=!0);var t=e;e&&"object"==typeof e&&e.stack&&(t=[e,e.stack]),w("exception thrown: "+t),s(1,e)}}function Ae(e){function n(){we||(we=!0,a.calledRun=!0,I||(z(),j(),a.onRuntimeInitialized&&a.onRuntimeInitialized(),xe&&Se(),G()))}K>0||(U(),K>0||(a.setStatus?(a.setStatus("Running..."),setTimeout((function(){setTimeout((function(){a.setStatus("")}),1),n()}),1)):n()))}function Me(e,n){n&&_&&0===e||(_||(I=!0,a.onExit&&a.onExit(e)),s(e,new Ee(e)))}if(a.asm=ge,a.cwrap=S,a.then=function(e){if(we)e(a);else{var n=a.onRuntimeInitialized;a.onRuntimeInitialized=function(){n&&n(),e(a)}}return a},Q=function e(){we||Ae(),we||(Q=e)},a.run=Ae,a.preInit)for("function"==typeof a.preInit&&(a.preInit=[a.preInit]);a.preInit.length>0;)a.preInit.pop()();var xe=!0;return a.noInitialRun&&(xe=!1),_=!0,Ae(),e});e.exports=a}));class ga extends Ue{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new ze(this,je())}write(e,n,t){const a={id:this.dataIdNextNumber++};return this.move(a,e,n,t,1),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const t=n.now();e();return{kernelMs:n.now()-t}}move(e,t,a,r,s){const u=this.dataIdNextNumber++;if("string"===r){const n=t;return void this.dataIdMap.set(e,{id:u,stringBytes:n,shape:a,dtype:r,memoryOffset:null,refCount:s})}const o=n.sizeFromShape(a),i=o*n.bytesPerElement(r),d=this.wasm._malloc(i);this.dataIdMap.set(e,{id:u,memoryOffset:d,shape:a,dtype:r,refCount:s}),this.wasm.tfjs.registerTensor(u,o,d),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,i),d)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:t,dtype:a,shape:r,stringBytes:s}=this.dataIdMap.get(e);if("string"===a)return s;return function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(t,t+n.sizeFromShape(r)*n.bytesPerElement(a)).buffer,a)}disposeData(e,n=!1){if(this.dataIdMap.has(e)){const t=this.dataIdMap.get(e);if(t.refCount--,!n&&t.refCount>0)return!1;this.wasm._free(t.memoryOffset),this.wasm.tfjs.disposeData(t.id),this.dataIdMap.delete(e)}return!0}refCount(e){if(this.dataIdMap.has(e)){return this.dataIdMap.get(e).refCount}return 0}incRef(e){const n=this.dataIdMap.get(e);null!=n&&n.refCount++}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,t,a){let r;if(null==a)r=this.write(null,e,t);else{const s=this.dataIdNextNumber++;r={id:s},this.dataIdMap.set(r,{id:s,memoryOffset:a,shape:e,dtype:t,refCount:1});const u=n.sizeFromShape(e);this.wasm.tfjs.registerTensor(s,u,a)}return{dataId:r,shape:e,dtype:t}}typedArrayFromHeap({shape:e,dtype:t,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:s}=this.dataIdMap.get(a),u=n.sizeFromShape(e);switch(t){case"float32":return new Float32Array(r,s,u);case"int32":return new Int32Array(r,s,u);case"bool":return new Uint8Array(r,s,u);default:throw new Error("Unknown dtype "+t)}}}function wa(e,n,t){if(null!=va)return va;let a="tfjs-backend-wasm.wasm";return e&&n?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Sa&&null!=Sa[a]?Sa[a]:t+a}async function Ia(){const[e,t]=await Promise.all([He().getAsync("WASM_HAS_SIMD_SUPPORT"),He().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise((a,r)=>{const s={};let u;s.locateFile=(n,a)=>{if(n.endsWith(".worker.js")){const e=new Blob(['var threadInfoStruct=0;var selfThreadId=0;var parentThreadId=0;var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:selfThreadId})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["DYNAMIC_BASE"]=e.data.DYNAMIC_BASE;Module["DYNAMICTOP_PTR"]=e.data.DYNAMICTOP_PTR;Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}Module=WasmBackendModuleThreadedSimd(Module);postMessage({"cmd":"loaded"})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;threadInfoStruct=e.data.threadInfoStruct;Module["__register_pthread_ptr"](threadInfoStruct,0,0);selfThreadId=e.data.selfThreadId;parentThreadId=e.data.parentThreadId;var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["dynCall_ii"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){Atomics.store(Module["HEAPU32"],threadInfoStruct+4>>2,ex instanceof Module["ExitStatus"]?ex.status:-2);Atomics.store(Module["HEAPU32"],threadInfoStruct+0>>2,1);Module["_emscripten_futex_wake"](threadInfoStruct+0,2147483647);if(!(ex instanceof Module["ExitStatus"]))throw ex}}}else if(e.data.cmd==="cancel"){if(threadInfoStruct){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(threadInfoStruct){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}'],{type:"application/javascript"});return URL.createObjectURL(e)}return n.endsWith(".wasm")?wa(e,t,null!=Ea?Ea:a):a+n},Ma&&(s.instantiateWasm=function(e){return(t,a)=>(n.fetch(e,{credentials:"same-origin"}).then(n=>{n.ok||t.env.a(`failed to load wasm binary file at '${e}'`),n.arrayBuffer().then(e=>{WebAssembly.instantiate(e,t).then(e=>{a(e.instance)})})}),{})}(wa(e,t,null!=Ea?Ea:""))),t&&e&&null==va?(u=_a(s),u.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+_a.toString()],{type:"text/javascript"})):u=ya(s);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};let o=!1;u.onRuntimeInitialized=()=>{o=!0,Aa=!1,a({wasm:u})},u.onAbort=()=>{if(o)return;if(Aa)return;Aa=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}const ka=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let va=null,Ea=null,Sa={},Aa=!1,Ma=!1;function xa(e,n=!1){if(Ge("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Aa)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");va=e,Ma=n}function Na(e,n=!1){if(Aa)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Ea=e;else{Sa=e;const n=ka.filter(e=>null==Sa[e]);if(n.length>0)throw new Error("There were no entries found for the following binaries: "+n.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}Ma=n}const Fa="3.1.0";qe("wasm",async()=>{const{wasm:e}=await Ia();return new ga(e)},2);export{ga as BackendWasm,xa as setWasmPath,Na as setWasmPaths,Fa as version_wasm};
//# sourceMappingURL=tf-backend-wasm.fesm.min.js.map
