/**
 * @license
 * Copyright 2021 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?n(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs"),require("worker_threads"),require("perf_hooks")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs","worker_threads","perf_hooks"],n):n(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs,e.worker_threads,e.perf_hooks)}(this,(function(e,n,t,a,r,u){"use strict";var i,s,o;t=t&&t.hasOwnProperty("default")?t.default:t,a=a&&a.hasOwnProperty("default")?a.default:a,r=r&&r.hasOwnProperty("default")?r.default:r,u=u&&u.hasOwnProperty("default")?u.default:u,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(i||(i={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu"}(s||(s={}));var l={kernelName:n._FusedMatMul,backendName:"wasm",setupFunc:function(e){o=e.wasm.cwrap(n._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.a,u=n.b,i=n.bias,l=n.preluActivationWeights;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");var d=a.transposeA,c=a.transposeB,p=a.activation,f=a.leakyreluAlpha,m=t.dataIdMap.get(r.dataId).id,h=t.dataIdMap.get(u.dataId).id,b=0;if(null!=i){var _=t.dataIdMap.get(i.dataId);if(1!==_.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got rank "+_.shape.length+".");b=_.id}var y=null==l?0:t.dataIdMap.get(l.dataId).id,v=s[p];if(null==v)throw new Error(p+" activation not yet supported for FusedConv2D in the wasm backend.");var g=d?r.shape[2]:r.shape[1],w=c?u.shape[1]:u.shape[2],k=r.shape[0],I=t.makeOutput([k,g,w],r.dtype),S=t.dataIdMap.get(I.dataId).id,E=new Uint8Array(new Int32Array(r.shape).buffer),A=new Uint8Array(new Int32Array(u.shape).buffer);return o(m,E,r.shape.length,h,A,u.shape.length,d,c,v,b,y,f||0,S),I}};function d(e){var t;return{kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){var a=e.backend,r=e.inputs.x,u=a.dataIdMap.get(r.dataId).id,i=a.makeOutput(r.shape,r.dtype),s=a.dataIdMap.get(i.dataId).id;return 0===n.util.sizeFromShape(i.shape)||t(u,s),i}}}var c=d(n.Abs);function p(e,t,a){var r;return{kernelName:e,backendName:"wasm",setupFunc:function(n){r=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(u){var s=u.backend,o=u.inputs,l=o.a,d=o.b,c=s.dataIdMap.get(l.dataId).id,p=s.dataIdMap.get(d.dataId).id,f=null!=a?a:l.dtype,m=n.backend_util.assertAndGetBroadcastShape(l.shape,d.shape),h=s.makeOutput(m,f);if(0===n.util.sizeFromShape(m))return h;var b=new Uint8Array(new Int32Array(l.shape).buffer),_=new Uint8Array(new Int32Array(d.shape).buffer),y=s.dataIdMap.get(h.dataId).id,v=function(){return r(c,b,l.shape.length,p,_,d.shape.length,i[l.dtype],y)};if(t&&"float32"===l.dtype)return v(),h;var g=n.backend_util.getBroadcastDims(l.shape,m),w=n.backend_util.getBroadcastDims(d.shape,m),k=g.every((function(e,n){return e===n})),I=w.every((function(e,n){return e===n}));if(k&&I)return v(),h;throw new Error("Broadcasting along outer dims is not yet supported for "+l.dtype+" "+e+".")}}}var f,m=p(n.Add,!0);var h={kernelName:n.AddN,backendName:"wasm",setupFunc:function(e){f=e.wasm.cwrap(n.AddN,null,["array","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.util.sizeFromShape(r.shape))return r;var u=t.map((function(e){return a.dataIdMap.get(e.dataId).id})),s=new Uint8Array(new Int32Array(u).buffer),o=a.dataIdMap.get(r.dataId).id;return f(s,u.length,i[r.dtype],o),r}};function b(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}var _,y={kernelName:n.Identity,backendName:"wasm",kernelFunc:b};function v(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=function(e,n){for(var t=[],a=[],r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(r=0;r<a.length;++r){for(var u=-1,i=0;i<a.length;++i)a[i]>=r&&(-1===u||a[u]>a[i])&&(u=i);a[u]=r}return[t,a]}(n.x.shape,a.perm),u=r[0],s=r[1],o=!0,l=0;l<s.length;l++)s[l]!==l&&(o=!1);var d=function(e,n){for(var t=new Array(e.length),a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),c={dataId:n.x.dataId,shape:u,dtype:n.x.dtype};if(o){var p=b({inputs:n,backend:t});return p.shape=d,p}var f=t.makeOutput(d,c.dtype),m=t.dataIdMap.get(c.dataId).id,h=t.dataIdMap.get(f.dataId).id,y=new Uint8Array(new Int32Array(s).buffer),v=new Uint8Array(new Int32Array(c.shape).buffer);return _(m,v,c.shape.length,i[c.dtype],h,y,s.length),f}var g,w={kernelName:n.Transpose,backendName:"wasm",kernelFunc:v,setupFunc:function(e){_=e.wasm.cwrap(n.Transpose,null,["number","array","number","number","number","array","number"])}};function k(e,t,a){var r=e.shape,u=e.shape.length,i=n.util.parseAxisParam(t,r),s=i,o=n.backend_util.getAxesPermutation(s,u),l=null,d=!1;if(null!=o){for(var c=new Array(u),p=0;p<c.length;p++)c[p]=r[o[p]];s=n.backend_util.getInnerMostAxes(s.length,u),l=v({inputs:{x:e},attrs:{perm:o},backend:a});var f=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(l.dataId).id!==f&&(d=!0)}return{transposed:l,originalAxes:i,axes:s,inputWasTransposed:d}}var I,S={kernelName:n.ArgMax,backendName:"wasm",kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.axis,u=a.x,s=t.dataIdMap.get(u.dataId).id,o=s,l=u,d=k(u,r,t),c=d.transposed,p=d.axes,f=d.inputWasTransposed;if(f){var m=t.dataIdMap.get(c.dataId).id;m!==s&&(l=c,o=m)}var h=l.shape.slice(0,-1),b=t.makeOutput(h,"int32"),_=t.dataIdMap.get(b.dataId).id,y=n.util.sizeFromShape(b.shape),v=l.shape[p[0]];return g(o,i[l.dtype],y,v,_),f&&t.disposeData(c.dataId),b},setupFunc:function(e){g=e.wasm.cwrap(n.ArgMax,null,["number","number","number","number","number"])}};var E={kernelName:n.AvgPool,backendName:"wasm",setupFunc:function(e){I=e.wasm.cwrap(n.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=r.dataIdMap.get(u.dataId).id,s=a.filterSize,o=a.strides,l=a.pad,d=a.dimRoundingMode,c=n.backend_util.computePool2DInfo(u.shape,s,o,1,l,d),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,_=c.padInfo.left,y=c.strideHeight,v=c.strideWidth,g=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], got ["+c.dilationHeight+", "+c.dilationWidth+"].");var w=r.makeOutput(c.outShape,"float32"),k=r.dataIdMap.get(w.dataId).id;return I(i,u.shape[0],u.shape[1],u.shape[2],p,f,m,h,b,_,y,v,g,k),w}};function A(e){var t=e.inputs,a=e.attrs,r=t.x,u=a.shape,i=n.util.sizeFromShape(r.shape),s=n.util.inferFromImplicitShape(u,i);return n.util.assert(i===n.util.sizeFromShape(s),(function(){return"new shape: "+s+", old shape: "+r.shape+". New shape and old shape must have the same number of elements."})),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:s,dtype:r.dtype}}var M,x={kernelName:n.Reshape,backendName:"wasm",kernelFunc:A};var N={kernelName:n.BatchMatMul,backendName:"wasm",setupFunc:function(e){M=e.wasm.cwrap(n.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.a,i=t.b,s=r.transposeA,o=r.transposeB;if("float32"!==u.dtype||"float32"!==i.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");var l=u.shape.length,d=i.shape.length,c=s?u.shape[l-2]:u.shape[l-1],p=o?i.shape[d-1]:i.shape[d-2],f=s?u.shape[l-1]:u.shape[l-2],m=o?i.shape[d-2]:i.shape[d-1],h=u.shape.slice(0,-2),b=i.shape.slice(0,-2),_=n.util.sizeFromShape(h),y=n.util.sizeFromShape(b),v=_===y||1===_||1===y;n.util.assert(l>=2&&d>=2&&v,(function(){return"Error in matMul: the input batch dimensions must either be the same or at least one input batch dimension must be 1. Got input batch dimensions of ("+h+") and ("+b+")."}));var g=(_>y?u.shape.slice(0,-2):i.shape.slice(0,-2)).concat([f,m]);n.util.assert(c===p,(function(){return"Error in matMul: inner shapes ("+c+") and ("+p+") of Tensors with shapes "+u.shape+" and "+i.shape+" and transposeA="+s+" and transposeB="+o+" must match."}));var w=o?[y,m,p]:[y,p,m],k=A({inputs:{x:u},backend:a,attrs:{shape:s?[_,c,f]:[_,f,c]}}),I=A({inputs:{x:i},backend:a,attrs:{shape:w}}),S=a.dataIdMap.get(k.dataId).id,E=a.dataIdMap.get(I.dataId).id,x=s?k.shape[2]:k.shape[1],N=o?I.shape[1]:I.shape[2],F=Math.max(_,y),T=a.makeOutput([F,x,N],k.dtype),O=a.dataIdMap.get(T.dataId).id,C=new Uint8Array(new Int32Array(k.shape).buffer),R=new Uint8Array(new Int32Array(I.shape).buffer);return M(S,C,k.shape.length,E,R,I.shape.length,s,o,O),a.disposeData(k.dataId),a.disposeData(I.dataId),T.shape=g,T}};function F(e){var n=e.inputs.x,t=e.attrs.dtype,a=e.backend,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}var T,O={kernelName:n.Cast,backendName:"wasm",kernelFunc:F},C=d(n.Ceil);var R={kernelName:n.ClipByValue,backendName:"wasm",setupFunc:function(e){T=e.wasm.cwrap(n.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.clipValueMin,i=a.clipValueMax,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,r.dtype),l=t.dataIdMap.get(o.dataId).id;return T(s,u,i,l),o}};function D(e,t,a,r,u){const i=n.slice_util.isSliceContinous(r,t,a),s=n.util.sizeFromShape(a),o=n.util.computeStrides(r);if(i){const a=n.slice_util.computeFlatOffset(t,o);return"string"===u?e.slice(a,a+s):e.subarray(a,a+s)}const l="string"===u?n.backend_util.fromUint8ToStringArray(e):e,d=n.buffer(r,u,l),c=n.buffer(a,u);for(let e=0;e<c.size;++e){const n=c.indexToLoc(e),a=n.map((e,n)=>e+t[n]);c.set(d.get(...a),...n)}return"string"===u?n.backend_util.fromStringArrayToUint8(c.values):c.values}function P(e){var t=e.inputs,a=e.backend,r=n.util.parseAxisParam(e.attrs.axis,t[0].shape)[0],u=n.backend_util.computeOutShape(t.map((function(e){return e.shape})),r),i=t.filter((function(e){return n.util.sizeFromShape(e.shape)>0}));if(1===i.length)return b({inputs:{x:i[0]},backend:a});var s=a.makeOutput(u,t[0].dtype);if(0===n.util.sizeFromShape(u))return s;var o=i.map((function(e){return e.shape}));if(n.backend_util.assertParamsConsistent(o,r),"string"===i[0].dtype){var l=i.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return A({inputs:{x:e},backend:a,attrs:{shape:[-1,t]}})})),d=l.map((function(e){return{vals:a.readSync(e.dataId),shape:e.shape}}));u=n.backend_util.computeOutShape(l.map((function(e){return e.shape})),1);var c=1===l[0].shape[0],p=function(e,t,a,r){const u=n.util.getArrayFromDType(a,n.util.sizeFromShape(t));if(r&&"string"!==a){let t=0;e.forEach(e=>{const a=n.util.sizeFromShape(e.shape);u.set(e.vals,t),t+=a})}else{let r=0;e.forEach(e=>{const i="string"===a?n.backend_util.fromUint8ToStringArray(e.vals):e.vals;let s=0;for(let n=0;n<e.shape[0];++n){const a=n*t[1]+r;for(let n=0;n<e.shape[1];++n)u[a+n]=i[s++]}r+=e.shape[1]})}return u}(d,u,t[0].dtype,c),f=n.backend_util.computeOutShape(i.map((function(e){return e.shape})),r);return s.shape=f,a.dataIdMap.get(s.dataId).stringBytes=n.backend_util.fromStringArrayToUint8(p),s}for(var m=n.util.sizeFromShape(i[0].shape.slice(0,r)),h=0,_=i.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return h+=t,t})),y=i.map((function(e){return a.typedArrayFromHeap(e)})),v=a.typedArrayFromHeap(s),g=0;g<m;g++)for(var w=g*h,k=0;k<y.length;k++){var I=_[k],S=g*I,E=y[k].subarray(S,S+I);v.set(E,w),w+=I}return s}var W,B={kernelName:n.Concat,backendName:"wasm",kernelFunc:P};var L,H={kernelName:n.Conv2D,backendName:"wasm",setupFunc:function(e){W=e.wasm.cwrap(n.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,l=a.strides,d=a.dilations,c=a.pad,p=a.dimRoundingMode,f=a.dataFormat,m=n.backend_util.convertConv2DDataFormat(f),h=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,d,c,p,!1,m),b=h.filterHeight,_=h.filterWidth,y=h.padInfo.top,v=h.padInfo.right,g=h.padInfo.bottom,w=h.padInfo.left,k=h.dilationHeight,I=h.dilationWidth,S=h.strideHeight,E=h.strideWidth,A=h.inChannels,M=h.outChannels,x="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");var N=r.makeOutput(h.outShape,"float32"),F=r.dataIdMap.get(N.dataId).id;return W(s,u.shape[0],u.shape[1],u.shape[2],o,b,_,y,v,g,w,x,k,I,S,E,A,M,F),N}};var U,z,j={kernelName:n.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){L=e.wasm.cwrap(n.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.dy,i=a.filter,s=r.strides,o=r.pad,l=r.dataFormat,d=r.dimRoundingMode,c=r.inputShape,p=n.backend_util.convertConv2DDataFormat(l),f=n.backend_util.computeConv2DInfo(c,i.shape,s,1,o,d,!1,p),m=f.batchSize,h=f.filterHeight,b=f.filterWidth,_=f.inChannels,y=f.inHeight,v=f.inWidth,g=f.outChannels,w=f.outHeight,k=f.outWidth,I=f.strideHeight,S=f.strideWidth,E=h-1-f.padInfo.top,A=b-1-f.padInfo.left,M="channelsLast"===f.dataFormat,x=n.util.computeStrides(f.inShape),N=n.util.computeStrides(u.shape),F=n.util.computeStrides(i.shape),T=F[0],O=F[1],C=F[2],R=x[0],D=M?x[1]:x[2],P=M?x[2]:1,W=M?1:x[1],B=N[0],H=M?N[1]:N[2],U=M?N[2]:1,z=M?1:N[1],j=t.makeOutput(f.inShape,"float32"),q=t.dataIdMap.get(j.dataId).id,V=t.dataIdMap.get(u.dataId).id,G=t.dataIdMap.get(i.dataId).id;return L(V,G,m,h,b,y,v,_,w,k,g,I,S,E,A,T,O,C,R,D,P,W,B,H,U,z,q),j}},q=d(n.Cos);!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(U||(U={}));var V,G={kernelName:n.CropAndResize,backendName:"wasm",setupFunc:function(e){z=e.wasm.cwrap(n.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){var n,t=e.backend,a=e.inputs,r=e.attrs,u=r.method,i=r.extrapolationValue,s=r.cropSize,o=a.image,l=a.boxes,d=a.boxInd,c=l.shape[0],p=s,f=p[0],m=p[1],h=[c,f,m,o.shape[3]],b=t.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(n=F({backend:t,inputs:{x:o},attrs:{dtype:"float32"}}),b=t.dataIdMap.get(n.dataId));var _=b.id,y=t.dataIdMap.get(l.dataId).id,v=t.dataIdMap.get(d.dataId).id,g=t.makeOutput(h,"float32"),w=t.dataIdMap.get(g.dataId).id,k=new Uint8Array(new Int32Array(o.shape).buffer);return z(_,y,v,c,k,f,m,U[u],i,w),null!=n&&t.disposeData(n.dataId),g}};var K,X={kernelName:n.Cumsum,backendName:"wasm",setupFunc:function(e){V=e.wasm.cwrap(n.Cumsum,null,["number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,s=r.axis,o=r.exclusive,l=r.reverse,d=u.shape.length;n.util.assert("float32"===u.dtype||"int32"===u.dtype,(function(){return"cumsum does not support "+u.dtype+" tensors in the WASM backend"}));var c=n.backend_util.getAxesPermutation([s],d),p=u;null!==c&&(p=v({inputs:{x:u},attrs:{perm:c},backend:a}));var f=n.backend_util.getInnerMostAxes(1,d)[0];n.backend_util.assertAxesAreInnerMostDims("cumsum",[f],d);var m=a.makeOutput(p.shape,p.dtype),h=p.shape[f],b=a.dataIdMap.get(p.dataId).id,_=a.dataIdMap.get(m.dataId).id;V(b,o?1:0,l?1:0,h,_,i[u.dtype]);var y=m;return null!==c&&(y=v({inputs:{x:m},attrs:{perm:n.backend_util.getUndoAxesPermutation(c)},backend:a}),a.disposeData(p.dataId),a.disposeData(m.dataId)),y}};var Y,Q={kernelName:n.DepthToSpace,backendName:"wasm",setupFunc:function(e){K=e.wasm.cwrap(n.DepthToSpace,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=r.blockSize,s=r.dataFormat;n.util.assert(i>1,(function(){return"blockSize should be > 1 for depthToSpace, but was: "+i}));var o=u.shape[0],l="NHWC"===s?u.shape[1]:u.shape[2],d="NHWC"===s?u.shape[2]:u.shape[3],c="NHWC"===s?u.shape[3]:u.shape[1],p=l*i,f=d*i,m=c/(i*i),h="NHWC"===s?[o,p,f,m]:[o,m,p,f],b=t.makeOutput(h,"float32"),_=t.dataIdMap.get(u.dataId).id,y=new Uint8Array(new Int32Array(n.util.computeStrides(u.shape)).buffer),v=new Uint8Array(new Int32Array(h).buffer),g=new Uint8Array(new Int32Array(n.util.computeStrides(h)).buffer),w=t.dataIdMap.get(b.dataId).id;return K(_,i,"NHWC"===s?1:0,y,u.shape.length-1,v,g,h.length,w),b}};var Z={kernelName:n.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){Y=e.wasm.cwrap(n.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,l=a.strides,d=a.dilations,c=a.pad,p=a.dimRoundingMode,f=null==d?[1,1]:d,m=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,f,c,p,!0),h=m.filterHeight,b=m.filterWidth,_=m.padInfo.top,y=m.padInfo.right,v=m.padInfo.bottom,g=m.padInfo.left,w=m.dilationHeight,k=m.dilationWidth,I=m.strideHeight,S=m.strideWidth,E=m.inChannels,A=m.outChannels,M="SAME"===m.padInfo.type?1:0;if("channelsLast"!==m.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+m.dataFormat+"'. Please use 'channelsLast'.");var x=r.makeOutput(m.outShape,"float32"),N=r.dataIdMap.get(x.dataId).id;return Y(s,u.shape[0],u.shape[1],u.shape[2],o,h,b,_,y,v,g,M,w,k,I,S,E,A,N),x}},J=p(n.Equal,!1,"bool"),$=d(n.Exp);function ee(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.input,i=a.dim,s=u.shape.length,o=u.shape.slice(),l=i;return i<0&&(n.util.assert(-(s+1)<=i,(function(){return"Axis must be in the interval ["+-(s+1)+", "+s+"]"})),l=s+i+1),o.splice(l,0,1),A({inputs:{x:u},backend:r,attrs:{shape:o}})}var ne={kernelName:n.ExpandDims,backendName:"wasm",kernelFunc:ee};var te,ae={kernelName:n.Fill,backendName:"wasm",kernelFunc:function(e){var n=e.attrs,t=n.shape,a=n.value,r=n.dtype,u=e.backend,i=u.makeOutput(t,r);return u.typedArrayFromHeap(i).fill(a),i}};var re,ue={kernelName:n.FlipLeftRight,backendName:"wasm",kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.image,r=t.makeOutput(a.shape,a.dtype),u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=a.shape,o=s[0],l=s[1],d=s[2],c=s[3];return te(u,o,l,d,c,i),r},setupFunc:function(e){te=e.wasm.cwrap(n.FlipLeftRight,null,["number","number","number","number","number","number"])}},ie=d(n.Floor),se=p(n.FloorDiv,!1);var oe,le={kernelName:n.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){re=e.wasm.cwrap(n.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.varianceEpsilon,u=a.x,i=a.mean,s=a.variance,o=a.offset,l=a.scale,d=t.dataIdMap.get(u.dataId).id,c=t.dataIdMap.get(i.dataId).id,p=t.dataIdMap.get(s.dataId).id,f=null!=o?t.dataIdMap.get(o.dataId).id:0,m=null!=l?t.dataIdMap.get(l.dataId).id:0,h=t.makeOutput(u.shape,u.dtype);if(0===n.util.sizeFromShape(u.shape))return h;var b=t.dataIdMap.get(h.dataId).id;return re(d,c,p,f,m,r,b),h}};var de,ce={kernelName:n.FusedConv2D,backendName:"wasm",setupFunc:function(e){oe=e.wasm.cwrap(n.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,o=t.bias,l=t.preluActivationWeights,d=a.strides,c=a.pad,p=a.dilations,f=a.dataFormat,m=a.dimRoundingMode,h=a.activation,b=a.leakyreluAlpha,_=n.backend_util.computeConv2DInfo(u.shape,i.shape,d,p,c,m),y=s[h];if(null==y)throw new Error(h+" activation not yet supported for FusedConv2D in the wasm backend.");var v=r.dataIdMap.get(u.dataId).id,g=r.dataIdMap.get(i.dataId).id,w=_.outChannels,k=0;if(null!=o){var I=r.dataIdMap.get(o.dataId);if(1!==I.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got rank "+I.shape.length+".");if(I.shape[0]!==w)throw new Error("FusedConv2D bias shape ("+I.shape+") does not match the number of output channels ("+w+")");k=I.id}var S=_.filterHeight,E=_.filterWidth,A=_.padInfo.top,M=_.padInfo.right,x=_.padInfo.bottom,N=_.padInfo.left,F=_.dilationHeight,T=_.dilationWidth,O=_.strideHeight,C=_.strideWidth,R=_.inChannels,D="SAME"===_.padInfo.type?1:0,P=_.batchSize,W=_.inHeight,B=_.inWidth;if("NHWC"!==f)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+f+"'. Please use 'NHWC'.");var L=r.makeOutput(_.outShape,"float32"),H=r.dataIdMap.get(L.dataId).id,U=null==l?0:r.dataIdMap.get(l.dataId).id;return oe(v,P,W,B,g,S,E,k,A,M,x,N,D,F,T,O,C,R,w,y,U,b||0,H),L}};var pe,fe={kernelName:n.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){de=e.wasm.cwrap(n.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,o=t.bias,l=t.preluActivationWeights,d=a.strides,c=a.pad,p=a.dilations,f=a.dataFormat,m=a.dimRoundingMode,h=a.activation,b=a.leakyreluAlpha,_=n.backend_util.computeConv2DInfo(u.shape,i.shape,d,p,c,m,!0),y=s[h];if(null==y)throw new Error(h+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");var v=r.dataIdMap.get(u.dataId).id,g=r.dataIdMap.get(i.dataId).id,w=_.outChannels,k=0;if(null!=o){var I=r.dataIdMap.get(o.dataId);if(1!==I.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got rank "+I.shape.length+".");if(I.shape[0]!==w)throw new Error("FusedDepthwiseConv2D bias shape ("+I.shape+") does not match the number of output channels ("+w+")");k=I.id}var S=_.filterHeight,E=_.filterWidth,A=_.padInfo.top,M=_.padInfo.right,x=_.padInfo.bottom,N=_.padInfo.left,F=_.dilationHeight,T=_.dilationWidth,O=_.strideHeight,C=_.strideWidth,R=_.inChannels,D="SAME"===_.padInfo.type?1:0,P=_.batchSize,W=_.inHeight,B=_.inWidth;if("NHWC"!==f)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+f+"'. Please use 'NHWC'.");var L=r.makeOutput(_.outShape,"float32"),H=r.dataIdMap.get(L.dataId).id,U=null==l?0:r.dataIdMap.get(l.dataId).id;return de(v,P,W,B,g,S,E,k,A,M,x,N,D,F,T,O,C,R,w,y,U,b||0,H),L}};var me,he={kernelName:n.GatherNd,backendName:"wasm",setupFunc:function(e){pe=e.wasm.cwrap(n.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=a.params,u=a.indices,s=n.gather_util.prepareAndValidate(r,u),o=s[0],l=s[1],d=s[2],c=s[3],p=t.makeOutput(o,r.dtype);if(0===l)return p;var f=u.shape,m=f[f.length-1],h=t.dataIdMap.get(r.dataId).id,b=t.dataIdMap.get(u.dataId).id,_=new Uint8Array(new Int32Array(c).buffer),y=t.dataIdMap.get(p.dataId).id;return pe(h,i[r.dtype],b,l,m,d,_,y),p}};var be,_e={kernelName:n.GatherV2,backendName:"wasm",setupFunc:function(e){me=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,s=a.indices,o=r.axis,l=r.batchDims,d=n.util.parseAxisParam(o,u.shape)[0],c=n.backend_util.segment_util.collectGatherOpShapeInfo(u,s,d,l),p=A({inputs:{x:u},attrs:{shape:[c.batchSize,c.outerSize,c.dimSize,c.sliceSize]},backend:t}),f=n.util.sizeFromShape(s.shape),m=A({inputs:{x:s},attrs:{shape:[c.batchSize,f/c.batchSize]},backend:t}),h=[c.batchSize,c.outerSize,f/c.batchSize,c.sliceSize],b=t.makeOutput(h,u.dtype);if(0===n.util.sizeFromShape(u.shape))return b;var _=p.shape.length-1,y=t.dataIdMap.get(p.dataId).id,v=t.dataIdMap.get(m.dataId).id,g=t.dataIdMap.get(b.dataId).id,w=new Uint8Array(new Int32Array(n.util.computeStrides(p.shape)).buffer),k=new Uint8Array(new Int32Array(n.util.computeStrides(h)).buffer);return me(y,i[u.dtype],w,_,v,c.batchSize,k,g),t.disposeData(p.dataId),t.disposeData(m.dataId),b.shape=c.outputShape,b}},ye=p(n.Greater,!1,"bool"),ve=p(n.GreaterEqual,!1,"bool");var ge,we={kernelName:n.LeakyRelu,backendName:"wasm",setupFunc:function(e){be=e.wasm.cwrap(n.LeakyRelu,null,["number","number","number"])},kernelFunc:function(e){var t=e.inputs.x,a=e.attrs.alpha,r=e.backend,u=r.dataIdMap.get(t.dataId).id,i=r.makeOutput(t.shape,t.dtype);if(0!==n.util.sizeFromShape(t.shape)){var s=r.dataIdMap.get(i.dataId).id;be(u,a,s)}return i}},ke=p(n.Less,!1,"bool"),Ie=p(n.LessEqual,!1,"bool"),Se=d(n.Log),Ee=p(n.LogicalAnd,!1,"bool");var Ae,Me={kernelName:n.Max,backendName:"wasm",setupFunc:function(e){ge=e.wasm.cwrap(n.Max,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.reductionIndices,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,l=s,d=k(s,u,t),c=d.transposed,p=d.axes,f=d.originalAxes,m=d.inputWasTransposed;m&&(l=c,o=t.dataIdMap.get(c.dataId).id);var h=l.shape.length;n.backend_util.assertAxesAreInnerMostDims("max",p,h);var b=n.backend_util.computeOutAndReduceShapes(l.shape,p),_=b[0],y=b[1],v=n.util.sizeFromShape(y),g=t.makeOutput(_,s.dtype);if(0!==n.util.sizeFromShape(l.shape)){var w=t.dataIdMap.get(g.dataId).id;ge(o,v,w)}if(m&&t.disposeData(c.dataId),i){var I=n.backend_util.expandShapeToKeepDim(g.shape,f);g.shape=I}return g}},xe=p(n.Maximum,!1);var Ne,Fe={kernelName:n.MaxPool,backendName:"wasm",setupFunc:function(e){Ae=e.wasm.cwrap(n.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=r.dataIdMap.get(u.dataId).id,s=a.filterSize,o=a.strides,l=a.pad,d=a.dimRoundingMode,c=n.backend_util.computePool2DInfo(u.shape,s,o,1,l,d),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,b=c.padInfo.bottom,_=c.padInfo.left,y=c.dilationHeight,v=c.dilationWidth,g=c.strideHeight,w=c.strideWidth,k=c.inChannels,I=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+c.dataFormat+"'. Please use 'channelsLast'.");var S=r.makeOutput(c.outShape,"float32"),E=r.dataIdMap.get(S.dataId).id;return Ae(i,u.shape[0],u.shape[1],u.shape[2],p,f,m,h,b,_,y,v,g,w,k,I,E),S}};var Te,Oe={kernelName:n.Mean,backendName:"wasm",setupFunc:function(e){Ne=e.wasm.cwrap(n.Mean,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,l=o,d=s,c=k(s,u,t),p=c.transposed,f=c.axes,m=c.originalAxes,h=c.inputWasTransposed,b=f;if(h){var _=t.dataIdMap.get(p.dataId).id;_!==o&&(d=p,l=_,b=n.backend_util.getInnerMostAxes(b.length,d.shape.length))}n.backend_util.assertAxesAreInnerMostDims("mean",b,d.shape.length);var y=n.backend_util.computeOutAndReduceShapes(d.shape,b),v=y[0],g=y[1],w=n.util.sizeFromShape(g),I=d;"float32"!==d.dtype&&(I=F({backend:t,inputs:{x:d},attrs:{dtype:"float32"}}),l=t.dataIdMap.get(I.dataId).id);var S=t.makeOutput(v,"float32");if(0!==n.util.sizeFromShape(d.shape)){var E=t.dataIdMap.get(S.dataId).id;Ne(l,w,E)}if(h&&t.disposeData(p.dataId),i){var A=n.backend_util.expandShapeToKeepDim(S.shape,m);S.shape=A}return"float32"!==d.dtype&&t.disposeData(I.dataId),S}};var Ce,Re={kernelName:n.Min,backendName:"wasm",setupFunc:function(e){Te=e.wasm.cwrap(n.Min,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,l=o,d=s,c=k(s,u,t),p=c.transposed,f=c.axes,m=c.originalAxes,h=c.inputWasTransposed;if(h){var b=t.dataIdMap.get(p.dataId).id;b!==o&&(d=p,l=b)}var _=d.shape.length;n.backend_util.assertAxesAreInnerMostDims("min",f,_);var y=n.backend_util.computeOutAndReduceShapes(d.shape,f),v=y[0],g=y[1],w=n.util.sizeFromShape(g),I=t.makeOutput(v,d.dtype);if(0!==n.util.sizeFromShape(d.shape)){var S=t.dataIdMap.get(I.dataId).id;Te(l,w,S)}if(h&&t.disposeData(p.dataId),i){var E=n.backend_util.expandShapeToKeepDim(I.shape,m);I.shape=E}return I}},De=p(n.Minimum,!1),Pe=p(n.Multiply,!0),We=d(n.Neg);function Be(e,n){var t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],u=t[2],i=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u,pValidOutputs:i}}var Le,He={kernelName:n.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){Ce=e.wasm.cwrap(n.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=t.boxes,o=t.scores,l=n.dataIdMap.get(s.dataId).id,d=n.dataIdMap.get(o.dataId).id,c=Be(n,Ce(l,d,u,r,i)),p=c.pSelectedIndices,f=c.selectedSize,m=c.pSelectedScores,h=c.pValidOutputs;return n.wasm._free(m),n.wasm._free(h),n.makeOutput([f],"int32",p)}};var Ue,ze={kernelName:n.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){Le=e.wasm.cwrap(n.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.padToMaxOutputSize,o=t.boxes,l=t.scores,d=n.dataIdMap.get(o.dataId).id,c=n.dataIdMap.get(l.dataId).id,p=Be(n,Le(d,c,u,r,i,s)),f=p.pSelectedIndices,m=p.selectedSize,h=p.pSelectedScores,b=p.pValidOutputs;return n.wasm._free(h),[n.makeOutput([m],"int32",f),n.makeOutput([],"int32",b)]}};var je,qe={kernelName:n.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){Ue=e.wasm.cwrap(n.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.softNmsSigma,o=t.boxes,l=t.scores,d=n.dataIdMap.get(o.dataId).id,c=n.dataIdMap.get(l.dataId).id,p=Be(n,Ue(d,c,u,r,i,s)),f=p.pSelectedIndices,m=p.selectedSize,h=p.pSelectedScores,b=p.pValidOutputs;return n.wasm._free(b),[n.makeOutput([m],"int32",f),n.makeOutput([m],"float32",h)]}},Ve=p(n.NotEqual,!1,"bool");var Ge={kernelName:n.OneHot,backendName:"wasm",setupFunc:function(e){je=e.wasm.cwrap(n.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.indices,u=a.depth,i=a.onValue,s=a.offValue,o=t.makeOutput(r.shape.concat([u]),"int32"),l=t.dataIdMap.get(o.dataId).id,d=t.dataIdMap.get(r.dataId).id;return je(d,u,i,s,l),o}};var Ke={kernelName:n.OnesLike,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}};var Xe,Ye={kernelName:n.Pack,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs.axis;if(1===t.length)return ee({inputs:{input:t[0]},backend:a,attrs:{dim:r}});var u=t[0].shape,i=t[0].dtype;return t.forEach((function(e){n.util.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),n.util.assert(i===e.dtype,(function(){return"All tensors passed to stack must have matching dtypes"}))})),P({inputs:t.map((function(e){return ee({inputs:{input:e},backend:a,attrs:{dim:r}})})),backend:a,attrs:{axis:r}})}};var Qe,Ze={kernelName:n.PadV2,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=e.attrs,r=a.paddings,u=a.constantValue,s=r.map((function(e,t){return e[0]+n.shape[t]+e[1]})),o=t.dataIdMap.get(n.dataId).id,l=t.makeOutput(s,n.dtype),d=t.dataIdMap.get(l.dataId).id,c=new Uint8Array(new Int32Array(n.shape).buffer),p=r.map((function(e){return e[0]})),f=r.map((function(e){return e[1]})),m=new Uint8Array(new Int32Array(p).buffer),h=new Uint8Array(new Int32Array(f).buffer);return Xe(o,c,n.shape.length,i[n.dtype],m,h,u,d),l},setupFunc:function(e){Xe=e.wasm.cwrap(n.PadV2,null,["number","array","number","number","array","array","number","number"])}},Je=p(n.Pow,!1);var $e,en={kernelName:n.Prelu,backendName:"wasm",setupFunc:function(e){Qe=e.wasm.cwrap(n.Prelu,null,["number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.x,r=n.alpha,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(s.dataId).id;return Qe(u,i,o),s}};var nn,tn={kernelName:n.Prod,backendName:"wasm",setupFunc:function(e){$e=e.wasm.cwrap(n.Prod,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,s=r.keepDims,o=a.x,l=t.dataIdMap.get(o.dataId).id,d=l,c=o,p=k(o,u,t),f=p.transposed,m=p.axes,h=p.originalAxes,b=p.inputWasTransposed,_=m;if(b){var y=t.dataIdMap.get(f.dataId).id;y!==l&&(c=f,d=y,_=n.backend_util.getInnerMostAxes(_.length,c.shape.length))}n.backend_util.assertAxesAreInnerMostDims("prod",_,c.shape.length);var v=n.backend_util.computeOutAndReduceShapes(c.shape,_),g=v[0],w=v[1],I=n.util.sizeFromShape(w),S=t.makeOutput(g,c.dtype);if(0!==n.util.sizeFromShape(c.shape)){var E=t.dataIdMap.get(S.dataId).id;$e(d,I,i[S.dtype],E)}if(b&&t.disposeData(f.dataId),s){var A=n.backend_util.expandShapeToKeepDim(S.shape,h);S.shape=A}return S}},an={kernelName:n.Range,backendName:"wasm",kernelFunc:function(e){var t=e.backend,a=e.attrs,r=a.start,u=a.stop,i=a.step,s=a.dtype,o=function(e,t,a,r){if(e===t||e<t&&a<0||t<e&&a>1)return n.util.makeZerosTypedArray(0,r);const u=Math.abs(Math.ceil((t-e)/a)),i=n.util.makeZerosTypedArray(u,r);t<e&&1===a&&(a=-1),i[0]=e;for(let e=1;e<i.length;e++)i[e]=i[e-1]+a;return i}(r,u,i,s),l=t.makeOutput([o.length],s);return t.typedArrayFromHeap(l).set(o),l}},rn=p(n.RealDiv,!0),un=d(n.Relu),sn=d(n.Relu6);var on,ln={kernelName:n.ResizeBilinear,backendName:"wasm",setupFunc:function(e){nn=e.wasm.cwrap(n.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.images,s=u.alignCorners,o=u.halfPixelCenters,l=u.size,d=l[0],c=l[1],p=i.shape,f=p[0],m=p[1],h=p[2],b=p[3],_=[f,d,c,b],y=a.dataIdMap.get(i.dataId);"float32"!==y.dtype&&(t=F({backend:a,inputs:{x:i},attrs:{dtype:"float32"}}),y=a.dataIdMap.get(t.dataId));var v=y.id,g=a.makeOutput(_,"float32");if(0===n.util.sizeFromShape(i.shape))return g;var w=a.dataIdMap.get(g.dataId).id;return nn(v,f,m,h,b,d,c,s?1:0,o?1:0,w),null!=t&&a.disposeData(t.dataId),g}};var dn,cn={kernelName:n.Reverse,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.dims,s=n.util.parseAxisParam(i,u.shape);if(0===u.shape.length)return b({inputs:{x:u},backend:a});var o=a.makeOutput(u.shape,u.dtype),l=a.dataIdMap.get(u.dataId).id,d=a.dataIdMap.get(o.dataId).id,c=new Uint8Array(new Int32Array(s).buffer),p=new Uint8Array(new Int32Array(u.shape).buffer);on(l,c,s.length,p,u.shape.length,d);var f=A({inputs:{x:o},attrs:{shape:u.shape},backend:a});return a.disposeData(o.dataId),f},setupFunc:function(e){on=e.wasm.cwrap(n.Reverse,null,["number","array","number","array","number","number"])}};var pn,fn,mn,hn,bn={kernelName:n.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.image,i=r.radians,s=r.fillValue,o=r.center,l=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(u.dataId).id,c=a.dataIdMap.get(l.dataId).id,p=u.shape,f=p[0],m=p[1],h=p[2],b=p[3],_=n.backend_util.getImageCenter(o,m,h),y=_[0],v=_[1],g="number"==typeof s?[s,s,s,0===s?0:255]:s.concat([255]),w=new Uint8Array(new Int32Array(g).buffer);return dn(d,f,m,h,b,i,y,v,w,g.length,c),l},setupFunc:function(e){dn=e.wasm.cwrap(n.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},_n=d(n.Round);function yn(e){var t=e.inputs.x,a=e.attrs,r=a.begin,u=a.size,i=e.backend,s=n.slice_util.parseSliceParams(t,r,u),o=s[0],l=s[1],d=n.slice_util.isSliceContinous(t.shape,o,l),c=i.readSync(t.dataId),p=i.makeOutput(l,t.dtype),f=n.util.computeStrides(t.shape),m=i.dataIdMap.get(p.dataId);if(d){var h=n.slice_util.computeFlatOffset(o,f);if("string"===t.dtype)m.stringBytes=c.slice(h,h+n.util.sizeFromShape(l));else i.typedArrayFromHeap(p).set(c.subarray(h,h+n.util.sizeFromShape(l)));return p}if("string"===t.dtype){var b=D(c,o,l,t.shape,t.dtype);return m.stringBytes=b,p}var _=i.typedArrayFromHeap(p),y=t.shape.length;if(2===y)!function(e,n,t,a,r){for(var u=0,i=a[0],s=a[1],o=i+r[0],l=i;l<o;l++){var d=l*n+s;t.set(e.subarray(d,d+r[1]),u),u+=r[1]}}(c,f[0],_,o,l);else if(3===y)!function(e,n,t,a,r,u){for(var i=0,s=r[0],o=r[1],l=r[2],d=s+u[0],c=o+u[1],p=s;p<d;p++)for(var f=o;f<c;f++){var m=p*n+f*t+l;a.set(e.subarray(m,m+u[2]),i),i+=u[2]}}(c,f[0],f[1],_,o,l);else if(4===y)!function(e,n,t,a,r,u,i){for(var s=0,o=u[0],l=u[1],d=u[2],c=o+i[0],p=l+i[1],f=d+i[2],m=u[3],h=o;h<c;h++)for(var b=l;b<p;b++)for(var _=d;_<f;_++){var y=h*n+b*t+_*a+m;r.set(e.subarray(y,y+i[3]),s),s+=i[3]}}(c,f[0],f[1],f[2],_,o,l);else{b=D(c,o,l,t.shape,t.dtype);_.set(b)}return p}var vn,gn;var wn,kn,In;for(var Sn=0,En=[c,m,h,S,E,N,O,C,R,B,H,j,q,G,X,Q,Z,J,$,ne,ae,ue,ie,se,l,le,ce,fe,he,_e,ye,ve,y,we,ke,Ie,Se,Ee,Me,xe,Fe,Oe,Re,De,Pe,We,He,ze,qe,Ve,Ge,Ke,Ye,Ze,Je,en,tn,an,rn,un,sn,x,ln,cn,bn,d(n.Rsqrt),_n,{kernelName:n.ScatterNd,backendName:"wasm",setupFunc:function(e){pn=e.wasm.cwrap(n.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.indices,s=a.updates,o=r.shape,l=t.makeOutput(o,s.dtype);if(0===n.util.sizeFromShape(o))return l;var d=n.scatter_util.calculateShapes(s,u,o),c=d.sliceRank,p=d.numUpdates,f=d.sliceSize,m=d.strides,h=d.outputSize,b=t.dataIdMap.get(u.dataId).id,_=t.dataIdMap.get(s.dataId).id,y=new Uint8Array(new Int32Array(m).buffer),v=t.dataIdMap.get(l.dataId).id;return pn(b,_,i[s.dtype],c,p,f,y,h,v),l}},{kernelName:n.Select,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=t.condition,u=t.t,i=t.e,s=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(i.dataId).id,d=a.makeOutput(u.shape,u.dtype),c=a.dataIdMap.get(d.dataId).id,p=r.shape.length,f=u.shape.length,m=0===p||p>1||1===f?1:n.util.sizeFromShape(u.shape.slice(1));return fn(s,o,l,m,c),d},setupFunc:function(e){fn=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){mn=e.wasm.cwrap(n.Sigmoid,null,["number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.x,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.util.sizeFromShape(u.shape)||mn(r,i),u}},d(n.Sin),{kernelName:n.Slice,backendName:"wasm",kernelFunc:yn},{kernelName:n.Softmax,backendName:"wasm",setupFunc:function(e){hn=e.wasm.cwrap(n.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.logits,r=e.attrs.dim,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],l=n.util.sizeFromShape(a.shape)/o;return 0===n.util.sizeFromShape(i.shape)||hn(u,s,o,l),i}},{kernelName:n.SplitV,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=a.numOrSizeSplits,s=a.axis,o=n.util.parseAxisParam(s,u.shape)[0],l=n.backend_util.prepareSplitSize(u,i,o),d=new Array(u.shape.length).fill(0),c=u.shape.slice();return l.map((function(e){var n=c.slice();n[o]=e;var t=yn({inputs:{x:u},attrs:{begin:d,size:n},backend:r});return d[o]+=e,t}))}},d(n.Sqrt),d(n.Square),p(n.SquaredDifference,!0),{kernelName:n.Step,backendName:"wasm",setupFunc:function(e){vn=e.wasm.cwrap(n.Step,null,["number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs.alpha,r=t.x,u=n.dataIdMap.get(r.dataId).id,i=n.makeOutput(r.shape,r.dtype),s=n.dataIdMap.get(i.dataId).id;return vn(u,a,s),i}},{kernelName:n.StridedSlice,backendName:"wasm",setupFunc:function(e){gn=e.wasm.cwrap(n.StridedSlice,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=r.begin,s=r.end,o=r.strides;null==o&&(o=new Array(i.length));var l=r.beginMask,d=r.endMask,c=r.ellipsisMask,p=r.newAxisMask,f=r.shrinkAxisMask,m=n.backend_util.slice_util.maskToAxes(c);if(m.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==c&&0!==p)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==c&&0!==f)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");var h=u.shape.length-i.length,b=n.backend_util.slice_util.maskToAxes(p),_=u.shape.slice();b.forEach((function(e){i[e]=0,s[e]=1,_.splice(e,0,1)}));var y=A({inputs:{x:u},attrs:{shape:_},backend:t}),v=n.backend_util.slice_util.getNormalizedAxes(y.shape,m,h,i,s,o,l,d,c),g=v.begin,w=v.end,k=v.strides;i=g,s=w,o=k;var I=n.backend_util.slice_util.maskToAxes(f);I.forEach((function(e){s[e]=i[e]+1,o[e]=1}));var S=n.backend_util.slice_util.computeOutShape(i,s,o),E=S.filter((function(e,n){return-1===I.indexOf(n)}));if(o.every((function(e){return 1===e}))){var M=yn({inputs:{x:u},attrs:{begin:i,size:S},backend:t});t.disposeData(y.dataId);var x=A({inputs:{x:M},attrs:{shape:E},backend:t});return t.disposeData(M.dataId),x}var N=t.makeOutput(E,"float32");if(!E.some((function(e){return 0===e}))){var F=t.dataIdMap.get(y.dataId).id,T=new Uint8Array(new Int32Array(n.util.computeStrides(y.shape)).buffer),O=new Uint8Array(new Int32Array(i).buffer),C=new Uint8Array(new Int32Array(s).buffer),R=new Uint8Array(new Int32Array(o).buffer),D=new Uint8Array(new Int32Array(E).buffer),P=new Uint8Array(new Int32Array(n.util.computeStrides(E)).buffer),W=t.dataIdMap.get(N.dataId).id;gn(F,T,y.shape.length,O,C,R,D,P,E.length,W)}t.disposeData(y.dataId);var B=A({inputs:{x:N},attrs:{shape:E},backend:t});return t.disposeData(N.dataId),B}},p(n.Sub,!0),{kernelName:n.Sum,backendName:"wasm",setupFunc:function(e){wn=e.wasm.cwrap(n.Sum,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,l=o,d=s,c=k(s,u,t),p=c.transposed,f=c.axes,m=c.originalAxes,h=c.inputWasTransposed,b=f;if(h){var _=t.dataIdMap.get(p.dataId).id;_!==o&&(d=p,l=_,b=n.backend_util.getInnerMostAxes(b.length,d.shape.length))}n.backend_util.assertAxesAreInnerMostDims("sum",b,d.shape.length);var y=n.backend_util.computeOutAndReduceShapes(d.shape,b),v=y[0],g=y[1],w=n.util.sizeFromShape(g),I=t.makeOutput(v,d.dtype);if(0!==n.util.sizeFromShape(d.shape)){var S=t.dataIdMap.get(I.dataId).id;wn(l,w,S)}if(h&&t.disposeData(p.dataId),i){var E=n.backend_util.expandShapeToKeepDim(I.shape,m);I.shape=E}return I}},d(n.Tanh),{kernelName:n.Tile,backendName:"wasm",setupFunc:function(e){kn=e.wasm.cwrap(n.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=t.dataIdMap.get(r.dataId).id,s=a.reps,o=new Array(r.shape.length),l=0;l<o.length;l++)o[l]=r.shape[l]*s[l];var d=new Uint8Array(new Int32Array(r.shape).buffer),c=new Uint8Array(new Int32Array(o).buffer),p=t.makeOutput(o,r.dtype),f=t.dataIdMap.get(p.dataId).id;return kn(u,d,r.shape.length,c,o.length,i[p.dtype],f),p}},{kernelName:n.TopK,backendName:"wasm",setupFunc:function(e){In=e.wasm.cwrap(n.TopK,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.k,s=a.sorted,o=t.dataIdMap.get(r.dataId).id,l=new Uint8Array(new Int32Array(r.shape).buffer),d=r.shape.slice();d[d.length-1]=u;var c=t.makeOutput(d,r.dtype),p=t.dataIdMap.get(c.dataId).id,f=t.makeOutput(d,"int32"),m=t.dataIdMap.get(f.dataId).id;return In(o,l,r.shape.length,i[r.dtype],u,s,p,m),[c,f]}},w,{kernelName:n.Unpack,backendName:"wasm",kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.value,u=a.axis;u<0&&(u+=r.shape.length);for(var i=r.shape[u],s=r.shape.length,o=new Array(s-1),l=0,d=0;d<s;d++)d!==u&&(o[l++]=r.shape[d]);var c=new Array(i),p=new Array(s).fill(0),f=r.shape.slice();for(f[u]=1,d=0;d<c.length;d++)p[u]=d,c[d]=yn({inputs:{x:r},attrs:{begin:p,size:f},backend:t});return c.map((function(e){return{dataId:e.dataId,dtype:e.dtype,shape:o}}))}},{kernelName:n.ZerosLike,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];Sn<En.length;Sn++){var An=En[Sn];n.registerKernel(An)}var Mn=function(e,n){return(Mn=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,n){e.__proto__=n}||function(e,n){for(var t in n)n.hasOwnProperty(t)&&(e[t]=n[t])})(e,n)};function xn(e,n,t,a){return new(t||(t=Promise))((function(r,u){function i(e){try{o(a.next(e))}catch(e){u(e)}}function s(e){try{o(a.throw(e))}catch(e){u(e)}}function o(e){var n;e.done?r(e.value):(n=e.value,n instanceof t?n:new t((function(e){e(n)}))).then(i,s)}o((a=a.apply(e,n||[])).next())}))}function Nn(e,n){var t,a,r,u,i={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return u={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(u[Symbol.iterator]=function(){return this}),u;function s(u){return function(s){return function(u){if(t)throw new TypeError("Generator is already executing.");for(;i;)try{if(t=1,a&&(r=2&u[0]?a.return:u[0]?a.throw||((r=a.return)&&r.call(a),0):a.next)&&!(r=r.call(a,u[1])).done)return r;switch(a=0,r&&(u=[2&u[0],r.value]),u[0]){case 0:case 1:r=u;break;case 4:return i.label++,{value:u[1],done:!1};case 5:i.label++,a=u[1],u=[0];continue;case 7:u=i.ops.pop(),i.trys.pop();continue;default:if(!(r=i.trys,(r=r.length>0&&r[r.length-1])||6!==u[0]&&2!==u[0])){i=0;continue}if(3===u[0]&&(!r||u[1]>r[0]&&u[1]<r[3])){i.label=u[1];break}if(6===u[0]&&i.label<r[1]){i.label=r[1],r=u;break}if(r&&i.label<r[2]){i.label=r[2],i.ops.push(u);break}r[2]&&i.ops.pop(),i.trys.pop();continue}u=n.call(e,i)}catch(e){u=[6,e],a=0}finally{t=r=0}if(5&u[0])throw u[1];return{value:u[0]?u[1]:void 0,done:!0}}([u,s])}}}var Fn=n.env();function Tn(e,n){return e(n={exports:{}},n.exports),n.exports}Fn.registerFlag("WASM_HAS_SIMD_SUPPORT",(function(){return xn(void 0,void 0,void 0,(function(){return Nn(this,(function(e){return[2,WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))]}))}))})),Fn.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",(function(){return xn(void 0,void 0,void 0,(function(){return Nn(this,(function(e){if(Fn.get("IS_NODE"))return[2,!1];try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),[2,WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))]}catch(e){return[2,!1]}return[2]}))}))}));var On=Tn((function(e,n){var i,s=(i="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(i=i||__filename),function(e){function n(){return x.buffer!=V&&$(x.buffer),G}function s(){return x.buffer!=V&&$(x.buffer),K}function o(){return x.buffer!=V&&$(x.buffer),X}function l(){return x.buffer!=V&&$(x.buffer),Y}function d(){return x.buffer!=V&&$(x.buffer),Q}var c,p="undefined"!=typeof(e=e||{})?e:{},f={};for(c in p)p.hasOwnProperty(c)&&(f[c]=p[c]);var m=!1,h=!1,b=!1,_=!1;m="object"==typeof window,h="function"==typeof importScripts,b="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,_=!m&&!b&&!h;var y=p.ENVIRONMENT_IS_PTHREAD||!1;y&&(V=p.buffer,ee=p.DYNAMIC_BASE,ne=p.DYNAMICTOP_PTR);var v,g,w,k,I="";function S(e){return p.locateFile?p.locateFile(e,I):I+e}if(b){var E;I=h?t.dirname(I)+"/":__dirname+"/",v=function(e,n){return w||(w=a),k||(k=t),e=k.normalize(e),w.readFileSync(e,n?null:"utf8")},g=function(e){var n=v(e,!0);return n.buffer||(n=new Uint8Array(n)),D(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof pt))throw e})),process.on("unhandledRejection",we),p.inspect=function(){return"[Emscripten Module object]"};try{E=r}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}Worker=E.Worker}else _?("undefined"!=typeof read&&(v=function(e){return read(e)}),g=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(D("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(m||h)&&(h?I=self.location.href:document.currentScript&&(I=document.currentScript.src),"undefined"!=typeof i&&i&&(I=i),I=0!==I.indexOf("blob:")?I.substr(0,I.lastIndexOf("/")+1):"",b?(v=function(e,n){return w||(w=a),k||(k=t),e=k.normalize(e),w.readFileSync(e,n?null:"utf8")},g=function(e){var n=v(e,!0);return n.buffer||(n=new Uint8Array(n)),D(n.buffer),n}):(v=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},h&&(g=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)})));b&&"undefined"==typeof performance&&(performance=u.performance);var A,M,x,N=p.print||console.log.bind(console),F=p.printErr||console.warn.bind(console);for(c in f)f.hasOwnProperty(c)&&(p[c]=f[c]);f=null,p.arguments&&p.arguments,p.thisProgram&&p.thisProgram,p.quit&&p.quit,p.wasmBinary&&(A=p.wasmBinary),p.noExitRuntime&&(M=p.noExitRuntime),"object"!=typeof WebAssembly&&F("no native wasm support detected");var T,O=new WebAssembly.Table({initial:171,maximum:171,element:"anyfunc"}),C=0,R=!1;function D(e,n){e||we("Assertion failed: "+n)}function P(e){var n=p["_"+e];return D(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function W(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);z(e,n=lt(t),t)}return n},array:function(e){var n=lt(e.length);return q(e,n),n}},i=P(e),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var d=u[t[l]];d?(0===o&&(o=ot()),s[l]=d(a[l])):s[l]=a[l]}var c=i.apply(null,s);return c=function(e){return"string"===n?H(e):"boolean"===n?Boolean(e):e}(c),0!==o&&dt(o),c}function B(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?P(e):function(){return W(e,n,t,arguments)}}function L(e,n,t){for(var a=n+t,r="";!(n>=a);){var u=e[n++];if(!u)return r;if(128&u){var i=63&e[n++];if(192!=(224&u)){var s=63&e[n++];if((u=224==(240&u)?(15&u)<<12|i<<6|s:(7&u)<<18|i<<12|s<<6|63&e[n++])<65536)r+=String.fromCharCode(u);else{var o=u-65536;r+=String.fromCharCode(55296|o>>10,56320|1023&o)}}else r+=String.fromCharCode((31&u)<<6|i)}else r+=String.fromCharCode(u)}return r}function H(e,n){return e?L(s(),e,n):""}function U(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function z(e,n,t){return U(e,s(),n,t)}function j(e){for(var n=0,t=0;t<e.length;++t){var a=e.charCodeAt(t);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++t)),a<=127?++n:n+=a<=2047?2:a<=65535?3:4}return n}function q(e,t){n().set(e,t)}var V,G,K,X,Y,Q,Z=65536;function J(e,n){return e%n>0&&(e+=n-e%n),e}function $(e){V=e,p.HEAP8=G=new Int8Array(e),p.HEAP16=new Int16Array(e),p.HEAP32=X=new Int32Array(e),p.HEAPU8=K=new Uint8Array(e),p.HEAPU16=new Uint16Array(e),p.HEAPU32=Y=new Uint32Array(e),p.HEAPF32=new Float32Array(e),p.HEAPF64=Q=new Float64Array(e)}var ee=5256464,ne=12656,te=p.INITIAL_MEMORY||16777216;if(y)x=p.wasmMemory,V=p.buffer;else if(p.wasmMemory)x=p.wasmMemory;else if(!((x=new WebAssembly.Memory({initial:te/Z,maximum:2147483648/Z,shared:!0})).buffer instanceof SharedArrayBuffer))throw F("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),b&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");function ae(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?p.dynCall_v(t):p.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(p)}}x&&(V=x.buffer),te=V.byteLength,$(V),y||(o()[ne>>2]=ee);var re=[],ue=[],ie=[],se=[];function oe(){if(!y){if(p.preRun)for("function"==typeof p.preRun&&(p.preRun=[p.preRun]);p.preRun.length;)pe(p.preRun.shift());ae(re)}}function le(){ae(ue)}function de(){y||ae(ie)}function ce(){if(!y){if(p.postRun)for("function"==typeof p.postRun&&(p.postRun=[p.postRun]);p.postRun.length;)fe(p.postRun.shift());ae(se)}}function pe(e){re.unshift(e)}function fe(e){se.unshift(e)}var me=Math.ceil,he=Math.floor,be=0,_e=null,ye=null;function ve(e){D(!y,"addRunDependency cannot be used in a pthread worker"),be++,p.monitorRunDependencies&&p.monitorRunDependencies(be)}function ge(e){if(be--,p.monitorRunDependencies&&p.monitorRunDependencies(be),0==be&&(null!==_e&&(clearInterval(_e),_e=null),ye)){var n=ye;ye=null,n()}}function we(e){throw p.onAbort&&p.onAbort(e),y&&console.error("Pthread aborting at "+(new Error).stack),N(e+=""),F(e),R=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ke(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}p.preloadedImages={},p.preloadedAudios={};var Ie="data:application/octet-stream;base64,";function Se(e){return ke(e,Ie)}var Ee="file://";function Ae(e){return ke(e,Ee)}var Me="tfjs-backend-wasm-threaded-simd.wasm";function xe(){try{if(A)return new Uint8Array(A);if(g)return g(Me);throw"both async and sync fetching of the wasm failed"}catch(e){we(e)}}function Ne(){return A||!m&&!h||"function"!=typeof fetch||Ae(Me)?new Promise((function(e,n){e(xe())})):fetch(Me,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+Me+"'";return e.arrayBuffer()})).catch((function(){return xe()}))}function Fe(){var e={a:Kn};function n(e,n){var t=e.exports;if(p.asm=t,T=n,!y){var a=qe.unusedWorkers.length;qe.unusedWorkers.forEach((function(e){qe.loadWasmModuleToWorker(e,(function(){--a||ge()}))}))}}function t(e){n(e.instance,e.module)}function a(n){return Ne().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){F("failed to asynchronously prepare wasm: "+e),we(e)}))}if(y||ve(),p.instantiateWasm)try{return p.instantiateWasm(e,n)}catch(e){return F("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(A||"function"!=typeof WebAssembly.instantiateStreaming||Se(Me)||Ae(Me)||"function"!=typeof fetch)return a(t);fetch(Me,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){F("wasm streaming compile failed: "+e),F("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}Se(Me)||(Me=S(Me));var Te={};function Oe(){qe.initRuntime()}y||ue.push({func:function(){Qn()}});var Ce=0,Re=0,De=0;function Pe(e,n,t){Ce=e|=0,De=n|=0,Re=t|=0}p.__register_pthread_ptr=Pe;var We={EPERM:63,ENOENT:44,ESRCH:71,EINTR:27,EIO:29,ENXIO:60,E2BIG:1,ENOEXEC:45,EBADF:8,ECHILD:12,EAGAIN:6,EWOULDBLOCK:6,ENOMEM:48,EACCES:2,EFAULT:21,ENOTBLK:105,EBUSY:10,EEXIST:20,EXDEV:75,ENODEV:43,ENOTDIR:54,EISDIR:31,EINVAL:28,ENFILE:41,EMFILE:33,ENOTTY:59,ETXTBSY:74,EFBIG:22,ENOSPC:51,ESPIPE:70,EROFS:69,EMLINK:34,EPIPE:64,EDOM:18,ERANGE:68,ENOMSG:49,EIDRM:24,ECHRNG:106,EL2NSYNC:156,EL3HLT:107,EL3RST:108,ELNRNG:109,EUNATCH:110,ENOCSI:111,EL2HLT:112,EDEADLK:16,ENOLCK:46,EBADE:113,EBADR:114,EXFULL:115,ENOANO:104,EBADRQC:103,EBADSLT:102,EDEADLOCK:16,EBFONT:101,ENOSTR:100,ENODATA:116,ETIME:117,ENOSR:118,ENONET:119,ENOPKG:120,EREMOTE:121,ENOLINK:47,EADV:122,ESRMNT:123,ECOMM:124,EPROTO:65,EMULTIHOP:36,EDOTDOT:125,EBADMSG:9,ENOTUNIQ:126,EBADFD:127,EREMCHG:128,ELIBACC:129,ELIBBAD:130,ELIBSCN:131,ELIBMAX:132,ELIBEXEC:133,ENOSYS:52,ENOTEMPTY:55,ENAMETOOLONG:37,ELOOP:32,EOPNOTSUPP:138,EPFNOSUPPORT:139,ECONNRESET:15,ENOBUFS:42,EAFNOSUPPORT:5,EPROTOTYPE:67,ENOTSOCK:57,ENOPROTOOPT:50,ESHUTDOWN:140,ECONNREFUSED:14,EADDRINUSE:3,ECONNABORTED:13,ENETUNREACH:40,ENETDOWN:38,ETIMEDOUT:73,EHOSTDOWN:142,EHOSTUNREACH:23,EINPROGRESS:26,EALREADY:7,EDESTADDRREQ:17,EMSGSIZE:35,EPROTONOSUPPORT:66,ESOCKTNOSUPPORT:137,EADDRNOTAVAIL:4,ENETRESET:39,EISCONN:30,ENOTCONN:53,ETOOMANYREFS:141,EUSERS:136,EDQUOT:19,ESTALE:72,ENOTSUP:138,ENOMEDIUM:148,EILSEQ:25,EOVERFLOW:61,ECANCELED:11,ENOTRECOVERABLE:56,EOWNERDEAD:62,ESTRPIPE:135},Be=13568;function Le(e,t){if(e<=0||e>n().length||!0&e||t<0)return-28;if(0==t)return 0;t>=2147483647&&(t=1/0);var a=Atomics.load(o(),Be>>2),r=0;if(a==e&&Atomics.compareExchange(o(),Be>>2,a,0)==a&&(r=1,--t<=0))return 1;var u=Atomics.notify(o(),e>>2,t);if(u>=0)return u+r;throw"Atomics.notify returned an unexpected value "+u}function He(e){if(y)throw"Internal Error! _kill_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _kill_thread!";o()[e+12>>2]=0;var n=qe.pthreads[e];n.worker.terminate(),qe.freeThreadData(n),qe.runningWorkers.splice(qe.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}function Ue(e){if(y)throw"Internal Error! _cancel_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cancel_thread!";qe.pthreads[e].worker.postMessage({cmd:"cancel"})}function ze(e){if(y)throw"Internal Error! _cleanup_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cleanup_thread!";o()[e+12>>2]=0;var n=qe.pthreads[e];if(n){var t=n.worker;qe.returnWorkerToPool(t)}}p._emscripten_futex_wake=Le;var je,qe={MAIN_THREAD_ID:1,mainThreadInfo:{schedPolicy:0,schedPrio:0},unusedWorkers:[],runningWorkers:[],initRuntime:function(){Pe(qe.mainThreadBlock,!h,1),rt(qe.mainThreadBlock)},initMainThreadBlock:function(){for(var e=0;e<8;++e)qe.allocateUnusedWorker();for(qe.mainThreadBlock=12816,e=0;e<58;++e)l()[qe.mainThreadBlock/4+e]=0;o()[qe.mainThreadBlock+12>>2]=qe.mainThreadBlock;var n=qe.mainThreadBlock+156;for(o()[n>>2]=n,e=0;e<128;++e)l()[3264+e]=0;Atomics.store(l(),qe.mainThreadBlock+104>>2,13056),Atomics.store(l(),qe.mainThreadBlock+40>>2,qe.mainThreadBlock),Atomics.store(l(),qe.mainThreadBlock+44>>2,42)},initWorker:function(){},pthreads:{},exitHandlers:null,setThreadStatus:function(){},runExitHandlers:function(){if(null!==qe.exitHandlers){for(;qe.exitHandlers.length>0;)qe.exitHandlers.pop()();qe.exitHandlers=null}y&&C&&tt()},threadExit:function(e){var n=zn();n&&(Atomics.store(l(),n+4>>2,e),Atomics.store(l(),n+0>>2,1),Atomics.store(l(),n+60>>2,1),Atomics.store(l(),n+64>>2,0),qe.runExitHandlers(),Le(n+0,2147483647),Pe(0,0,0),C=0,y&&postMessage({cmd:"exit"}))},threadCancel:function(){qe.runExitHandlers(),Atomics.store(l(),C+4>>2,-1),Atomics.store(l(),C+0>>2,1),Le(C+0,2147483647),C=0,Pe(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in qe.pthreads)(a=qe.pthreads[e])&&a.worker&&qe.returnWorkerToPool(a.worker);qe.pthreads={};for(var n=0;n<qe.unusedWorkers.length;++n)(t=qe.unusedWorkers[n]).terminate();for(qe.unusedWorkers=[],n=0;n<qe.runningWorkers.length;++n){var t,a=(t=qe.runningWorkers[n]).pthread;qe.freeThreadData(a),t.terminate()}qe.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var n=o()[e.threadInfoStruct+104>>2];o()[e.threadInfoStruct+104>>2]=0,Jn(n),Jn(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&Jn(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){delete qe.pthreads[e.pthread.thread],qe.unusedWorkers.push(e),qe.runningWorkers.splice(qe.runningWorkers.indexOf(e),1),qe.freeThreadData(e.pthread),e.pthread=void 0},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,n){e.onmessage=function(t){var a=t.data,r=a.cmd;if(e.pthread&&(qe.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),a.targetThread&&a.targetThread!=zn()){var u=qe.pthreads[a.targetThread];return u?u.worker.postMessage(t.data,a.transferList):console.error('Internal error! Worker sent a message "'+r+'" to target pthread '+a.targetThread+", but that thread no longer exists!"),void(qe.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===r?at():"spawnThread"===r?Hn(t.data):"cleanupThread"===r?ze(a.thread):"killThread"===r?He(a.thread):"cancelThread"===r?Ue(a.thread):"loaded"===r?(e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===r?N("Thread "+a.threadId+": "+a.text):"printErr"===r?F("Thread "+a.threadId+": "+a.text):"alert"===r?alert("Thread "+a.threadId+": "+a.text):"exit"===r?e.pthread&&Atomics.load(l(),e.pthread.thread+68>>2)&&qe.returnWorkerToPool(e):"cancelDone"===r?qe.returnWorkerToPool(e):"objectTransfer"===r?qe.receiveObjectTransfer(t.data):"setimmediate"===t.data.target?e.postMessage(t.data):F("worker sent an unknown command "+r),qe.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){F("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},b&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("exit",(function(e){console.log("worker exited - TODO: update the worker queue?")}))),e.postMessage({cmd:"load",urlOrBlob:p.mainScriptUrlOrBlob||i,wasmMemory:x,wasmModule:T,DYNAMIC_BASE:ee,DYNAMICTOP_PTR:ne})},allocateUnusedWorker:function(){var e=S("tfjs-backend-wasm-threaded-simd.worker.js");qe.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==qe.unusedWorkers.length&&(qe.allocateUnusedWorker(),qe.loadWasmModuleToWorker(qe.unusedWorkers[0])),qe.unusedWorkers.length>0?qe.unusedWorkers.pop():null},busySpinWait:function(e){for(var n=performance.now()+e;performance.now()<n;);}};function Ve(e,n){dt(e)}function Ge(){return M}function Ke(e,n,t,a){we("Assertion failed: "+H(e)+", at: "+[n?H(n):"unknown filename",t,a?H(a):"unknown function"])}function Xe(e,n){_main(e,n)}function Ye(e){return o()[$n()>>2]=e,e}function Qe(e,n){if(y)return un(1,1,e,n)}function Ze(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(y)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=qe.pthreads[e],a=t&&t.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1}function Je(){we()}function $e(e,n){}function en(e,t,a){if(e<=0||e>n().length||!0&e)return-28;if(h){var r=Atomics.wait(o(),e>>2,t,a);if("timed-out"===r)return-73;if("not-equal"===r)return-6;if("ok"===r)return 0;throw"Atomics.wait returned an unexpected value "+r}if(t!=Atomics.load(o(),e>>2))return-6;var u=performance.now(),i=u+a;Atomics.store(o(),Be>>2,e);for(var s=e;e==s;){if((u=performance.now())>i)return-73;at(),e=Atomics.load(o(),Be>>2)}return 0}function nn(){return 0|De}function tn(){return 0|Re}function an(e,n,t){s().copyWithin(e,n,n+t)}function rn(){return navigator.hardwareConcurrency}function un(e,n){for(var t=arguments.length-2,a=ot(),r=lt(8*t),u=r>>3,i=0;i<t;i++)d()[u+i]=arguments[2+i];var s=it(e,t,r,n);return dt(a),s}p.establishStackSpace=Ve,p.getNoExitRuntime=Ge,je=b?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:y?function(){return performance.now()-p.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var sn=[];function on(e,n){on.array||(on.array=[]);var t,a=on.array;for(a.length=0;t=s()[e++];)100===t||102===t?(n=n+7&-8,a.push(d()[n>>3]),n+=8):(n=n+3&-4,a.push(o()[n>>2]),n+=4);return a}function ln(e,n,t){sn.length=n;for(var a=t>>3,r=0;r<n;r++)sn[r]=d()[a+r];var u=e<0,i=u?Te[-e-1]:Gn[e];if(u){var s=on(sn[1],sn[2]);return i.apply(null,s)}return i.apply(null,sn)}function dn(){return s().length}function cn(e){try{return x.grow(e-V.byteLength+65535>>>16),$(x.buffer),1}catch(e){}}function pn(e){e>>>=0;var n=dn();if(e<=n)return!1;if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),cn(Math.min(2147483648,J(Math.max(16777216,e,a),65536))))return!0}return!1}var fn={keyEvent:0,mouseEvent:0,wheelEvent:0,uiEvent:0,focusEvent:0,deviceOrientationEvent:0,deviceMotionEvent:0,fullscreenChangeEvent:0,pointerlockChangeEvent:0,visibilityChangeEvent:0,touchEvent:0,previousFullscreenElement:null,previousScreenX:null,previousScreenY:null,removeEventListenersRegistered:!1,removeAllEventListeners:function(){for(var e=fn.eventHandlers.length-1;e>=0;--e)fn._removeHandler(e);fn.eventHandlers=[],fn.deferredCalls=[]},registerRemoveEventListeners:function(){fn.removeEventListenersRegistered||(fn.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function a(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var r in fn.deferredCalls){var u=fn.deferredCalls[r];if(u.targetFunction==e&&a(u.argsList,t))return}fn.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),fn.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<fn.deferredCalls.length;++n)fn.deferredCalls[n].targetFunction==e&&(fn.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return fn.inEventHandler&&fn.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(fn.canPerformEventHandlerRequests())for(var e=0;e<fn.deferredCalls.length;++e){var n=fn.deferredCalls[e];fn.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},inEventHandler:0,currentEventHandler:null,eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<fn.eventHandlers.length;++t)fn.eventHandlers[t].target!=e||n&&n!=fn.eventHandlers[t].eventTypeString||fn._removeHandler(t--)},_removeHandler:function(e){var n=fn.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),fn.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++fn.inEventHandler,fn.currentEventHandler=e,fn.runDeferredCalls(),e.handlerFunc(n),fn.runDeferredCalls(),--fn.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),fn.eventHandlers.push(e),fn.registerRemoveEventListeners();else for(var t=0;t<fn.eventHandlers.length;++t)fn.eventHandlers[t].target==e.target&&fn.eventHandlers[t].eventTypeString==e.eventTypeString&&fn._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,a,r){var u=ot(),i=lt(12);o()[i>>2]=t,o()[i+4>>2]=a,o()[i+8>>2]=r,st(e,637534208,n,a,i),dt(u)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return qe.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function mn(e){var n=j(e)+1,t=Zn(n);return z(e,t,n),t}function hn(e,n,t,a){var r=ot(),u=lt(12),i=0;n&&(i=mn(n)),o()[u>>2]=i,o()[u+4>>2]=t,o()[u+8>>2]=a,st(e,657457152,0,i,u),dt(r)}function bn(e,n,t,a){hn(e,n=n?H(n):"",t,a)}function _n(e){return e>2?H(e):e}var yn=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function vn(e){return e=_n(e),yn[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function gn(e){return vn(e)}function wn(e,n,t){var a=gn(e);if(!a)return-4;if(a.canvasSharedPtr&&(o()[a.canvasSharedPtr>>2]=n,o()[a.canvasSharedPtr+4>>2]=t),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(bn(o()[a.canvasSharedPtr+8>>2],e,n,t),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var r=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var u=a.GLctxObject.GLctx.getParameter(2978);r=0===u[0]&&0===u[1]&&u[2]===a.width&&u[3]===a.height}return a.width=n,a.height=t,r&&a.GLctxObject.GLctx.viewport(0,0,n,t),0}function kn(e,n,t){return y?un(2,1,e,n,t):wn(e,n,t)}function In(e,n,t){return gn(e)?wn(e,n,t):kn(e,n,t)}function Sn(e){}function En(e,n){}function An(e){var n=e.getExtension("ANGLE_instanced_arrays");if(n)return e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,a,r){n.drawArraysInstancedANGLE(e,t,a,r)},e.drawElementsInstanced=function(e,t,a,r,u){n.drawElementsInstancedANGLE(e,t,a,r,u)},1}function Mn(e){var n=e.getExtension("OES_vertex_array_object");if(n)return e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)},1}function xn(e){var n=e.getExtension("WEBGL_draw_buffers");if(n)return e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)},1}var Nn={counter:1,lastError:0,buffers:[],mappedBuffers:{},programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},currentContext:null,offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,init:function(){for(var e=new Float32Array(Nn.MINI_TEMP_BUFFER_SIZE),n=0;n<Nn.MINI_TEMP_BUFFER_SIZE;n++)Nn.miniTempBufferFloatViews[n]=e.subarray(0,n+1);var t=new Int32Array(Nn.MINI_TEMP_BUFFER_SIZE);for(n=0;n<Nn.MINI_TEMP_BUFFER_SIZE;n++)Nn.miniTempBufferIntViews[n]=t.subarray(0,n+1)},recordError:function(e){Nn.lastError||(Nn.lastError=e)},getNewId:function(e){for(var n=Nn.counter++,t=e.length;t<n;t++)e[t]=null;return n},MINI_TEMP_BUFFER_SIZE:256,miniTempBufferFloatViews:[0],miniTempBufferIntViews:[0],getSource:function(e,n,t,a){for(var r="",u=0;u<n;++u){var i=a?o()[a+4*u>>2]:-1;r+=H(o()[t+4*u>>2],i<0?void 0:i)}return r},createContext:function(e,n){var t=e.getContext("webgl",n);return t?Nn.registerContext(t,n):0},registerContext:function(e,n){var t=Zn(8);o()[t+4>>2]=zn();var a={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),Nn.contexts[t]=a,("undefined"==typeof n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&Nn.initExtensions(a),t},makeContextCurrent:function(e){return Nn.currentContext=Nn.contexts[e],p.ctx=Cn=Nn.currentContext&&Nn.currentContext.GLctx,!(e&&!Cn)},getContext:function(e){return Nn.contexts[e]},deleteContext:function(e){Nn.currentContext===Nn.contexts[e]&&(Nn.currentContext=null),"object"==typeof fn&&fn.removeAllHandlersOnTarget(Nn.contexts[e].GLctx.canvas),Nn.contexts[e]&&Nn.contexts[e].GLctx.canvas&&(Nn.contexts[e].GLctx.canvas.GLctxObject=void 0),Jn(Nn.contexts[e].handle),Nn.contexts[e]=null},initExtensions:function(e){if(e||(e=Nn.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n=e.GLctx;An(n),Mn(n),xn(n),n.disjointTimerQueryExt=n.getExtension("EXT_disjoint_timer_query");var t=["OES_texture_float","OES_texture_half_float","OES_standard_derivatives","OES_vertex_array_object","WEBGL_compressed_texture_s3tc","WEBGL_depth_texture","OES_element_index_uint","EXT_texture_filter_anisotropic","EXT_frag_depth","WEBGL_draw_buffers","ANGLE_instanced_arrays","OES_texture_float_linear","OES_texture_half_float_linear","EXT_blend_minmax","EXT_shader_texture_lod","EXT_texture_norm16","WEBGL_compressed_texture_pvrtc","EXT_color_buffer_half_float","WEBGL_color_buffer_float","EXT_sRGB","WEBGL_compressed_texture_etc1","EXT_disjoint_timer_query","WEBGL_compressed_texture_etc","WEBGL_compressed_texture_astc","EXT_color_buffer_float","WEBGL_compressed_texture_s3tc_srgb","EXT_disjoint_timer_query_webgl2","WEBKIT_WEBGL_compressed_texture_pvrtc"];(n.getSupportedExtensions()||[]).forEach((function(e){-1!=t.indexOf(e)&&n.getExtension(e)}))}},populateUniformTable:function(e){for(var n=Nn.programs[e],t=Nn.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},a=t.uniforms,r=Cn.getProgramParameter(n,35718),u=0;u<r;++u){var i=Cn.getActiveUniform(n,u),s=i.name;t.maxUniformLength=Math.max(t.maxUniformLength,s.length+1),"]"==s.slice(-1)&&(s=s.slice(0,s.lastIndexOf("[")));var o=Cn.getUniformLocation(n,s);if(o){var l=Nn.getNewId(Nn.uniforms);a[s]=[i.size,l],Nn.uniforms[l]=o;for(var d=1;d<i.size;++d){var c=s+"["+d+"]";o=Cn.getUniformLocation(n,c),l=Nn.getNewId(Nn.uniforms),Nn.uniforms[l]=o}}}}},Fn=["default","low-power","high-performance"];function Tn(e,n){var t={},a=n>>2;t.alpha=!!o()[a+0],t.depth=!!o()[a+1],t.stencil=!!o()[a+2],t.antialias=!!o()[a+3],t.premultipliedAlpha=!!o()[a+4],t.preserveDrawingBuffer=!!o()[a+5];var r=o()[a+6];t.powerPreference=Fn[r],t.failIfMajorPerformanceCaveat=!!o()[a+7],t.majorVersion=o()[a+8],t.minorVersion=o()[a+9],t.enableExtensionsByDefault=o()[a+10],t.explicitSwapControl=o()[a+11],t.proxyContextToMainThread=o()[a+12],t.renderViaOffscreenBackBuffer=o()[a+13];var u=gn(e);return u?t.explicitSwapControl?-1:Nn.createContext(u,t):-4}function On(e,n){return Tn(e,n)}var Cn,Rn={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=Rn.buffers[e];0===n||10===n?((1===e?N:F)(L(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return Rn.varargs+=4,o()[Rn.varargs-4>>2]},getStr:function(e){return H(e)},get64:function(e,n){return e}};function Dn(e){return y?un(3,1,e):0}function Pn(e,n,t,a,r){if(y)return un(4,1,e,n,t,a,r)}function Wn(e,n,t,a){if(y)return un(5,1,e,n,t,a);for(var r=0,u=0;u<t;u++){for(var i=o()[n+8*u>>2],l=o()[n+(8*u+4)>>2],d=0;d<l;d++)Rn.printChar(e,s()[i+d]);r+=l}return o()[a>>2]=r,0}function Bn(e){var n=qe.exitHandlers.pop();e&&n()}function Ln(e,n){null===qe.exitHandlers&&(qe.exitHandlers=[]),qe.exitHandlers.push((function(){ct(e,n)}))}function Hn(e){if(y)throw"Internal Error! _spawn_thread() can only ever be called from main application thread!";var n=qe.getNewWorker();if(void 0!==n.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";qe.runningWorkers.push(n);for(var t=Zn(512),a=0;a<128;++a)o()[t+4*a>>2]=0;var r=e.stackBase+e.stackSize,u=qe.pthreads[e.pthread_ptr]={worker:n,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,thread:e.pthread_ptr,threadInfoStruct:e.pthread_ptr},i=u.threadInfoStruct>>2;Atomics.store(l(),i+0,0),Atomics.store(l(),i+1,0),Atomics.store(l(),i+2,0),Atomics.store(l(),i+17,e.detached),Atomics.store(l(),i+26,t),Atomics.store(l(),i+12,0),Atomics.store(l(),i+10,u.threadInfoStruct),Atomics.store(l(),i+11,42),Atomics.store(l(),i+27,e.stackSize),Atomics.store(l(),i+21,e.stackSize),Atomics.store(l(),i+20,r),Atomics.store(l(),i+29,r),Atomics.store(l(),i+30,e.detached),Atomics.store(l(),i+32,e.schedPolicy),Atomics.store(l(),i+33,e.schedPrio);var s=et()+40;Atomics.store(l(),i+44,s),n.pthread=u;var d={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,selfThreadId:e.pthread_ptr,parentThreadId:e.parent_pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};n.runPthread=function(){d.time=performance.now(),n.postMessage(d,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread)}function Un(e,n,t){if(!n&&!t)return We.EINVAL;if(!e)return F("pthread_getschedparam called with a null thread pointer!"),We.ESRCH;if(o()[e+12>>2]!==e)return F("pthread_getschedparam attempted on thread "+e+", which does not point to a valid thread, or does not exist anymore!"),We.ESRCH;var a=Atomics.load(l(),e+108+20>>2),r=Atomics.load(l(),e+108+24>>2);return n&&(o()[n>>2]=a),t&&(o()[t>>2]=r),0}function zn(){return 0|Ce}function jn(e,n,t,a){if("undefined"==typeof SharedArrayBuffer)return F("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return F("pthread_create called with a null thread pointer!"),28;var r=[];if(y&&0===r.length)return ut(687865856,e,n,t,a);var u=0,i=0,s=0,d=0,c=0;if(n)if(u=o()[n>>2],u+=81920,i=o()[n+8>>2],s=0!==o()[n+12>>2],0===o()[n+16>>2]){var p=o()[n+20>>2],f=o()[n+24>>2];Un(qe.currentProxiedOperationCallerThread?qe.currentProxiedOperationCallerThread:zn(),n+20,n+24),d=o()[n+20>>2],c=o()[n+24>>2],o()[n+20>>2]=p,o()[n+24>>2]=f}else d=o()[n+20>>2],c=o()[n+24>>2];else u=2097152;var m=0==i;m?i=nt(16,u):D((i-=u)>0);for(var h=Zn(232),b=0;b<58;++b)l()[(h>>2)+b]=0;o()[e>>2]=h,o()[h+12>>2]=h;var _=h+156;o()[_>>2]=_;var v={stackBase:i,stackSize:u,allocatedOwnStack:m,schedPolicy:d,schedPrio:c,detached:s,startRoutine:t,pthread_ptr:h,parent_pthread_ptr:zn(),arg:a,transferList:r};return y?(v.cmd="spawnThread",postMessage(v,r)):Hn(v),0}function qn(e){return(e=+e)>=0?+he(e+.5):+me(e-.5)}function Vn(e){if(y)return un(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:case 79:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return Ye(28),-1}p._pthread_self=zn,y?qe.initWorker():qe.initMainThreadBlock(),Nn.init();var Gn=[null,Qe,kn,Dn,Pn,Wn,Vn],Kn={e:Ke,r:Xe,w:Ze,a:Je,l:$e,d:en,c:Le,h:je,g:nn,x:tn,q:an,B:rn,t:ln,A:pn,u:In,k:Sn,s:En,v:On,m:Dn,o:Pn,i:Wn,p:Oe,memory:x||p.wasmMemory,y:Bn,z:Ln,j:jn,b:zn,f:qn,n:Vn,table:O},Xn=Fe();p.asm=Xn;var Yn,Qn=p.___wasm_call_ctors=function(){return(Qn=p.___wasm_call_ctors=p.asm.C).apply(null,arguments)},Zn=(p._init=function(){return(p._init=p.asm.D).apply(null,arguments)},p._register_tensor=function(){return(p._register_tensor=p.asm.E).apply(null,arguments)},p._dispose_data=function(){return(p._dispose_data=p.asm.F).apply(null,arguments)},p._dispose=function(){return(p._dispose=p.asm.G).apply(null,arguments)},p._Abs=function(){return(p._Abs=p.asm.H).apply(null,arguments)},p._Add=function(){return(p._Add=p.asm.I).apply(null,arguments)},p._AddN=function(){return(p._AddN=p.asm.J).apply(null,arguments)},p._ArgMax=function(){return(p._ArgMax=p.asm.K).apply(null,arguments)},p._AvgPool=function(){return(p._AvgPool=p.asm.L).apply(null,arguments)},p._BatchMatMul=function(){return(p._BatchMatMul=p.asm.M).apply(null,arguments)},p._Ceil=function(){return(p._Ceil=p.asm.N).apply(null,arguments)},p._ClipByValue=function(){return(p._ClipByValue=p.asm.O).apply(null,arguments)},p._Conv2D=function(){return(p._Conv2D=p.asm.P).apply(null,arguments)},p._Conv2DBackpropInput=function(){return(p._Conv2DBackpropInput=p.asm.Q).apply(null,arguments)},p._Cos=function(){return(p._Cos=p.asm.R).apply(null,arguments)},p._CropAndResize=function(){return(p._CropAndResize=p.asm.S).apply(null,arguments)},p._Cumsum=function(){return(p._Cumsum=p.asm.T).apply(null,arguments)},p._DepthToSpace=function(){return(p._DepthToSpace=p.asm.U).apply(null,arguments)},p._DepthwiseConv2dNative=function(){return(p._DepthwiseConv2dNative=p.asm.V).apply(null,arguments)},p._Equal=function(){return(p._Equal=p.asm.W).apply(null,arguments)},p._Exp=function(){return(p._Exp=p.asm.X).apply(null,arguments)},p._FlipLeftRight=function(){return(p._FlipLeftRight=p.asm.Y).apply(null,arguments)},p._Floor=function(){return(p._Floor=p.asm.Z).apply(null,arguments)},p._FloorDiv=function(){return(p._FloorDiv=p.asm._).apply(null,arguments)},p._FusedBatchNorm=function(){return(p._FusedBatchNorm=p.asm.$).apply(null,arguments)},p._FusedConv2D=function(){return(p._FusedConv2D=p.asm.aa).apply(null,arguments)},p._FusedDepthwiseConv2D=function(){return(p._FusedDepthwiseConv2D=p.asm.ba).apply(null,arguments)},p._Gather=function(){return(p._Gather=p.asm.ca).apply(null,arguments)},p._GatherNd=function(){return(p._GatherNd=p.asm.da).apply(null,arguments)},p._Greater=function(){return(p._Greater=p.asm.ea).apply(null,arguments)},p._GreaterEqual=function(){return(p._GreaterEqual=p.asm.fa).apply(null,arguments)},p._LeakyRelu=function(){return(p._LeakyRelu=p.asm.ga).apply(null,arguments)},p._Less=function(){return(p._Less=p.asm.ha).apply(null,arguments)},p._LessEqual=function(){return(p._LessEqual=p.asm.ia).apply(null,arguments)},p._Log=function(){return(p._Log=p.asm.ja).apply(null,arguments)},p._LogicalAnd=function(){return(p._LogicalAnd=p.asm.ka).apply(null,arguments)},p._Max=function(){return(p._Max=p.asm.la).apply(null,arguments)},p._MaxPool=function(){return(p._MaxPool=p.asm.ma).apply(null,arguments)},p._Maximum=function(){return(p._Maximum=p.asm.na).apply(null,arguments)},p._Mean=function(){return(p._Mean=p.asm.oa).apply(null,arguments)},p._Min=function(){return(p._Min=p.asm.pa).apply(null,arguments)},p._Minimum=function(){return(p._Minimum=p.asm.qa).apply(null,arguments)},p._Multiply=function(){return(p._Multiply=p.asm.ra).apply(null,arguments)},p._Neg=function(){return(p._Neg=p.asm.sa).apply(null,arguments)},p._NonMaxSuppressionV3=function(){return(p._NonMaxSuppressionV3=p.asm.ta).apply(null,arguments)},p._NonMaxSuppressionV4=function(){return(p._NonMaxSuppressionV4=p.asm.ua).apply(null,arguments)},p._NonMaxSuppressionV5=function(){return(p._NonMaxSuppressionV5=p.asm.va).apply(null,arguments)},p._NotEqual=function(){return(p._NotEqual=p.asm.wa).apply(null,arguments)},p._OneHot=function(){return(p._OneHot=p.asm.xa).apply(null,arguments)},p._PadV2=function(){return(p._PadV2=p.asm.ya).apply(null,arguments)},p._Pow=function(){return(p._Pow=p.asm.za).apply(null,arguments)},p._Prelu=function(){return(p._Prelu=p.asm.Aa).apply(null,arguments)},p._Prod=function(){return(p._Prod=p.asm.Ba).apply(null,arguments)},p._RealDiv=function(){return(p._RealDiv=p.asm.Ca).apply(null,arguments)},p._Relu=function(){return(p._Relu=p.asm.Da).apply(null,arguments)},p._Relu6=function(){return(p._Relu6=p.asm.Ea).apply(null,arguments)},p._ResizeBilinear=function(){return(p._ResizeBilinear=p.asm.Fa).apply(null,arguments)},p._Reverse=function(){return(p._Reverse=p.asm.Ga).apply(null,arguments)},p._RotateWithOffset=function(){return(p._RotateWithOffset=p.asm.Ha).apply(null,arguments)},p._Round=function(){return(p._Round=p.asm.Ia).apply(null,arguments)},p._Rsqrt=function(){return(p._Rsqrt=p.asm.Ja).apply(null,arguments)},p._ScatterNd=function(){return(p._ScatterNd=p.asm.Ka).apply(null,arguments)},p._SelectV2=function(){return(p._SelectV2=p.asm.La).apply(null,arguments)},p._Sigmoid=function(){return(p._Sigmoid=p.asm.Ma).apply(null,arguments)},p._Sin=function(){return(p._Sin=p.asm.Na).apply(null,arguments)},p._Softmax=function(){return(p._Softmax=p.asm.Oa).apply(null,arguments)},p._Sqrt=function(){return(p._Sqrt=p.asm.Pa).apply(null,arguments)},p._Square=function(){return(p._Square=p.asm.Qa).apply(null,arguments)},p._SquaredDifference=function(){return(p._SquaredDifference=p.asm.Ra).apply(null,arguments)},p._Step=function(){return(p._Step=p.asm.Sa).apply(null,arguments)},p._StridedSlice=function(){return(p._StridedSlice=p.asm.Ta).apply(null,arguments)},p._Sub=function(){return(p._Sub=p.asm.Ua).apply(null,arguments)},p._Sum=function(){return(p._Sum=p.asm.Va).apply(null,arguments)},p._Tanh=function(){return(p._Tanh=p.asm.Wa).apply(null,arguments)},p._Tile=function(){return(p._Tile=p.asm.Xa).apply(null,arguments)},p._TopK=function(){return(p._TopK=p.asm.Ya).apply(null,arguments)},p._Transpose=function(){return(p._Transpose=p.asm.Za).apply(null,arguments)},p.__FusedMatMul=function(){return(p.__FusedMatMul=p.asm._a).apply(null,arguments)},p._malloc=function(){return(Zn=p._malloc=p.asm.$a).apply(null,arguments)}),Jn=p._free=function(){return(Jn=p._free=p.asm.ab).apply(null,arguments)},$n=p.___errno_location=function(){return($n=p.___errno_location=p.asm.bb).apply(null,arguments)},et=p._emscripten_get_global_libc=function(){return(et=p._emscripten_get_global_libc=p.asm.cb).apply(null,arguments)},nt=(p.___em_js__initPthreadsJS=function(){return(p.___em_js__initPthreadsJS=p.asm.db).apply(null,arguments)},p._memalign=function(){return(nt=p._memalign=p.asm.eb).apply(null,arguments)}),tt=p.___pthread_tsd_run_dtors=function(){return(tt=p.___pthread_tsd_run_dtors=p.asm.fb).apply(null,arguments)},at=p._emscripten_main_thread_process_queued_calls=function(){return(at=p._emscripten_main_thread_process_queued_calls=p.asm.gb).apply(null,arguments)},rt=(p._emscripten_current_thread_process_queued_calls=function(){return(p._emscripten_current_thread_process_queued_calls=p.asm.hb).apply(null,arguments)},p._emscripten_register_main_browser_thread_id=function(){return(rt=p._emscripten_register_main_browser_thread_id=p.asm.ib).apply(null,arguments)}),ut=(p._emscripten_main_browser_thread_id=function(){return(p._emscripten_main_browser_thread_id=p.asm.jb).apply(null,arguments)},p._emscripten_async_run_in_main_thread=function(){return(p._emscripten_async_run_in_main_thread=p.asm.kb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread=function(){return(p._emscripten_sync_run_in_main_thread=p.asm.lb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_0=function(){return(p._emscripten_sync_run_in_main_thread_0=p.asm.mb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_1=function(){return(p._emscripten_sync_run_in_main_thread_1=p.asm.nb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_2=function(){return(p._emscripten_sync_run_in_main_thread_2=p.asm.ob).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_xprintf_varargs=function(){return(p._emscripten_sync_run_in_main_thread_xprintf_varargs=p.asm.pb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_3=function(){return(p._emscripten_sync_run_in_main_thread_3=p.asm.qb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_4=function(){return(ut=p._emscripten_sync_run_in_main_thread_4=p.asm.rb).apply(null,arguments)}),it=(p._emscripten_sync_run_in_main_thread_5=function(){return(p._emscripten_sync_run_in_main_thread_5=p.asm.sb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_6=function(){return(p._emscripten_sync_run_in_main_thread_6=p.asm.tb).apply(null,arguments)},p._emscripten_sync_run_in_main_thread_7=function(){return(p._emscripten_sync_run_in_main_thread_7=p.asm.ub).apply(null,arguments)},p._emscripten_run_in_main_runtime_thread_js=function(){return(it=p._emscripten_run_in_main_runtime_thread_js=p.asm.vb).apply(null,arguments)}),st=p._emscripten_async_queue_on_thread_=function(){return(st=p._emscripten_async_queue_on_thread_=p.asm.wb).apply(null,arguments)},ot=(p._emscripten_tls_init=function(){return(p._emscripten_tls_init=p.asm.xb).apply(null,arguments)},p.stackSave=function(){return(ot=p.stackSave=p.asm.yb).apply(null,arguments)}),lt=p.stackAlloc=function(){return(lt=p.stackAlloc=p.asm.zb).apply(null,arguments)},dt=p.stackRestore=function(){return(dt=p.stackRestore=p.asm.Ab).apply(null,arguments)},ct=p.dynCall_vi=function(){return(ct=p.dynCall_vi=p.asm.Bb).apply(null,arguments)};function pt(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function ft(e){function n(){Yn||(Yn=!0,p.calledRun=!0,R||(le(),de(),p.onRuntimeInitialized&&p.onRuntimeInitialized(),ce()))}be>0||(oe(),be>0||(p.setStatus?(p.setStatus("Running..."),setTimeout((function(){setTimeout((function(){p.setStatus("")}),1),n()}),1)):n()))}if(p.dynCall_v=function(){return(p.dynCall_v=p.asm.Cb).apply(null,arguments)},p.dynCall_ii=function(){return(p.dynCall_ii=p.asm.Db).apply(null,arguments)},p.asm=Xn,p.cwrap=B,p.PThread=qe,p.PThread=qe,p._pthread_self=zn,p.wasmMemory=x,p.ExitStatus=pt,p.then=function(e){if(Yn)e(p);else{var n=p.onRuntimeInitialized;p.onRuntimeInitialized=function(){n&&n(),e(p)}}return p},ye=function e(){Yn||ft(),Yn||(ye=e)},p.run=ft,p.preInit)for("function"==typeof p.preInit&&(p.preInit=[p.preInit]);p.preInit.length>0;)p.preInit.pop()();return y||(M=!0),y||ft(),e});e.exports=s}));var Cn=Tn((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u="undefined"!=typeof(e=e||{})?e:{},i={};for(n in u)u.hasOwnProperty(n)&&(i[n]=u[n]);var s=function(e,n){throw n},o=!1,l=!1,d=!1,c=!1;o="object"==typeof window,l="function"==typeof importScripts,d="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,c=!o&&!d&&!l;var p,f,m,h,b="";function _(e){return u.locateFile?u.locateFile(e,b):b+e}d?(b=l?t.dirname(b)+"/":__dirname+"/",p=function(e,n){return m||(m=a),h||(h=t),e=h.normalize(e),m.readFileSync(e,n?null:"utf8")},f=function(e){var n=p(e,!0);return n.buffer||(n=new Uint8Array(n)),S(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ae))throw e})),process.on("unhandledRejection",te),s=function(e){process.exit(e)},u.inspect=function(){return"[Emscripten Module object]"}):c?("undefined"!=typeof read&&(p=function(e){return read(e)}),f=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(S("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(s=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(o||l)&&(l?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",p=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},l&&(f=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,v,g,w=u.print||console.log.bind(console),k=u.printErr||console.warn.bind(console);for(n in i)i.hasOwnProperty(n)&&(u[n]=i[n]);i=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&(s=u.quit),u.wasmBinary&&(y=u.wasmBinary),u.noExitRuntime&&(v=u.noExitRuntime),"object"!=typeof WebAssembly&&k("no native wasm support detected"),new WebAssembly.Table({initial:153,maximum:153,element:"anyfunc"});var I=!1;function S(e,n){e||te("Assertion failed: "+n)}function E(e){var n=u["_"+e];return S(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);D(e,n=Se(t),t)}return n},array:function(e){var n=Se(e.length);return P(e,n),n}},i=E(e),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var d=u[t[l]];d?(0===o&&(o=Ie()),s[l]=d(a[l])):s[l]=a[l]}var c=i.apply(null,s);return c=function(e){return"string"===n?C(e):"boolean"===n?Boolean(e):e}(c),0!==o&&Ee(o),c}function M(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?E(e):function(){return A(e,n,t,arguments)}}var x,N,F,T="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function O(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&T)return T.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function C(e,n){return e?O(N,e,n):""}function R(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function D(e,n,t){return R(e,N,n,t)}function P(e,n){x.set(e,n)}function W(e){u.HEAP8=x=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=F=new Int32Array(e),u.HEAPU8=N=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}function B(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?u.dynCall_v(t):u.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(u)}}u.INITIAL_MEMORY;var L=[],H=[],U=[],z=[];function j(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)K(u.preRun.shift());B(L)}function q(){B(H)}function V(){B(U)}function G(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)X(u.postRun.shift());B(z)}function K(e){L.unshift(e)}function X(e){z.unshift(e)}var Y=Math.ceil,Q=Math.floor,Z=0,J=null,$=null;function ee(e){Z++,u.monitorRunDependencies&&u.monitorRunDependencies(Z)}function ne(e){if(Z--,u.monitorRunDependencies&&u.monitorRunDependencies(Z),0==Z&&(null!==J&&(clearInterval(J),J=null),$)){var n=$;$=null,n()}}function te(e){throw u.onAbort&&u.onAbort(e),w(e+=""),k(e),I=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ae(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}u.preloadedImages={},u.preloadedAudios={};var re="data:application/octet-stream;base64,";function ue(e){return ae(e,re)}var ie="file://";function se(e){return ae(e,ie)}var oe="tfjs-backend-wasm.wasm";function le(){try{if(y)return new Uint8Array(y);if(f)return f(oe);throw"both async and sync fetching of the wasm failed"}catch(e){te(e)}}function de(){return y||!o&&!l||"function"!=typeof fetch||se(oe)?new Promise((function(e,n){e(le())})):fetch(oe,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+oe+"'";return e.arrayBuffer()})).catch((function(){return le()}))}function ce(){var e={env:ge,wasi_snapshot_preview1:ge};function n(e,n){var t=e.exports;u.asm=t,W((g=t.memory).buffer),ne()}function t(e){n(e.instance)}function a(n){return de().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){k("failed to asynchronously prepare wasm: "+e),te(e)}))}if(ee(),u.instantiateWasm)try{return u.instantiateWasm(e,n)}catch(e){return k("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||ue(oe)||se(oe)||"function"!=typeof fetch)return a(t);fetch(oe,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){k("wasm streaming compile failed: "+e),k("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function pe(e){W(g.buffer)}ue(oe)||(oe=_(oe)),H.push();var fe={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=fe.buffers[e];0===n||10===n?((1===e?w:k)(O(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return fe.varargs+=4,F[fe.varargs-4>>2]},getStr:function(e){return C(e)},get64:function(e,n){return e}};function me(e){return 0}function he(e,n,t,a,r){}function be(e,n,t,a){for(var r=0,u=0;u<t;u++){for(var i=F[n+8*u>>2],s=F[n+(8*u+4)>>2],o=0;o<s;o++)fe.printChar(e,N[i+o]);r+=s}return F[a>>2]=r,0}function _e(e){Ne(e)}function ye(e){_e(e)}function ve(e){return(e=+e)>=0?+Q(e+.5):+Y(e-.5)}var ge={emscripten_notify_memory_growth:pe,fd_close:me,fd_seek:he,fd_write:be,proc_exit:ye,roundf:ve},we=ce();u.asm=we,u._init=function(){return(u._init=u.asm.init).apply(null,arguments)},u._register_tensor=function(){return(u._register_tensor=u.asm.register_tensor).apply(null,arguments)},u._dispose_data=function(){return(u._dispose_data=u.asm.dispose_data).apply(null,arguments)},u._dispose=function(){return(u._dispose=u.asm.dispose).apply(null,arguments)},u._Abs=function(){return(u._Abs=u.asm.Abs).apply(null,arguments)},u._Add=function(){return(u._Add=u.asm.Add).apply(null,arguments)},u._AddN=function(){return(u._AddN=u.asm.AddN).apply(null,arguments)},u._ArgMax=function(){return(u._ArgMax=u.asm.ArgMax).apply(null,arguments)},u._AvgPool=function(){return(u._AvgPool=u.asm.AvgPool).apply(null,arguments)},u._BatchMatMul=function(){return(u._BatchMatMul=u.asm.BatchMatMul).apply(null,arguments)},u._Ceil=function(){return(u._Ceil=u.asm.Ceil).apply(null,arguments)},u._ClipByValue=function(){return(u._ClipByValue=u.asm.ClipByValue).apply(null,arguments)},u._Conv2D=function(){return(u._Conv2D=u.asm.Conv2D).apply(null,arguments)},u._Conv2DBackpropInput=function(){return(u._Conv2DBackpropInput=u.asm.Conv2DBackpropInput).apply(null,arguments)},u._Cos=function(){return(u._Cos=u.asm.Cos).apply(null,arguments)},u._CropAndResize=function(){return(u._CropAndResize=u.asm.CropAndResize).apply(null,arguments)},u._Cumsum=function(){return(u._Cumsum=u.asm.Cumsum).apply(null,arguments)},u._DepthToSpace=function(){return(u._DepthToSpace=u.asm.DepthToSpace).apply(null,arguments)},u._DepthwiseConv2dNative=function(){return(u._DepthwiseConv2dNative=u.asm.DepthwiseConv2dNative).apply(null,arguments)},u._Equal=function(){return(u._Equal=u.asm.Equal).apply(null,arguments)},u._Exp=function(){return(u._Exp=u.asm.Exp).apply(null,arguments)},u._FlipLeftRight=function(){return(u._FlipLeftRight=u.asm.FlipLeftRight).apply(null,arguments)},u._Floor=function(){return(u._Floor=u.asm.Floor).apply(null,arguments)},u._FloorDiv=function(){return(u._FloorDiv=u.asm.FloorDiv).apply(null,arguments)},u._FusedBatchNorm=function(){return(u._FusedBatchNorm=u.asm.FusedBatchNorm).apply(null,arguments)},u._FusedConv2D=function(){return(u._FusedConv2D=u.asm.FusedConv2D).apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return(u._FusedDepthwiseConv2D=u.asm.FusedDepthwiseConv2D).apply(null,arguments)},u._Gather=function(){return(u._Gather=u.asm.Gather).apply(null,arguments)},u._GatherNd=function(){return(u._GatherNd=u.asm.GatherNd).apply(null,arguments)},u._Greater=function(){return(u._Greater=u.asm.Greater).apply(null,arguments)},u._GreaterEqual=function(){return(u._GreaterEqual=u.asm.GreaterEqual).apply(null,arguments)},u._LeakyRelu=function(){return(u._LeakyRelu=u.asm.LeakyRelu).apply(null,arguments)},u._Less=function(){return(u._Less=u.asm.Less).apply(null,arguments)},u._LessEqual=function(){return(u._LessEqual=u.asm.LessEqual).apply(null,arguments)},u._Log=function(){return(u._Log=u.asm.Log).apply(null,arguments)},u._LogicalAnd=function(){return(u._LogicalAnd=u.asm.LogicalAnd).apply(null,arguments)},u._Max=function(){return(u._Max=u.asm.Max).apply(null,arguments)},u._MaxPool=function(){return(u._MaxPool=u.asm.MaxPool).apply(null,arguments)},u._Maximum=function(){return(u._Maximum=u.asm.Maximum).apply(null,arguments)},u._Mean=function(){return(u._Mean=u.asm.Mean).apply(null,arguments)},u._Min=function(){return(u._Min=u.asm.Min).apply(null,arguments)},u._Minimum=function(){return(u._Minimum=u.asm.Minimum).apply(null,arguments)},u._Multiply=function(){return(u._Multiply=u.asm.Multiply).apply(null,arguments)},u._Neg=function(){return(u._Neg=u.asm.Neg).apply(null,arguments)},u._NonMaxSuppressionV3=function(){return(u._NonMaxSuppressionV3=u.asm.NonMaxSuppressionV3).apply(null,arguments)},u._NonMaxSuppressionV4=function(){return(u._NonMaxSuppressionV4=u.asm.NonMaxSuppressionV4).apply(null,arguments)},u._NonMaxSuppressionV5=function(){return(u._NonMaxSuppressionV5=u.asm.NonMaxSuppressionV5).apply(null,arguments)},u._NotEqual=function(){return(u._NotEqual=u.asm.NotEqual).apply(null,arguments)},u._OneHot=function(){return(u._OneHot=u.asm.OneHot).apply(null,arguments)},u._PadV2=function(){return(u._PadV2=u.asm.PadV2).apply(null,arguments)},u._Pow=function(){return(u._Pow=u.asm.Pow).apply(null,arguments)},u._Prelu=function(){return(u._Prelu=u.asm.Prelu).apply(null,arguments)},u._Prod=function(){return(u._Prod=u.asm.Prod).apply(null,arguments)},u._RealDiv=function(){return(u._RealDiv=u.asm.RealDiv).apply(null,arguments)},u._Relu=function(){return(u._Relu=u.asm.Relu).apply(null,arguments)},u._Relu6=function(){return(u._Relu6=u.asm.Relu6).apply(null,arguments)},u._ResizeBilinear=function(){return(u._ResizeBilinear=u.asm.ResizeBilinear).apply(null,arguments)},u._Reverse=function(){return(u._Reverse=u.asm.Reverse).apply(null,arguments)},u._RotateWithOffset=function(){return(u._RotateWithOffset=u.asm.RotateWithOffset).apply(null,arguments)},u._Round=function(){return(u._Round=u.asm.Round).apply(null,arguments)},u._Rsqrt=function(){return(u._Rsqrt=u.asm.Rsqrt).apply(null,arguments)},u._ScatterNd=function(){return(u._ScatterNd=u.asm.ScatterNd).apply(null,arguments)},u._SelectV2=function(){return(u._SelectV2=u.asm.SelectV2).apply(null,arguments)},u._Sigmoid=function(){return(u._Sigmoid=u.asm.Sigmoid).apply(null,arguments)},u._Sin=function(){return(u._Sin=u.asm.Sin).apply(null,arguments)},u._Softmax=function(){return(u._Softmax=u.asm.Softmax).apply(null,arguments)},u._Sqrt=function(){return(u._Sqrt=u.asm.Sqrt).apply(null,arguments)},u._Square=function(){return(u._Square=u.asm.Square).apply(null,arguments)},u._SquaredDifference=function(){return(u._SquaredDifference=u.asm.SquaredDifference).apply(null,arguments)},u._Step=function(){return(u._Step=u.asm.Step).apply(null,arguments)},u._StridedSlice=function(){return(u._StridedSlice=u.asm.StridedSlice).apply(null,arguments)},u._Sub=function(){return(u._Sub=u.asm.Sub).apply(null,arguments)},u._Sum=function(){return(u._Sum=u.asm.Sum).apply(null,arguments)},u._Tanh=function(){return(u._Tanh=u.asm.Tanh).apply(null,arguments)},u._Tile=function(){return(u._Tile=u.asm.Tile).apply(null,arguments)},u._TopK=function(){return(u._TopK=u.asm.TopK).apply(null,arguments)},u._Transpose=function(){return(u._Transpose=u.asm.Transpose).apply(null,arguments)},u.__FusedMatMul=function(){return(u.__FusedMatMul=u.asm._FusedMatMul).apply(null,arguments)},u._malloc=function(){return(u._malloc=u.asm.malloc).apply(null,arguments)},u._free=function(){return(u._free=u.asm.free).apply(null,arguments)},u.__start=function(){return(u.__start=u.asm._start).apply(null,arguments)};var ke,Ie=u.stackSave=function(){return(Ie=u.stackSave=u.asm.stackSave).apply(null,arguments)},Se=u.stackAlloc=function(){return(Se=u.stackAlloc=u.asm.stackAlloc).apply(null,arguments)},Ee=u.stackRestore=function(){return(Ee=u.stackRestore=u.asm.stackRestore).apply(null,arguments)};function Ae(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Me(e){var n=u.__start;try{n(),Ne(0,!0)}catch(e){if(e instanceof Ae)return;if("unwind"==e)return void(v=!0);var t=e;e&&"object"==typeof e&&e.stack&&(t=[e,e.stack]),k("exception thrown: "+t),s(1,e)}}function xe(e){function n(){ke||(ke=!0,u.calledRun=!0,I||(q(),V(),u.onRuntimeInitialized&&u.onRuntimeInitialized(),Fe&&Me(),G()))}Z>0||(j(),Z>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}function Ne(e,n){n&&v&&0===e||(v||(I=!0,u.onExit&&u.onExit(e)),s(e,new Ae(e)))}if(u.asm=we,u.cwrap=M,u.then=function(e){if(ke)e(u);else{var n=u.onRuntimeInitialized;u.onRuntimeInitialized=function(){n&&n(),e(u)}}return u},$=function e(){ke||xe(),ke||($=e)},u.run=xe,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();var Fe=!0;return u.noInitialRun&&(Fe=!1),v=!0,xe(),e});e.exports=u})),Rn=function(e){function t(t){var a=e.call(this)||this;return a.wasm=t,a.dataIdNextNumber=1,a.wasm.tfjs.init(),a.dataIdMap=new n.DataStorage(a,n.engine()),a}return function(e,n){function t(){this.constructor=e}Mn(e,n),e.prototype=null===n?Object.create(n):(t.prototype=n.prototype,new t)}(t,e),t.prototype.write=function(e,n,t){var a={id:this.dataIdNextNumber++};return this.move(a,e,n,t,1),a},t.prototype.numDataIds=function(){return this.dataIdMap.numDataIds()},t.prototype.time=function(e){return xn(this,void 0,void 0,(function(){var t;return Nn(this,(function(a){return t=n.util.now(),e(),[2,{kernelMs:n.util.now()-t}]}))}))},t.prototype.move=function(e,t,a,r,u){var i=this.dataIdNextNumber++;if("string"!==r){var s=n.util.sizeFromShape(a),o=s*n.util.bytesPerElement(r),l=this.wasm._malloc(o);this.dataIdMap.set(e,{id:i,memoryOffset:l,shape:a,dtype:r,refCount:u}),this.wasm.tfjs.registerTensor(i,s,l),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,o),l)}else{var d=t;this.dataIdMap.set(e,{id:i,stringBytes:d,shape:a,dtype:r,memoryOffset:null,refCount:u})}},t.prototype.read=function(e){return xn(this,void 0,void 0,(function(){return Nn(this,(function(n){return[2,this.readSync(e)]}))}))},t.prototype.readSync=function(e){var t=this.dataIdMap.get(e),a=t.memoryOffset,r=t.dtype,u=t.shape,i=t.stringBytes;return"string"===r?i:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(a,a+n.util.sizeFromShape(u)*n.util.bytesPerElement(r)).buffer,r)},t.prototype.disposeData=function(e,n){if(void 0===n&&(n=!1),this.dataIdMap.has(e)){var t=this.dataIdMap.get(e);if(t.refCount--,!n&&t.refCount>0)return!1;this.wasm._free(t.memoryOffset),this.wasm.tfjs.disposeData(t.id),this.dataIdMap.delete(e)}return!0},t.prototype.refCount=function(e){return this.dataIdMap.has(e)?this.dataIdMap.get(e).refCount:0},t.prototype.incRef=function(e){var n=this.dataIdMap.get(e);null!=n&&n.refCount++},t.prototype.floatPrecision=function(){return 32},t.prototype.getMemoryOffset=function(e){return this.dataIdMap.get(e).memoryOffset},t.prototype.dispose=function(){this.wasm.tfjs.dispose(),this.wasm=null},t.prototype.memory=function(){return{unreliable:!1}},t.prototype.makeOutput=function(e,t,a){var r;if(null==a)r=this.write(null,e,t);else{var u=this.dataIdNextNumber++;r={id:u},this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t,refCount:1});var i=n.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}},t.prototype.typedArrayFromHeap=function(e){var t=e.shape,a=e.dtype,r=e.dataId,u=this.wasm.HEAPU8.buffer,i=this.dataIdMap.get(r).memoryOffset,s=n.util.sizeFromShape(t);switch(a){case"float32":return new Float32Array(u,i,s);case"int32":return new Int32Array(u,i,s);case"bool":return new Uint8Array(u,i,s);default:throw new Error("Unknown dtype "+a)}},t}(n.KernelBackend);function Dn(e,n,t){if(null!=Bn)return Bn;var a="tfjs-backend-wasm.wasm";return e&&n?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Hn&&null!=Hn[a]?Hn[a]:t+a}function Pn(){return xn(this,void 0,void 0,(function(){var e,t,a;return Nn(this,(function(r){switch(r.label){case 0:return[4,Promise.all([n.env().getAsync("WASM_HAS_SIMD_SUPPORT"),n.env().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")])];case 1:return e=r.sent(),t=e[0],a=e[1],[2,new Promise((function(e,r){var u,i={};i.locateFile=function(e,n){if(e.endsWith(".worker.js")){var r=new Blob(['var threadInfoStruct=0;var selfThreadId=0;var parentThreadId=0;var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:selfThreadId})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["DYNAMIC_BASE"]=e.data.DYNAMIC_BASE;Module["DYNAMICTOP_PTR"]=e.data.DYNAMICTOP_PTR;Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}Module=WasmBackendModuleThreadedSimd(Module);postMessage({"cmd":"loaded"})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;threadInfoStruct=e.data.threadInfoStruct;Module["__register_pthread_ptr"](threadInfoStruct,0,0);selfThreadId=e.data.selfThreadId;parentThreadId=e.data.parentThreadId;var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["dynCall_ii"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){Atomics.store(Module["HEAPU32"],threadInfoStruct+4>>2,ex instanceof Module["ExitStatus"]?ex.status:-2);Atomics.store(Module["HEAPU32"],threadInfoStruct+0>>2,1);Module["_emscripten_futex_wake"](threadInfoStruct+0,2147483647);if(!(ex instanceof Module["ExitStatus"]))throw ex}}}else if(e.data.cmd==="cancel"){if(threadInfoStruct){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(threadInfoStruct){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}'],{type:"application/javascript"});return URL.createObjectURL(r)}return e.endsWith(".wasm")?Dn(t,a,null!=Ln?Ln:n):n+e},zn&&(i.instantiateWasm=function(e){return function(t,a){return n.util.fetch(e,{credentials:"same-origin"}).then((function(n){n.ok||t.env.a("failed to load wasm binary file at '"+e+"'"),n.arrayBuffer().then((function(e){WebAssembly.instantiate(e,t).then((function(e){a(e.instance)}))}))})),{}}}(Dn(t,a,null!=Ln?Ln:""))),a&&t&&null==Bn?(u=On(i)).mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+On.toString()],{type:"text/javascript"}):u=Cn(i);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};var s=!1;u.onRuntimeInitialized=function(){s=!0,Un=!1,e({wasm:u})},u.onAbort=function(){if(!s&&!Un){Un=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}}}))]}}))}))}var Wn=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"],Bn=null,Ln=null,Hn={},Un=!1,zn=!1;n.registerBackend("wasm",(function(){return xn(void 0,void 0,void 0,(function(){var e;return Nn(this,(function(n){switch(n.label){case 0:return[4,Pn()];case 1:return e=n.sent().wasm,[2,new Rn(e)]}}))}))}),2),e.BackendWasm=Rn,e.setWasmPath=function(e,t){if(void 0===t&&(t=!1),n.deprecationWarn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Un)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Bn=e,zn=t},e.setWasmPaths=function(e,n){if(void 0===n&&(n=!1),Un)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Ln=e;else{Hn=e;var t=Wn.filter((function(e){return null==Hn[e]}));if(t.length>0)throw new Error("There were no entries found for the following binaries: "+t.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}zn=n},e.version_wasm="3.1.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.min.js.map
